<?php

namespace App\Http\Controllers;

use App\Mail\SendContactInquiryMail;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Mail;

class ContactController extends Controller
{
    public function submit(Request $request)
    {
        $request->validate([
            'name' => 'required',
            'email' => 'required|email',
            'contact' => 'required',
            'subject' => 'required',
            'message' => 'required',
        ]);
        try {
            $data = [
                'name' => $request->name,
                'email' => $request->email,
                'contact' => $request->contact,
                'subject' => $request->subject,
                'message' => $request->message,
            ];

            Mail::to('support@nutsons.com')->send(new SendContactInquiryMail($data));

            return redirect()->back()->with('success', 'Contact Inquiry Submited successfully!');
        } catch (\Throwable $th) {
            return redirect()->back()->with('error', $th->getMessage());
        }
    }
}
