<?php

namespace App\Http\Controllers;

use App\Models\AmazonOauthToken;
use App\Models\ApiResponse;
use App\Models\Cart;
use App\Models\Contact;
use App\Models\Ebay_Campaigns;
use App\Models\Product;
use App\Models\ProductDetail;
use App\Models\Wishlist;
use App\Services\AmazonAdsService;
use App\Services\EbayApiClient;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Log;

class HomeController extends Controller
{
    public $user;

    public function __construct()
    {
        $this->user = Auth::user();
    }

    public function index()
    {
        // $products = Product::with('packagingDetail')->with('wishList')->where('status', 1)->take(8)->get();

        // $wishlistProducts = [];

        // if (isset($this->user)) {

        //     $wishlistProducts = Wishlist::where('user_id', $this->user->id)
        //         ->pluck('product_id')
        //         ->toArray();
        // }

        // return view('pages.home', ['products' => $products, 'wishlistProducts' => $wishlistProducts]);
    }

    public function homePage()
    {
        //  dd();
        return redirect("/admin/");
        // $products = Product::where('status', 1)->with('wishList', 'packagingDetail')->take(8)->get();
        // // $products = collect([]);
        // if (Auth::check()) {
        //     $cart = Cart::where('user_id', $this->user->id)->whereHas('productsItem')->with('productsItem', 'productsDetailsItem')->get();
        // }
        // $wishlistProducts = [];
        // if (isset($this->user)) {
        //     $wishlistProducts = Wishlist::where('user_id', $this->user->id)
        //         ->pluck('product_id')
        //         ->toArray();
        // }

        // return view('front.pages.home', ['products' => $products, 'wishlistProducts' => $wishlistProducts, 'cart' => $cart ?? false]);
    }

    public function productDiscription($product_id)
    {
        $product = Product::find($product_id);
        $product_list = Product::where('id', '!=', $product_id)->where('status', 1)->with('otherImages', 'wishList')->take(6)->get();
        if (Auth::check()) {
            $cart = Cart::where('user_id', $this->user->id)->whereHas('productsItem')->with('productsItem', 'productsDetailsItem')->get();
        }

        return view('front.pages.product', ['product' => $product, 'product_list' => $product_list, 'cart' => $cart ?? false]);
    }

    public function productList()
    {
        $products = Product::with('otherImages')->with('wishList')->where('status', 1)->paginate(6);
        if (Auth::check()) {
            $cart = Cart::where('user_id', $this->user->id)->whereHas('productsItem')->with('productsItem')->get();
        }
        return view('front.pages.category', ['products' => $products, 'cart' => $cart ?? collect([])]);
    }

    public function contactUs_Form(Request $request)
    {
        // Validate the input fields
        $validator=$request->validate([
            'name' => 'required|string',
            'email' => 'required|string|email',
            'contact_number' => 'required|string',
            'company_name' => 'nullable|string',
            'subject' => 'required|string',
        ]);

        // Save the data to the contacts table
        Contact::create([
            'name' => $request->name,
            'email' => $request->email,
            'contact_number' => $request->contact_number,
            'company_name' => $request->company_name,
            'subject' => $request->subject,
            'message' => $request->message,
        ]);
        // Redirect back with a success message
        return redirect()->back()->with('success', 'Your message has been sent successfully!');
    }
    public function test(Request $request){
        $apiClient = new EbayApiClient;
        try {
            $campaigns = $apiClient->getCampaigns();
            $campaignsData=$campaigns['campaigns'];
            // dd($campaignsData);
            // Ebay_Campaigns::whereNotNull('campaign_id')->delete();
            foreach ($campaignsData as $campaignData) {
                // Prepare the campaign data for insertion
                $campaign = [
                    'campaign_id' => $campaignData['campaignId'],
                    'campaign_name' => $campaignData['campaignName'],
                    'marketplace_id' => $campaignData['marketplaceId'],
                    'campaign_status' => $campaignData['campaignStatus'],
                    'start_date' => $campaignData['startDate'],
                    'end_date' => $campaignData['endDate'] ?? null,
                    'campaign_targeting_type' => $campaignData['campaignTargetingType'] ?? '',
                    'funding_model' => $campaignData['fundingStrategy']['fundingModel'],
                    'bidding_strategy' => $campaignData['fundingStrategy']['biddingStrategy'] ?? '',
                    'daily_budget_value' => $campaignData['budget']['daily']['amount']['value'] ?? 0,
                    'daily_budget_currency' => $campaignData['budget']['daily']['amount']['currency'] ?? '',
                    'daily_budget_status' => $campaignData['budget']['daily']['budgetStatus'] ?? '',
                    'channels' => $campaignData['channels'] ?? '', // This is stored as JSON
                ];

                // Create or update the campaign in the database
                Ebay_Campaigns::updateOrCreate(
                    ['campaign_id' => $campaign['campaign_id']], // Match by campaign ID
                    $campaign
                );
            }
        } catch (\Exception $e) {
            Log::error('Ebay API Error: ' . $e->getMessage());
            // Continue execution even if eBay API fails
        }
        try {
            $account=AmazonOauthToken::where('user_id',Auth::user()->id)->first();
            $amazonAdsService = new AmazonAdsService;
            $access_token=$amazonAdsService->getAccessToken($account->refresh_token);
            $campaignsResponse =$amazonAdsService->getCampaigns($access_token,$account->selling_partner_id);
            foreach ($campaignsResponse['campaigns'] as $campaign) {
                // Map API response to database columns
                $campaignData = [
                    'campaign_id'             => $campaign['campaignId'] ?? null,
                    'campaign_name'           => $campaign['name'] ?? null,
                    'marketplace_id'          => $account->marketplace_id ?? null, // Assuming it's linked to account
                    'campaign_status'         => $campaign['state'] ?? null,
                    'start_date'              => $campaign['startDate'] ?? null,
                    'end_date'                => $campaign['endDate'] ?? null,
                    'campaign_targeting_type' => $campaign['targetingType'] ?? null,
                    'funding_model'           => $campaign['budget']['budgetType'] ?? null,
                    'bidding_strategy'        => $campaign['dynamicBidding']['strategy'] ?? null,
                    'daily_budget_value'      => $campaign['budget']['budget'] ?? null,
                    'daily_budget_currency'   => 'USD', // Assuming USD (you can update accordingly)
                    'daily_budget_status'     => 'ACTIVE', // You can modify based on business logic
                    'channels'                => json_encode($campaign['offAmazonSettings'] ?? []), // Storing as JSON if needed
                    'source'                  => 'Amazon', // Assuming campaigns are from Amazon
                ];

                // Store campaign in the database (Insert or Update)
                Ebay_Campaigns::updateOrCreate(
                    ['campaign_id' => $campaignData['campaign_id']], // Unique constraint
                    $campaignData
                );
            }
        } catch (\Exception $e) {
            Log::error('Amazon API Error: ' . $e->getMessage());
            // Continue execution even if Amazon API fails
        }
        return redirect()->back();
    }
}