<?php

namespace App\Http\Controllers;

use Adyen\Client;
use Adyen\Environment;
use Adyen\Model\Checkout\Amount;
use Adyen\Model\Checkout\PaymentMethodsRequest;
use Adyen\Service\Checkout;
use Adyen\Service\Checkout\PaymentsApi;
use App\Models\Cart;
use App\Models\OrderDetail;
use App\Models\Orders;
use App\Models\Payment;
use App\Models\ProductDetail;
use App\Models\UserBillingAddress;
use App\Models\UserShippingAddress;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Http;
use Srmklive\PayPal\Services\PayPal as PayPalClient;

class PaymentController extends Controller
{
    public $user;

    protected $adyen;

    protected $checkout;
    //private $payment;
    //protected $adyenService;

    public function __construct()
    {
        $this->user = Auth::user();
        //$this->adyenService = $adyenService;

    }

    public function index()
    {
        $cartItems = [];
        $totalAmount = 0.00;
        //$billingAddress = [];
        //$shippingAddress = [];
        if ($this->user) {
            $cartItems = Cart::where('user_id', $this->user->id)->with('productsItem')->with('productsDetailsItem')->get();

            //$billingAddress = UserBillingAddress::where('user_id', $this->user->id)->orderBy('id', 'DESC')->get()->first();

            //$shippingAddress = UserShippingAddress::where('user_id', $this->user->id)->orderBy('id', 'DESC')->get()->first();

            $totalAmount = $cartItems->sum(function ($item) {
                return $item->productsDetailsItem->discount_price * $item->quantity;
            });
        }

        return view('pages.payment', ['cartItems' => $cartItems, 'totalAmount' => $totalAmount]);
    }

    public function pay(Request $request)
    {

        //Paypal Payment Integration
        /*$provider = new PayPalClient;
        $provider->setApiCredentials(config('paypal'));
        $paypalToken = $provider->getAccessToken();
        $response = $provider->createOrder([
            'intent' => 'CAPTURE',
            'application_context' => [
                'return_url' => route('payment.success'),
                'cancel_url' => route('payment.cancel'),
            ],
            'purchase_units' => [
                [
                    'amount' => [
                        'currency_code' => 'USD',
                        'value' => $request->amount,
                    ],
                ],
            ],
        ]);

        if (isset($response['id']) && $response['id'] != null) {
            foreach ($response['links'] as $link) {
                if ($link['rel'] == 'approve') {
                    //session()->put('amount', $request->amount);
                    return redirect()->away($link['href']);
                }
            }
        } else {
            return redirect()->route('cancel');
        }*/

        //Adyen Doc Method

        $client = new Client;
        $client->setXApiKey('AQEkhmfuXNWTK0Qc+iSUk3Q9s/63XI/7pdtF90BvsxQykaPbM173EMFdWw2+5HzctViMSCJMYAc=-y4zZbaoDS9smvlk275Azz2x69DgI5GyPMvejiMMOd/o=-i1izTA8G*hL>@b4X>nN');
        // For the live environment, additionally include your liveEndpointUrlPrefix.
        $client->setEnvironment(Environment::TEST);

        // Create the request object(s)
        $amount = new Amount;
        $amount
            ->setCurrency('ANY')
            ->setValue(20);

        $paymentMethodsRequest = new PaymentMethodsRequest;

        $paymentMethodsRequest
            ->setAmount($amount)
            ->setMerchantAccount('DapetzLtd_NutsonsTest_TEST')
            ->setCountryCode('ANY')
            ->setChannel('Web');

        /*$response = Http::withHeaders([
            'X-Api-Key' => 'AQEkhmfuXNWTK0Qc+iSUk3Q9s/63XI/7pdtF90BvsxQykaPbM173EMFdWw2+5HzctViMSCJMYAc=-y4zZbaoDS9smvlk275Azz2x69DgI5GyPMvejiMMOd/o=-i1izTA8G*hL>@b4X>nN', // For authentication
        ])->post('https://checkout-test.adyen.com/v68/paymentMethods', [
            'merchantAccount' => 'DapetzLtd_NutsonsTest_TEST',
            'channel' => 'Web', // or 'Android', 'iOS' depending on your use case
            'reference' => 'TEST001',
        ]);

        $paymentMethodsRequest = $response->json();*/

        //$requestOptions['idempotencyKey'] = 'ABCD';
        $requestOptions['idempotencyKey'] = 'ABKE';

        // Send the request
        $service = new PaymentsApi($client);
        $response = $service->paymentMethods($paymentMethodsRequest, $requestOptions);

        //dd(json_encode($response));
        return view('pages.adyencheckout')->with('paymentMethodsResponse', $response);
    }

    public function getConfig()
    {
        $configuration = [
            'paymentMethodsResponse' => $this->checkout->paymentMethods([
                'merchantAccount' => 'DapetzLtdECOM',
            ]),
            'clientKey' => 'test_LQI7ERHEC5B7JC6QJE76Q5TDRUP6ZT7M',
            'locale' => 'en_US',
            'environment' => Environment::TEST,
        ];

        return response()->json($configuration);
    }

    public function submitPayment(Request $request)
    {
        dd(11);
        /*$payment = new Checkout($this->adyen);
        $response = $payment->authorise([
            'amount' => [
                'currency' => 'USD',
                'value' => $request->input('amount'),
            ],
            'paymentMethod' => $request->input('paymentMethod'),
            'reference' => 'your_unique_reference',
            'merchantAccount' => config('services.adyen.merchant_account'),
            'returnUrl' => route('checkout.return'),
        ]);

        return response()->json($response);*/
    }

    public function success(Request $request)
    {
        $provider = new PayPalClient;
        $provider->setApiCredentials(config('paypal'));
        $paypalToken = $provider->getAccessToken();
        $response = $provider->capturePaymentOrder($request->token);

        if (isset($response['status']) && $response['status'] == 'COMPLETED') {

            // Insert data into database
            $payment = new Payment;
            $payment->payment_id = $response['id'];
            $payment->payer_id = $response['payer']['payer_id'];
            $payment->payer_name = $response['payer']['name']['given_name'];
            $payment->payer_email = $response['payer']['email_address'];
            $payment->payment_status = $response['status'];
            $payment->amount = $response['purchase_units'][0]['payments']['captures'][0]['amount']['value'];
            $payment->currency = $response['purchase_units'][0]['payments']['captures'][0]['amount']['currency_code'];
            $payment->payment_method = 'PayPal';
            $payment->save();

            $amount = $response['purchase_units'][0]['payments']['captures'][0]['amount']['value'];
            $this->placeOrder($payment->id, $amount);

            return redirect()->route('home')
                ->with('sucess', 'Order Placed');
        } else {
            return redirect()->route('cancel');
        }
    }

    public function cancel(Request $request)
    {
        return 'Payment is cancelled.';
    }

    public function placeOrder($paymentId, $amount)
    {
        try {
            $billing = UserBillingAddress::where('user_id', $this->user->id)->first();
            $shipping = UserShippingAddress::where('user_id', $this->user->id)->first();

            $order = new Orders;
            $order->user_id = $this->user->id;
            $order->payment_id = $paymentId;
            $order->shipping_id = $shipping->id;
            $order->billing_id = $billing->id;
            $order->sub_total = $amount;
            $order->tax = 0;
            $order->discount = 0;
            $order->shipping_charge = 0;
            $order->grand_total = $amount;
            $order->order_status = 1;

            $order->save();
            $this->placeOrderDetails($order->id);
        } catch (\Throwable $th) {
            return redirect()->back()->with('error', $th->getMessage());
        }
    }

    public function placeOrderDetails($orderId)
    {
        try {
            $cartItems = Cart::where('user_id', $this->user->id)->with('productsItem')->with('productsDetailsItem');

            foreach ($cartItems->get() as $key => $cartItem) {
                $orderDetails = new OrderDetail;
                $orderDetails->order_id = $orderId;
                $orderDetails->product_id = $cartItem->product_id;
                $orderDetails->product_details_id = $cartItem->product_details_id;
                $orderDetails->quantity = $cartItem->quantity;
                $orderDetails->product_price = $cartItem->productsDetailsItem->actual_price;

                $orderDetails->save();

                $productDetails = ProductDetail::where('id', $cartItem->product_details_id)->first();
                $updatedStock = $productDetails->stock - (int) $cartItem->quantity;
                $productDetails->stock = $updatedStock;
                $productDetails->save();
            }
            $cartItems->delete();
        } catch (\Throwable $th) {
            return redirect()->back()->with('error', $th->getMessage());
        }
    }

    public function showPayments(Request $request)
    {
        // Get the payments with pagination
        $payments = Payment::paginate(10); // Adjust the number as needed

        // Return the view with payments data
        return view('admin.payments.index', compact('payments'));
    }

    public function paymentDetails($payment_id)
    {
        $payment = Payment::with('order', 'orderDetails', 'orderDetails.product', 'orderDetails.productDetails', 'billingAddress')->findOrFail($payment_id);

        return view('admin.payments.view', compact('payment'));
    }
}
