<?php

namespace App\Http\Controllers;

use App\Models\Wishlist;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class WishlistController extends Controller
{
    public $user;

    public function __construct()
    {
        $this->user = Auth::user();
    }

    public function index()
    {
        $wishlistItems = [];
        if ($this->user) {
            $wishlistItems = Wishlist::where('user_id', $this->user->id)->with('productsItem')->with('productsDetailsItem')->get();
        }

        return view('pages.wishlist', ['wishlistItems' => $wishlistItems]);

    }

    public function store(Request $request)
    {
        try {

            if (isset($this->user)) {
                $productId = (int) $request->productId;
                $productDetailId = (int) $request->productDetailId;

                $wishlistItem = Wishlist::where('user_id', $this->user->id)
                    ->where('product_id', $productId)
                    //->where('product_details_id', $productDetailId)
                    ->first();

                if (isset($wishlistItem)) {
                    $wishlistItem->delete();

                    $wishlistProducts = Wishlist::where('user_id', $this->user->id)
                        ->pluck('product_id')
                        ->toArray();

                    //return redirect()->back()->with(['message'=> 'Item alredy in wishlist']);
                    return response()->json(['data' => $wishlistProducts]);
                } else {

                    $wishlistItem = new Wishlist;

                    $wishlistItem->user_id = $this->user->id;
                    $wishlistItem->product_id = $productId;
                    $wishlistItem->product_details_id = $productDetailId;

                    $wishlistItem->save();

                    $wishlistProducts = Wishlist::where('user_id', $this->user->id)
                        ->pluck('product_id')
                        ->toArray();

                    return response()->json(['data' => $wishlistProducts]);
                    //return redirect()->back()->with('success', 'Item added to wishlist');
                }
            } else {
                return redirect()->route('login');
            }

        } catch (\Throwable $th) {
            return redirect()->back()->with('error', $th->getMessage());
        }
    }

    public function destroy($id)
    {

        try {
            $wishlist = Wishlist::find($id);

            $wishlist->delete();

            return redirect()->back()->with('success', 'Item deleted from wishlist');
        } catch (\Throwable $th) {
            return redirect()->back()->with('error', $th->getMessage());
        }
    }
}
