<?php

namespace App\Livewire\Admin\ProductCategory;

use App\Models\ProductCategory;
use Illuminate\Http\Request;
use Livewire\Component;

class Create extends Component
{
    public $name;
    public $description;
    public function store(Request $request)
    {
        $this->validate([
            'name' => 'required|string|max:255',
        ]);
        $data = [
            'name' => $this->name,
            'description' => $this->description,
        ];
        ProductCategory::create($data);

        return redirect()->to(route('category.index'));
    }
    public function render()
    {
        return view('livewire.admin.product-category.create')->layout('components.layouts.admin');
    }
}
