<?php

namespace App\Livewire\Admin\ProductCategory;

use App\Models\ProductCategory;
use Livewire\Component;

class Index extends Component
{
    public function deleteCategory($id)
    {
        $category = ProductCategory::find($id);
        if ($category) {
            $category->delete();
        }
        return redirect()->to(route('category.index'));
    }
    public function updateStatus($product_id): void
    {
        try {
            $category = ProductCategory::where('id', $product_id)->first();
            $category->status = ! $category->status;
            $category->save();
        } catch (\Throwable $th) {
        }
    }
    public function render()
    {
        $categories = ProductCategory::paginate(10);
        return view('livewire.admin.product-category.index', ['categories' => $categories])->layout('components.layouts.admin');
    }
}
