<?php

namespace App\Livewire\Admin\ProductSubCategory;

use App\Models\ProductCategory;
use App\Models\SubCategory;
use Livewire\WithFileUploads;
use Illuminate\Http\Request;
use Livewire\Component;

class Create extends Component
{
    use WithFileUploads;
    public $name;
    public $description;
    public $category_id;
    public $photo;
    public function store(Request $request)
    {
        $this->validate([
            'name' => 'required|string|max:255',
            'category_id' => "required",
        ]);
        $photoPath = $this->photo->store('photos', 'public');
        $data = [
            'name' => $this->name,
            'description' => $this->description,
            'category_id' => $this->category_id,
            'photo' => $photoPath,
        ];

        SubCategory::create($data);
        return redirect()->to(route('subcategory.index'));
    }
    public function render()
    {
        $categories = ProductCategory::all();
        return view('livewire.admin.product-sub-category.create', ['categories' => $categories])->layout('components.layouts.admin');
    }
}
