<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class AdReportTask extends Model
{
    //
     use HasFactory;

    protected $fillable = [
        'task_id',
        'report_name',
        'dimensions',
        'metrics',
        'campaign_ids',
        'date_from',
        'date_to',
        'expected_completion_date',
        'creation_date',
        'completion_date',
        'expiration_date',
        'status',
        'report_id',
        'report_url',
    ];

    protected $casts = [
        'dimensions' => 'array',
        'metrics' => 'array',
        'campaign_ids' => 'array',
        'date_from' => 'datetime',
        'date_to' => 'datetime',
        'expected_completion_date' => 'datetime',
        'creation_date' => 'datetime',
        'completion_date' => 'datetime',
        'expiration_date' => 'datetime',
    ];

    // Accessor for formatted metrics
    public function getFormattedMetricsAttribute()
    {
        return $this->metrics ? json_encode($this->metrics, JSON_PRETTY_PRINT) : 'No metrics available';
    }

    // Mutator for ensuring status is always uppercase
    public function setStatusAttribute($value)
    {
        $this->attributes['status'] = strtoupper($value);
    }
}
