<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;


class EbayAnalytics extends Model
{
    //
      use HasFactory;

    // Define the table name if it's different from the default (lowercase plural form)
    protected $table = 'ebay_analytics';

    // The attributes that are mass assignable.
    protected $fillable = [
        'report_date',
        'marketplace_id',
        'listing_impression_search_results_page',
        'listing_impression_home_page',
        'transaction',
        'unique_transactions',
        'buyer_views',
        'total_sales',
        'buyers',
        'buy_box_purchases',
        'listing_views',
    ];

    // The attributes that should be cast to native types.
    protected $casts = [
        'report_date' => 'date',
        'listing_impression_search_results_page' => 'decimal:5',
        'listing_impression_home_page' => 'decimal:5',
        'transaction' => 'decimal:5',
        'unique_transactions' => 'decimal:5',
        'buyer_views' => 'decimal:5',
        'total_sales' => 'decimal:5',
        'buyers' => 'decimal:5',
        'buy_box_purchases' => 'decimal:5',
        'listing_views' => 'decimal:5',
    ];
}
