<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class OrderDetail extends Model
{
    use HasFactory;

    protected $fillable = [
        'order_id',
        'product_id',
        'product_details_id',
        'quantity',
        'product_price',
    ];

    public function order()
    {
        return $this->belongsTo(Orders::class, 'order_id', 'id'); // Define the inverse relationship
    }

    public function product()
    {
        return $this->hasOne(Product::class, 'id', 'product_id');
    }

    public function productDetails()
    {
        return $this->hasOne(ProductDetail::class, 'id', 'product_details_id');
    }
}
