<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Orders extends Model
{
    use HasFactory;

    protected $fillable = [
        'user_id',
        'payment_id',
        'shipping_id',
        'billing_id',
        'sub_total',
        'tax',
        'discount',
        'shipping_charge',
        'grand_total',
        'order_status',
        'payment_reference',
    ];

    public function orderDetails()
    {
        return $this->hasMany(OrderDetail::class, 'order_id', 'id'); // Define the relationship
    }

    public function payment()
    {
        return $this->belongsTo(Payment::class);
    }

    public function billingAddress()
    {
        return $this->belongsTo(UserBillingAddress::class, 'shipping_id');
    }
}
