<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Payment extends Model
{
    use HasFactory;

    protected $fillable = [
        'payment_id',
        'payer_id',
        'payer_name',
        'payer_email',
        'payment_status',
        'amount',
        'currency',
        'payment_method',
    ];

    public function order()
    {
        return $this->hasOne(Orders::class);
    }

    public function orderDetails()
    {
        return $this->hasManyThrough(OrderDetail::class, Orders::class, 'payment_id', 'order_id', 'id', 'id');
    }

    public function billingAddress()
    {
        return $this->hasOneThrough(UserBillingAddress::class, Orders::class, 'payment_id', 'id', 'id', 'shipping_id');
    }
}
