<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class ProductDetail extends Model
{
    use HasFactory, SoftDeletes;

    protected $fillable = [
        'product_id',
        'weight',
        'mass',
        'stock',
        'discount_price',
        'actual_price',
        'style',
        'price',
        'size',
        'advantages',
        'characteristics'
    ];

    public function productDetails(): BelongsTo
    {
        return $this->belongsTo(Product::class, 'product_id', 'id');
    }
    /**
     * Get the characteristics attribute as an array.
     *
     * @return array
     */
    public function getCharacteristicsAttribute($value)
    {
        return json_decode($value, true) ?? [];  // Return as array, defaulting to an empty array if null
    }
}
