<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;


class SubCategory extends Model
{
    //
    use HasFactory;

    protected $fillable = [
        'name',
        'status',
        'description',
        'category_id',
        'photo',
    ];

    public function category()
    {
        return $this->belongsTo(ProductCategory::class, 'category_id');
    }
    // A SubCategory has many Products
    public function products()
    {
        return $this->hasMany(Product::class, 'category_id');
    }
}
