<?php

declare(strict_types=1);

namespace App\Services;

use Illuminate\Http\UploadedFile;
use Illuminate\Support\Facades\Storage;

class FileService
{
    public function uploadFile(
        UploadedFile $file,
        string $folder = '',
        string $visibility = 'public',
    ): array {
        $fileName = $file->hashName();

        Storage::disk('public')->put($folder, $file, $visibility);

        return [
            'path' => $folder.'/'.$fileName,
            'name' => $fileName,
        ];
    }

    public function deleteFile(string $fileName = '', string $folder = ''): void
    {
        if (! $fileName) {
            return;
        }

        $path = $fileName;
        $path = $folder ? $folder.'/'.$path : $path;

        Storage::disk('public')->delete($path);
    }
}
