<?php

use App\Models\ProductCategory;

function ProductCategory()
{
    // $categories = ProductCategory::where('status', true)->get();
    return [];
}

function convertApiResponseToArray($response) {
    // Remove BOM (Byte Order Mark) if present
    $response = preg_replace('/^\xEF\xBB\xBF/', '', $response);

    // Remove the first line which is not part of the data
    $response = preg_replace('/^[^\n]*\n/', '', $response);

    // Split the string into rows by line breaks (skipping the first line)
    $rows = explode("\n", $response);

    // Define the keys for each column (hardcoded based on the provided structure)
    $keys = [
        "Start date", "End date", "Campaign name", "Campaign ID", "Campaign start date",
        "Campaign end date", "Targeting strategy", "Ad group name", "Ad group ID", "Item ID",
        "Title", "Price (current or last price)", "Quantity available", "Listing start date",
        "Listing end date", "Total sold quantity", "Impressions", "Clicks", "CTR", "Sold quantity",
        "Ad fees (excl. VAT)", "Sales", "Conversion rate (Sold quantity/Clicks)",
        "Return on ad spend (Sales/Ad fees (excl. VAT))", "Average cost per sale", "Average cost per click"
    ];

    $result = [];

    // Process each row and split the data based on commas
    foreach ($rows as $row) {
        // Skip empty rows
        if (trim($row) === '') continue;

        // Split the row by commas and clean up any excess whitespace
        $data = array_map('trim', str_getcsv($row));

        // Ensure the row has the correct number of columns (matches the number of keys)
        if (count($data) == count($keys)) {
            $result[] = array_combine($keys, $data);
        }
    }

    return $result;
}