<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('orders', function (Blueprint $table) {
            $table->id();
            $table->foreignId('user_id')->constrained('users')->onDelete('cascade');
            $table->foreignId('payment_id')->constrained('payments')->onDelete('cascade');
            $table->foreignId('shipping_id')->constrained('user_shipping_addresses')->onDelete('cascade');
            $table->foreignId('billing_id')->constrained('user_billing_addresses')->onDelete('cascade');
            $table->integer('sub_total');
            $table->integer('tax')->default(0);
            $table->integer('discount')->default(0);
            $table->integer('shipping_charge')->default(0);
            $table->integer('grand_total');
            $table->string('order_status');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('orders');
    }
};
