<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('ebay_campaigns', function (Blueprint $table) {
            $table->id();
            $table->string('campaign_id', 50)->unique(); // Unique campaign ID from eBay
            $table->string('campaign_name', 255); // Campaign name
            $table->string('marketplace_id', 50); // Marketplace ID (e.g., EBAY_GB)
            $table->string('campaign_status', 50); // Status of the campaign (e.g., RUNNING)
            $table->dateTime('start_date'); // Start date of the campaign
            $table->dateTime('end_date')->nullable(); // End date of the campaign (nullable)
            $table->string('campaign_targeting_type', 50); // Targeting type (e.g., MANUAL)
            
            $table->string('funding_model', 50); // Funding model (e.g., COST_PER_CLICK)
            $table->string('bidding_strategy', 50); // Bidding strategy (e.g., FIXED)
            
            $table->decimal('daily_budget_value', 10, 2); // Daily budget value
            $table->string('daily_budget_currency', 10); // Currency of the daily budget
            $table->string('daily_budget_status', 50); // Status of the daily budget (e.g., ALLOCATED)
            
            $table->json('channels'); // Channels array (stored as JSON)
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('ebay_campaigns');
    }
};
