<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('ad_report_tasks', function (Blueprint $table) {
            $table->id();
            $table->string('task_id')->unique(); // reportTaskId
            $table->string('report_name'); // reportName
            $table->json('dimensions')->nullable(); // dimensions array
            $table->json('metrics')->nullable(); // metrics array
            $table->json('campaign_ids')->nullable(); // campaignIds array
            $table->timestamp('date_from')->nullable(); // dateFrom
            $table->timestamp('date_to')->nullable(); // dateTo
            $table->timestamp('expected_completion_date')->nullable(); // reportTaskExpectedCompletionDate
            $table->timestamp('creation_date')->nullable(); // reportTaskCreationDate
            $table->timestamp('completion_date')->nullable(); // reportTaskCompletionDate
            $table->timestamp('expiration_date')->nullable(); // reportTaskExpirationDate
            $table->string('status'); // reportTaskStatus
            $table->string('report_id')->nullable(); // reportId
            $table->string('report_url')->nullable(); // reportHref
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('ad_report_tasks');
    }
};
