<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('campaign_keywords', function (Blueprint $table) {
            $table->id(); // Primary key
            $table->string('campaign_id'); // Campaign ID (string or adjust to int based on API data type)
            $table->string('keyword_id'); // Unique ID for the keyword
            $table->string('keyword_text'); // Actual keyword text
            $table->string('ad_group_id'); // Ad group ID
            $table->string('match_type'); // Match type (e.g., PHRASE)
            $table->string('keyword_status'); // Keyword status (e.g., ACTIVE)
            $table->string('normalized_keyword_text'); // Normalized keyword text
            $table->decimal('bid_value', 10, 2); // Bid value (decimal with precision)
            $table->string('bid_currency'); // Currency of the bid
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('campaign_keywords');
    }
};
