<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('ad_groups', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('campaign_id'); // Foreign key to campaign
            $table->string('ad_group_id')->index(); // Ad Group ID
            $table->string('name'); // Ad Group Name
            $table->decimal('default_bid_value', 10, 2); // Default Bid Value
            $table->string('default_bid_currency', 10); // Default Bid Currency
            $table->string('ad_group_status'); // Ad Group Status
            $table->timestamps();
            // Optional: Add a foreign key constraint
            $table->foreign('campaign_id')->references('id')->on('campaigns')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('ad_groups');
    }
};
