<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('ebay_analytics', function (Blueprint $table) {
            $table->id();
             $table->date('report_date'); // The date for the report (e.g., '2024-01-07')
            $table->string('marketplace_id'); // Marketplace ID (e.g., 'EBAY_GB')

            // Metric columns for different report values
            $table->decimal('listing_impression_search_results_page', 15, 5)->nullable(); // Listing Impressions on Search Results Page
            $table->decimal('listing_impression_home_page', 15, 5)->nullable(); // Listing Impressions on Home Page
            $table->decimal('transaction', 15, 5)->nullable(); // Transactions
            $table->decimal('unique_transactions', 15, 5)->nullable(); // Unique Transactions
            $table->decimal('buyer_views', 15, 5)->nullable(); // Buyer Views
            $table->decimal('total_sales', 15, 5)->nullable(); // Total Sales
            $table->decimal('buyers', 15, 5)->nullable(); // Buyers
            $table->decimal('buy_box_purchases', 15, 5)->nullable(); // Buy Box Purchases
            $table->decimal('listing_views', 15, 5)->nullable(); // Listing Views
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('ebay_analytics');
    }
};
