<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('amazon_oauth_tokens', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('user_id'); // Reference to the user
            $table->string('marketplace_id')->default('amazon'); // Marketplace (amazon)
            $table->text('access_token');
            $table->text('refresh_token');
            $table->timestamp('access_token_expiry');
            $table->string('region'); // Region (us, in, etc.)
            $table->string('selling_partner_id')->nullable(); // Selling Partner ID (new column)
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('amazon_oauth_tokens');
    }
};
