<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('campaign_performance_metrics', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('campaign_id'); // Store campaign ID
            $table->integer('impressions')->default(0);
            $table->integer('clicks')->default(0);
            $table->decimal('cost', 10, 2)->default(0);
            $table->decimal('sales1d', 10, 2)->default(0);
            $table->decimal('sales7d', 10, 2)->default(0);
            $table->decimal('sales14d', 10, 2)->default(0);
            $table->decimal('sales30d', 10, 2)->default(0);
            $table->decimal('attributed_sales_same_sku30d', 10, 2)->default(0);
            $table->decimal('attributed_sales_same_sku14d', 10, 2)->default(0);
            $table->decimal('attributed_sales_same_sku7d', 10, 2)->default(0);
            $table->decimal('attributed_sales_same_sku1d', 10, 2)->default(0);
            $table->date('start_date')->nullable(); // Campaign start date
            $table->date('end_date')->nullable();   // Campaign end date
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('campaign_performance_metrics');
    }
};
