let cartQuantity = 0;
let totalPrice = 0.0;

// Function to toggle the cart sidebar
function toggleCart() {
    const cartSidebar = document.getElementById('cartSidebar');
    cartSidebar.classList.toggle('show');
}

// Function to add item to the cart
function addToCart(productId,productName, productPrice) {
    cartQuantity++;
    document.getElementById('cartQuantity').textContent = cartQuantity;

    // Create a new cart item
    const cartItem = document.createElement('div');
    cartItem.className = 'cart-item';
    cartItem.innerHTML = `
        <span>${productName} - $${productPrice.toFixed(2)}</span>
        <input type="hidden" name="productId[]" value="${productId}">
        <input type="hidden" name="productName[]" value="${productName}">
        <input type="hidden" name="productPrice[]" value="${productPrice}">
        <input type="number" name="quantity[${productId}]" value="1" min="1" style="width:15%">
        <span class="delete-icon" onclick="removeFromCart(this, ${productPrice})">❌</span>
    `;

    // Add the new item to the cart
    document.getElementById('cartItems').appendChild(cartItem);

    // Update the total price
    totalPrice += productPrice;
    document.getElementById('totalPrice').textContent = totalPrice.toFixed(2);
}

// Function to remove an item from the cart
function removeFromCart(deleteIcon, productPrice) {
    const cartItem = deleteIcon.parentElement;
    cartItem.remove();
    cartQuantity--;
    document.getElementById('cartQuantity').textContent = cartQuantity;

    // Update the total price
    totalPrice -= productPrice;
    document.getElementById('totalPrice').textContent = totalPrice.toFixed(2);

    // If cart is empty, hide the sidebar
    if (cartQuantity === 0) {
        document.getElementById('cartSidebar').classList.remove('show');
    }
}

// Event listener for the cart icon to toggle the sidebar
document.getElementById('cartIcon').addEventListener('click', toggleCart);









// nil
// nil
// nil
// nil

// nil



