// carousel js
let next = document.getElementById('next');
let prev = document.getElementById('prev');
let carousel = document.querySelector('.carousel');
let items = document.querySelectorAll('.carousel .item');
let countItem = items.length;
let active = 1;
let other_1 = null;
let other_2 = null;
next.onclick = () => {
  carousel.classList.remove('prev');
  carousel.classList.add('next');
  active = active + 1 >= countItem ? 0 : active + 1;
  other_1 = active - 1 < 0 ? countItem - 1 : active - 1;
  other_2 = active + 1 >= countItem ? 0 : active + 1;
  changeSlider();
}
prev.onclick = () => {
  carousel.classList.remove('next');
  carousel.classList.add('prev');
  active = active - 1 < 0 ? countItem - 1 : active - 1;
  other_1 = active + 1 >= countItem ? 0 : active + 1;
  other_2 = other_1 + 1 >= countItem ? 0 : other_1 + 1;
  changeSlider();
}
const changeSlider = () => {
  let itemOldActive = document.querySelector('.carousel .item.active');
  if (itemOldActive) itemOldActive.classList.remove('active');

  let itemOldOther_1 = document.querySelector('.carousel .item.other_1');
  if (itemOldOther_1) itemOldOther_1.classList.remove('other_1');

  let itemOldOther_2 = document.querySelector('.carousel .item.other_2');
  if (itemOldOther_2) itemOldOther_2.classList.remove('other_2');

  items.forEach(e => {
    e.querySelector('.image img').style.animation = 'none';
    e.querySelector('.image figcaption').style.animation = 'none';
    void e.offsetWidth;
    e.querySelector('.image img').style.animation = '';
    e.querySelector('.image figcaption').style.animation = '';
  })

  items[active].classList.add('active');
  items[other_1].classList.add('other_1');
  items[other_2].classList.add('other_2');

  clearInterval(autoPlay);
  autoPlay = setInterval(() => {
    next.click();
  }, 3000);
}
let autoPlay = setInterval(() => {
  next.click();
}, 3000);

// slider of index page
let scrollAmount = 0;
const slider = document.querySelector('.most-selling-slider');
const gemCardWidth = 270; 

function scrollSlider(direction) {
    const containerWidth = document.querySelector('.slider-wrapper').offsetWidth;
    const totalWidth = slider.scrollWidth;

    scrollAmount += direction * gemCardWidth;

    // Ensure we don't scroll beyond the content
    if (scrollAmount < 0) scrollAmount = 0;
    if (scrollAmount > totalWidth - containerWidth) scrollAmount = totalWidth - containerWidth;

    slider.style.transform = `translateX(-${scrollAmount}px)`;
}


// about js
function toggleText() {
  var text = document.getElementById("more-info");
  var button = document.querySelector(".learn-more-button");
  if (text.style.display === "none" || text.style.display === "") {
    text.style.display = "block";
    button.textContent = "Show Less";
  } else {
    text.style.display = "none";
    button.textContent = "Learn More";
  }
}

// navbar
const mobileMenu = document.getElementById('mobile-menu');
const navbarMenu = document.querySelector('.navbar-menu');

mobileMenu.addEventListener('click', () => {
  mobileMenu.classList.toggle('active');
  navbarMenu.classList.toggle('active');
});


// live chat
function toggleChat() {
  const chatWidget = document.getElementById('chatWidget');
  chatWidget.classList.toggle('show');
}

function handleKeyPress(event) {
  if (event.key === 'Enter') {
    sendMessage();
  }
}

function sendMessage() {
  const input = document.getElementById('chatInput');
  const message = input.value.trim();  
  if (message) { 
    displayMessage('You: ' + message);  
    input.value = '';  
  }
}

function displayMessage(text) {
  const chatMessages = document.getElementById('chatMessages');
  const messageElement = document.createElement('p');
  messageElement.textContent = text;
  chatMessages.appendChild(messageElement);
  chatMessages.scrollTop = chatMessages.scrollHeight; 
}




//
//
//
//
//
// 

// 
// 
// 
