<x-guest-layout>
    <div class="relative py-3">
        <div
            class="absolute inset-0 bg-gradient-to-r from-brown-light to-brown shadow-lg transform -skew-y-6 sm:skew-y-0 sm:-rotate-6 sm:rounded-3xl">
        </div>

        <div class="relative px-4 py-10 bg-white shadow-lg sm:rounded-3xl sm:p-10">
            <div class="mx-auto sm:w-96 w-full">
                <div class="mb-4 text-center">
                    <h3 class="font-medium text-2xl text-brown mb-3">Sign In </h3>
                    <p class="text-gray-500">Please sign in to your account.</p>
                </div>
                <form action="{{ route('submitlogin') }}" method="post">
                    @csrf
                    <div class="space-y-5">
                        <div>
                            <label class="text-sm text-gray-700 font-medium mb-1" for="title">Email</label>
                            <input class="text-sm py-3 px-5 border-2 border-gray-200 rounded-full w-full outline-0 focus:outline-none focus:border-green" name="email" type="text" placeholder="mail@gmail.com">
                            @error('email')
                                <span class="text-red-500">{{ $message }}</span>
                            @enderror
                        </div>
                        <div>
                            <label class="text-sm text-gray-700 font-medium mb-1">Password</label>
                            <input class="text-sm py-3 px-5 border-2 border-gray-200 rounded-full w-full outline-0 focus:outline-none focus:border-green" name="password" type="password" placeholder="Enter your password">
                            @error('password')
                                <span class="text-red-500">{{ $message }}</span>
                            @enderror
                        </div>
                        <div class="flex items-center justify-between">
                            <div class="flex items-center">
                                <input id="remember_me" name="remember_me" type="checkbox" class="h-4 w-4 bg-green focus:ring-green border-green rounded">
                                <label for="remember_me" class="ml-2 block text-sm text-gray-800">
                                    Remember me
                                </label>
                            </div>
                            <div class="text-sm">
                                <a href="/admin/forgotpassword" class="text-sm text-green hover:text-brown">
                                    Forgot your password?
                                </a>
                            </div>
                        </div>
                        <div>
                            <button type="submit" class="btn-default btn-primary w-full text-white text-base">Sign in</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</x-guest-layout>
