<x-layouts.admin>
    <div class="w-full p-6 mx-auto">
        <div class="rounded-xl border dark:border-gray-700 border-gray-300 bg-whiter p-4 py-3 sm:px-6 sm:py-4 xl:px-7">
            <nav>
                <ol class="flex flex-wrap items-center gap-3">
                    <li>
                        <a class="flex items-center gap-2 text-brown-light hover:text-green dark:text-white dark:hover:text-white" href="/admin/dashboard">
                            <i class="fa-solid fa-house"></i>
                            Dashboard
                        </a>
                    </li>
                    <li class="flex items-center gap-3">
                        <i class="fa-solid fa-arrow-right-long text-brown-light"></i>
                        Orders
                    </li>
                </ol>
            </nav>
        </div>
        <div class="mt-12">
            <div class="relative flex flex-col bg-white dark:bg-gray-800 rounded-2xl border dark:border-gray-700 border-gray-300">
                <div class="mx-4 rounded-xl bg-brown-light dark:bg-gray-900 text-white shadow-lg -mt-6 px-6 py-3 flex justify-between items-center">
                    <p class="block text-lg font-medium leading-relaxed text-white">All Orders</p>
                </div>
                <div class="p-4">
                    <div class="mt-4 overflow-hidden border border-gray-300 rounded-xl">
                        <div class="w-full overflow-hidden">
                            <div class="w-full overflow-x-auto ">
                                <table class="w-full">
                                    <thead>
                                        <tr class="text-xs font-semibold tracking-wide text-left text-gray-800 uppercase border-b dark:border-gray-700 bg-gray-200 dark:text-gray-400 dark:bg-gray-800">
                                            <th class="p-4">#</th>
                                            <th class="p-4">Customer Name</th>
                                            <th class="p-4">Date</th>
                                            <th class="p-4">Contact</th>
                                            <th class="p-4">Address</th>
                                            <th class="p-4 whitespace-nowrap">Grand Total</th>
                                            <th class="p-4">Status</th>
                                            <th class="p-4 text-center">Action</th>
                                        </tr>
                                    </thead>
                                    <tbody class="bg-white divide-y dark:divide-gray-700 dark:bg-gray-800">
                                        @foreach($orders as $order)
                                            <tr>
                                                <td class="px-4 py-2 text-sm">
                                                    <p class="font-medium text-sm">{{ $loop->iteration }}</p>
                                                </td>
                                                <td class="px-4 py-2">
                                                    <p class="font-medium text-sm whitespace-nowrap">{{ $order['billingAddress']->first_name }}&nbsp;{{ $order['billingAddress']->last_name }}</p>
                                                </td>
                                                <td class="px-4 py-2">
                                                    <p class="font-medium text-sm whitespace-nowrap">{{ $order->created_at->format('d-m-Y') }}</p>
                                                </td>
                                                <td>
                                                    <p class="font-medium text-sm whitespace-nowrap">{{ $order['billingAddress']->contact }}</p>
                                                </td>
                                                 <td>
                                                    <p class="font-medium text-sm whitespace-nowrap">{{ $order['billingAddress']->address }}</p>
                                                    <p class="font-medium text-sm whitespace-nowrap">{{ $order['billingAddress']->city }}, {{ $order['billingAddress']->state }}</p>
                                                    <p class="font-medium text-sm whitespace-nowrap">{{ $order['billingAddress']->country }} - {{ $order['billingAddress']->pincode }}</p>
                                                    </td>
                                                <td>
                                                    <p class="font-medium text-sm whitespace-nowrap">${{ number_format($order->grand_total) }}</p>
                                                </td>
                                                 <td>
                                                    <p class="font-medium text-sm whitespace-nowrap">{{ $order->order_status }}</p>
                                                </td>
                                                <td class="px-4 py-2 text-xl text-center">
                                                    <a href="/admin/orders_details/{{ $order->id }}" class="d-inline-block px-2">
                                                        <i class="fa-regular fa-eye text-pink-500"></i>
                                                    </a>
                                                </td>
                                            </tr>
                                        @endforeach

                                        {{-- <tr class="text-gray-700 dark:text-gray-400">
                                            <td class="px-4 py-2 text-sm">
                                                <p class="font-medium text-sm">1</p>
                                            </td>
                                            <td class="px-4 py-2">
                                                <a href="/admin/products" class="flex space-x-2 items-center hover:text-green w-auto">
                                                    <div class="h-8 w-8 rounded-full overflow-hidden bg-gray-300 flex justify-center items-center">
                                                        <img src="{{ asset('assets/images/almond.png')}}" alt="img">
                                                    </div>
                                                    <p class="font-medium text-sm whitespace-nowrap">Sir Almond - 200g</p>
                                                </a>
                                            </td>
                                            <td class="px-4 py-2">
                                                <p class="font-medium text-sm whitespace-nowrap">24-06-2024</p>
                                            </td>
                                            <td class="px-4 py-2">
                                                <p class="font-medium text-sm">$16.00</p>
                                            </td>
                                            <td class="px-4 py-2">
                                                <p class="font-medium text-sm">$2.00</p>
                                            </td>
                                            <td class="px-4 py-2">
                                                <p class="font-medium text-sm">$14.00</p>
                                            </td>
                                            <td class="px-4 py-2">
                                                <p class="font-medium text-sm">COD</p>
                                            </td>
                                            <td class="px-4 py-2">
                                                <div class="text-sm text-orange-600 bg-orange-200 rounded-3xl px-6 py-1 text-center whitespace-nowrap">In-Progress</div>
                                            </td>
                                            <td class="px-4 py-2 text-xl text-center">
                                                <a href="/admin/orders/view" class="d-inline-block px-2">
                                                    <i class="fa-regular fa-eye text-pink-500"></i>
                                                </a>
                                            </td>
                                        </tr> --}}
                                        {{-- <tr class="text-gray-700 dark:text-gray-400">
                                            <td class="px-4 py-2 text-sm">
                                                <p class="font-medium text-sm">2</p>
                                            </td>
                                            <td class="px-4 py-2">
                                                <a href="/admin/products" class="flex space-x-2 items-center hover:text-green w-auto">
                                                    <div class="h-8 w-8 rounded-full overflow-hidden bg-gray-300 flex justify-center items-center">
                                                        <img src="{{ asset('assets/images/hazelboy.png')}}" alt="img">
                                                    </div>
                                                    <p class="font-medium text-sm whitespace-nowrap">Hazel Boy - 1kg</p>
                                                </a>
                                            </td>
                                            <td class="px-4 py-2">
                                                <p class="font-medium text-sm whitespace-nowrap">25-06-2024</p>
                                            </td>
                                            <td class="px-4 py-2">
                                                <p class="font-medium text-sm">$121.30</p>
                                            </td>
                                            <td class="px-4 py-2">
                                                <p class="font-medium text-sm">0</p>
                                            </td>
                                            <td class="px-4 py-2">
                                                <p class="font-medium text-sm">$121.30</p>
                                            </td>
                                            <td class="px-4 py-2">
                                                <p class="font-medium text-sm">Card</p>
                                            </td>
                                            <td class="px-4 py-2">
                                                <div class="text-sm text-red-600 bg-red-200 rounded-3xl px-6 py-1 text-center">Cancelled</div>
                                            </td>
                                            <td class="px-4 py-2 text-xl text-center">
                                                <a href="/admin/orders/view" class="d-inline-block px-2">
                                                    <i class="fa-regular fa-eye text-pink-500"></i>
                                                </a>
                                            </td>
                                        </tr>
                                        <tr class="text-gray-700 dark:text-gray-400">
                                            <td class="px-4 py-2 text-sm">
                                                <p class="font-medium text-sm">3</p>
                                            </td>
                                            <td class="px-4 py-2">
                                                <a href="/admin/products" class="flex space-x-2 items-center hover:text-green w-auto">
                                                    <div class="h-8 w-8 rounded-full overflow-hidden bg-gray-300 flex justify-center items-center">
                                                        <img src="{{ asset('assets/images/naturalmix.png')}}" alt="img">
                                                    </div>
                                                    <p class="font-medium text-sm whitespace-nowrap">Natural Mix - 250g</p>
                                                </a>
                                            </td>
                                            <td class="px-4 py-2">
                                                <p class="font-medium text-sm whitespace-nowrap">26-06-2024</p>
                                            </td>
                                            <td class="px-4 py-2">
                                                <p class="font-medium text-sm">$23.92</p>
                                            </td>
                                            <td class="px-4 py-2">
                                                <p class="font-medium text-sm">$0.92</p>
                                            </td>
                                            <td class="px-4 py-2">
                                                <p class="font-medium text-sm">$23.00</p>
                                            </td>
                                            <td class="px-4 py-2">
                                                <p class="font-medium text-sm">Amazon Pay</p>
                                            </td>
                                            <td class="px-4 py-2">
                                                <div class="text-sm text-purple-600 bg-purple-200 rounded-3xl px-6 py-1 text-center">Shipped</div>
                                            </td>
                                            <td class="px-4 py-2 text-xl text-center">
                                                <a href="/admin/orders/view" class="d-inline-block px-2">
                                                    <i class="fa-regular fa-eye text-pink-500"></i>
                                                </a>
                                            </td>
                                        </tr>
                                        <tr class="text-gray-700 dark:text-gray-400">
                                            <td class="px-4 py-2 text-sm">
                                                <p class="font-medium text-sm">4</p>
                                            </td>
                                            <td class="px-4 py-2">
                                                <a href="/admin/products" class="flex space-x-2 items-center hover:text-green w-auto">
                                                    <div class="h-8 w-8 rounded-full overflow-hidden bg-gray-300 flex justify-center items-center">
                                                        <img src="{{ asset('assets/images/raisins.png')}}" alt="img">
                                                    </div>
                                                    <p class="font-medium text-sm whitespace-nowrap">Madam Raisins - 500g</p>
                                                </a>
                                            </td>
                                            <td class="px-4 py-2">
                                                <p class="font-medium text-sm whitespace-nowrap">27-06-2024</p>
                                            </td>
                                            <td class="px-4 py-2">
                                                <p class="font-medium text-sm">$41.00</p>
                                            </td>
                                            <td class="px-4 py-2">
                                                <p class="font-medium text-sm">$1.30</p>
                                            </td>
                                            <td class="px-4 py-2">
                                                <p class="font-medium text-sm">$39.70</p>
                                            </td>
                                            <td class="px-4 py-2">
                                                <p class="font-medium text-sm">Paytm Wallet</p>
                                            </td>
                                            <td class="px-4 py-2">
                                                <div class="text-sm text-green bg-green/[0.2] rounded-3xl px-6 py-1 text-center">Completed</div>
                                            </td>
                                            <td class="px-4 py-2 text-xl text-center">
                                                <a href="/admin/orders/view" class="d-inline-block px-2">
                                                    <i class="fa-regular fa-eye text-pink-500"></i>
                                                </a>
                                            </td>
                                        </tr>
                                        <tr class="text-gray-700 dark:text-gray-400">
                                            <td class="px-4 py-2 text-sm">
                                                <p class="font-medium text-sm">5</p>
                                            </td>
                                            <td class="px-4 py-2">
                                                <a href="/admin/products" class="flex space-x-2 items-center hover:text-green w-auto">
                                                    <div class="h-8 w-8 rounded-full overflow-hidden bg-gray-300 flex justify-center items-center">
                                                        <img src="{{ asset('assets/images/cashew.png')}}" alt="img">
                                                    </div>
                                                    <p class="font-medium text-sm whitespace-nowrap">Teen Cashew - 100g</p>
                                                </a>
                                            </td>
                                            <td class="px-4 py-2">
                                                <p class="font-medium text-sm whitespace-nowrap">28-06-2024</p>
                                            </td>
                                            <td class="px-4 py-2">
                                                <p class="font-medium text-sm">$11.50</p>
                                            </td>
                                            <td class="px-4 py-2">
                                                <p class="font-medium text-sm">0</p>
                                            </td>
                                            <td class="px-4 py-2">
                                                <p class="font-medium text-sm">$11.50</p>
                                            </td>
                                            <td class="px-4 py-2">
                                                <p class="font-medium text-sm">UPI</p>
                                            </td>
                                            <td class="px-4 py-2">
                                                <div class="text-sm text-brown bg-brown/[0.2] rounded-3xl px-6 py-1 text-center">Ordered</div>
                                            </td>
                                            <td class="px-4 py-2 text-xl text-center">
                                                <a href="/admin/orders/view" class="d-inline-block px-2">
                                                    <i class="fa-regular fa-eye text-pink-500"></i>
                                                </a>
                                            </td>
                                        </tr> --}}
                                    </tbody>
                                </table>
                            </div>
                            <div class=" px-4 py-3 text-xs font-semibold tracking-wide text-gray-500 uppercase border-t dark:border-gray-700 bg-gray-50 sm:grid-cols-9 dark:text-gray-400 dark:bg-gray-800">
                                <!-- Pagination -->
                                <span class="flex col-span-4 mt-2 sm:mt-auto sm:justify-end">
                                                {{ $orders->links() }}
                                </span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</x-layouts.admin>
