<x-layouts.admin>
    <div class="w-full p-6 mx-auto">
        <div class="rounded-xl border dark:border-gray-700 border-gray-300 bg-whiter p-4 py-3 sm:px-6 sm:py-4 xl:px-7">
            <nav>
                <ol class="flex flex-wrap items-center gap-3">
                    <li>
                        <a class="flex items-center gap-2 text-brown-light hover:text-green dark:text-white dark:hover:text-white" href="/admin/dashboard">
                            <i class="fa-solid fa-house"></i>
                            Dashboard
                        </a>
                    </li>
                    <li>
                        <a class="flex items-center gap-2 text-brown-light hover:text-green dark:text-white dark:hover:text-white" href="/admin/orders">
                            <i class="fa-solid fa-arrow-right-long text-brown-light"></i>
                            Orders List
                        </a>
                    </li>
                    <li class="flex items-center gap-3">
                        <i class="fa-solid fa-arrow-right-long text-brown-light"></i>
                        View
                    </li>
                </ol>
            </nav>
        </div>

        <div class="mt-12">
            <div class="relative flex flex-col bg-white dark:bg-gray-800 rounded-2xl border dark:border-gray-700 border-gray-300">
                <div class="mx-4 rounded-xl bg-brown-light dark:bg-gray-900 text-white shadow-lg -mt-6 px-6 py-3 flex justify-between items-center">
                    <p class="block text-lg font-medium leading-relaxed text-white">View Order</p>
                    <a href="/admin/orders" class="btn-default btn-secondary text-white text-base">
                        <i class="fa-solid fa-arrow-left-long mr-2"></i> Back
                    </a>
                </div>
                <div class="p-6">
                    <p class="uppercase dark:text-white-800 text-gray-500 text-sm mb-2">Order Details</p>
                    {{-- @dd($order) --}}
                    <div class="flex justify-between items-center gap-4 flex-wrap">
                        <div>
                            <p class="font-medium text-md uppercase">Order Id: {{ $order->payment_reference }}</p>
                            <p class="text-gray-500 text-sm">{{$order->created_at->format('D - d F, Y') }}</p>
                        </div>
                        <div>
                            <div class="text-sm text-purple-600 bg-purple-200 rounded-3xl px-6 py-1 text-center max-w-32">{{ $order->order_status }}</div>
                        </div>
                    </div>
                    <hr class="border-gray-300 opacity-100 my-6">
                    <p class="uppercase dark:text-white-800 text-gray-500 text-sm mb-2">Customer Details</p>
                    <div class="flex justify-between items-center gap-4 flex-wrap mb-8">
                        <div>
                            <a href="/admin/users" class="font-medium text-lg uppercase text-green hover:text-brown">{{ $order['billingAddress']->first_name }}&nbsp;{{ $order['billingAddress']->last_name }}</a>
                            <a href="mailto:example@yopmail.com" class="hover:text-green block">{{ $order['billingAddress']->email }}</a>
                            <a href="tel:+1 123 4567 890" class="hover:text-green block mt-1 text-sm">{{ $order['billingAddress']->contact }}</a>
                        </div>
                    </div>
                    <div class="flex justify-between items-center gap-4 flex-wrap mb-8">
                        <div>
                            <p class="uppercase dark:text-white-800 text-gray-500 text-sm mb-2">Shipping Address</p>
                            <p>{{ $shipping_address->address }}<br>{{ $shipping_address->city }}, {{ $shipping_address->state }}, {{ $shipping_address->country }} <br> {{ $shipping_address->pincode }}</p>
                        </div>
                        <div class="text-right rtl:text-left">
                            <p class="uppercase dark:text-white-800 text-gray-500 text-sm mb-2">billing Address</p>
                            <p>{{ $order['billingAddress']->address }}<br>{{ $order['billingAddress']->city }}, {{ $order['billingAddress']->state }}, {{ $order['billingAddress']->country }} <br> {{ $order['billingAddress']->pincode }}</p>
                        </div>
                    </div>
                    <p class="uppercase dark:text-white-800 text-gray-500 text-sm mb-2">Order Details</p>
                    <div class="w-full overflow-hidden mb-8">
                        <div class="w-full overflow-x-auto">
                            <table class="w-full border">
                                <thead>
                                    <tr class="text-xs font-semibold tracking-wide text-left text-gray-800 uppercase border-b dark:border-gray-700 bg-gray-200 dark:text-gray-400 dark:bg-gray-800">
                                        <th class="p-4">#</th>
                                        <th class="p-4">Image</th>
                                        <th class="p-4 whitespace-nowrap">Product Name</th>
                                        <th class="p-4">Style</th>
                                        <th class="p-4">Quantity</th>
                                        <th class="p-4">Price</th>
                                    </tr>
                                </thead>
                                <tbody class="bg-white divide-y dark:divide-gray-700 dark:bg-gray-800">
                                    @foreach($order->orderDetails as $item)
                                       <tr class="text-gray-700 dark:text-gray-400">
                                         <td class="px-4 py-2 text-sm">
                                            <p class="font-medium text-sm">{{ $loop->iteration }}</p>
                                        </td>
                                         <td class="px-4 py-2">
                                            <div class="h-16 w-24 rounded bg-gray-200 p-2">
                                                <img src="{{ asset('storage/' .  $item->product->mainImage->file_path ?? null) }}" alt="img" class="h-full mx-auto drop-shadow-xl">
                                            </div>
                                        </td>
                                         <td class="px-4 py-2">
                                            <a class="flex space-x-2 items-center hover:text-green font-medium text-sm whitespace-nowrap">{{ $item->product->name }}</a>
                                        </td>
                                         <td class="px-4 py-2">
                                            <p class="font-medium text-sm">{{ $item->productDetails->style }} <small>({{ $item->productDetails->size }} carats)</small></p>
                                        </td>
                                        <td class="px-4 py-2">
                                            <p class="font-medium text-sm">{{ $item->quantity }}</p>
                                        </td>
                                        <td class="px-4 py-2">
                                            <p class="font-medium text-sm">${{ number_format($item->quantity * $item->productDetails->price) }}<br><small>(${{ number_format($item->productDetails->price) }}/gem)</small></p>
                                        </td>
                                       </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <p class="uppercase dark:text-white-800 text-gray-500 text-sm mb-2">Payment Details</p>
                    <div class="flex justify-between gap-4 flex-wrap">
                        <div>
                            <p><span class="text-gray-500">Transaction Id :</span> {{ $order->payment->payment_id }}</p>
                            <p><span class="text-gray-500">Amount :</span>${{ number_format($order->payment->amount) }}</p>
                            @if($order->payment->payment_status=="[capture-received]")
                            <p class="text-green"><span class="text-gray-500">Payment Status :</span>Paid</p>
                            @else
                            <p class="text-green"><span class="text-gray-500">Payment Status :</span>Pending</p>
                            @endif
                        </div>
                        <div class="text-right rtl:text-left">
                            <p><span class="text-gray-500">Payment Method :</span> {{ $order->payment->payment_method }}</p>
                            {{-- <p><span class="text-gray-500">Mastercard :</span> **** **** 4141</p> --}}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</x-layouts.admin>
