<x-layouts.admin>
    <div class="w-full p-6 mx-auto">
        <div class="rounded-xl border dark:border-gray-700 border-gray-300 bg-whiter p-4 py-3 sm:px-6 sm:py-4 xl:px-7">
            <nav>
                <ol class="flex flex-wrap items-center gap-3">
                    <li>
                        <a class="flex items-center gap-2 text-brown-light hover:text-green dark:text-white dark:hover:text-white" href="/admin/dashboard">
                            <i class="fa-solid fa-house"></i>
                            Dashboard
                        </a>
                    </li>
                    <li class="flex items-center gap-3">
                        <i class="fa-solid fa-arrow-right-long text-brown-light"></i>
                        Payments
                    </li>
                </ol>
            </nav>
        </div>
        <div class="mt-12">
            <div class="relative flex flex-col bg-white dark:bg-gray-800 rounded-2xl border dark:border-gray-700 border-gray-300">
                <div class="mx-4 rounded-xl bg-brown-light dark:bg-gray-900 text-white shadow-lg -mt-6 px-6 py-3 flex justify-between items-center">
                    <p class="block text-lg font-medium leading-relaxed text-white">All Orders</p>
                </div>
                <div class="p-4">
                    <div class="mt-4 overflow-hidden border border-gray-300 rounded-xl">
                        <div class="w-full overflow-hidden">
                            <div class="w-full overflow-x-auto ">
                                <table class="w-full">
                                    <thead>
                                        <tr class="text-xs font-semibold tracking-wide text-left text-gray-800 uppercase border-b dark:border-gray-700 bg-gray-200 dark:text-gray-400 dark:bg-gray-800">
                                            <th class="p-4">#</th>
                                            <th class="p-4">Payer Name</th>
                                            <th class="p-4">Email</th>
                                            <th class="p-4">Date</th>
                                            <th class="p-4">Payment ID</th>
                                            <th class="p-4 whitespace-nowrap">Grand Total</th>
                                            <th class="p-4">Status</th>
                                            <th class="p-4 text-center">Action</th>
                                        </tr>
                                    </thead>
                                    <tbody class="bg-white divide-y dark:divide-gray-700 dark:bg-gray-800">
                                        @foreach($payments as $payment)
                                            <tr>
                                                <td class="px-4 py-2 text-sm">
                                                    <p class="font-medium text-sm">{{ $loop->iteration }}</p>
                                                </td>
                                                <td class="px-4 py-2">
                                                    <p class="font-medium text-sm whitespace-nowrap">{{ $payment->payer_name }}</p>
                                                </td>
                                                <td>
                                                    <p class="font-medium text-sm whitespace-nowrap">{{ $payment->payer_email }}</p>
                                                </td>
                                                <td class="px-4 py-2">
                                                    <p class="font-medium text-sm whitespace-nowrap">{{ $payment->created_at->format('d-m-Y') }}</p>
                                                </td>
                                                 <td>
                                                    <p class="font-medium text-sm whitespace-nowrap">{{ $payment->payment_id }}</p>
                                                </td>
                                                <td>
                                                    <p class="font-medium text-sm whitespace-nowrap">${{ number_format($payment->amount) }}</p>
                                                </td>
                                                 <td>
                                                     @if($payment->payment_status=="[capture-received]")
                                                        <p class="text-green"> Paid</p>
                                                    @else
                                                        <p class="text-green">Pending</p>
                                                    @endif
                                                </td>
                                                <td class="px-4 py-2 text-xl text-center">
                                                    <a href="/admin/payments_details/{{ $payment->id }}" class="d-inline-block px-2">
                                                        <i class="fa-regular fa-eye text-pink-500"></i>
                                                    </a>
                                                </td>
                                            </tr>
                                        @endforeach
                                    </tbody>
                                </table>
                            </div>
                             <div class=" px-4 py-3 text-xs font-semibold tracking-wide text-gray-500 uppercase border-t dark:border-gray-700 bg-gray-50 sm:grid-cols-9 dark:text-gray-400 dark:bg-gray-800">
                                <!-- Pagination -->
                                <span class="flex col-span-4 mt-2 sm:mt-auto sm:justify-end">
                                                {{ $payments->links() }}
                                </span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</x-layouts.admin>
