<x-layouts.admin>
<div class="w-full p-6 mx-auto">
    <div class="rounded-xl border dark:border-gray-700 border-gray-300 bg-whiter p-4 py-3 sm:px-6 sm:py-4 xl:px-7">
        <nav>
            <ol class="flex flex-wrap items-center gap-3">
                <li>
                    <a class="flex items-center gap-2 text-brown-light hover:text-green dark:text-white dark:hover:text-white" href="/admin/dashboard">
                        <i class="fa-solid fa-house"></i>
                        Dashboard
                    </a>
                </li>
                <li>
                    <a class="flex items-center gap-2 text-brown-light hover:text-green dark:text-white dark:hover:text-white" href="/admin/orders">
                        <i class="fa-solid fa-arrow-right-long text-brown-light"></i>
                        Payments List
                    </a>
                </li>
                <li class="flex items-center gap-3">
                    <i class="fa-solid fa-arrow-right-long text-brown-light"></i>
                    Invoice
                </li>
            </ol>
        </nav>
    </div>
    <div class="mt-12">
        <div class="relative flex flex-col bg-white dark:bg-gray-800 rounded-2xl border dark:border-gray-700 border-gray-300">
            <div class="mx-4 rounded-xl bg-brown-light dark:bg-gray-900 text-white shadow-lg -mt-6 px-6 py-3 flex justify-between items-center">
                <p class="block text-lg font-medium leading-relaxed text-white">Payment Invoice</p>
                <a href="/admin/payments" class="btn-default btn-secondary text-white text-base">
                    <i class="fa-solid fa-arrow-left-long mr-2"></i> Back
                </a>
            </div>
            <div class="p-6">
                <div class="mx-auto p-6 shadow-md mt-10">
                        <!-- Header -->
                    <div class="flex justify-between items-center">
                        <div>
                            <img src="{{ asset('assets/images/logo.png')}}" alt="Logo" class="h-16">
                        </div>
                        <div class="text-right">
                            <p class="font-bold text-lg">Geology</p>
                            <p>geology@geology.com</p>
                            {{-- <p>+41-442341232</p>
                            <p>VAT: 8657617212</p> --}}
                        </div>
                    </div>

                    <div class="mt-6 flex justify-between">
                        {{-- @dd($payment) --}}
                        <div>
                            <p class="text-white-500">Bill to :</p>
                            <p class="font-bold text-lg">{{ $payment->billingAddress->first_name }}&nbsp;{{ $payment->billingAddress->last_name }}</p>
                            <p>  {{ $payment->billingAddress->city }}, {{ $payment->billingAddress->state }}, {{ $payment->billingAddress->country }}-{{ $payment->billingAddress->pincode }}</p>
                            <p>{{ $payment->billingAddress->email }}</p>
                        </div>
                        <div class="text-right">
                            <p><span class="font-bold">Invoice number:</span> {{ $payment->payment_id }}</p>
                            <p><span class="font-bold">Invoice date:</span> {{ $payment->created_at->format('D - d F, Y') }}</p>
                            @if($payment->payment_status=="[capture-received]")
                                <p class="text-green"><span class="text-white font-bold">Payment Status : </span> Paid</p>
                            @else
                                <p class="text-green"><span class="text-white-500">Payment Status :</span>Pending</p>
                            @endif
                        </div>
                    </div>

                    <!-- Items Table -->
                    <table class="w-full mt-6">
                        <thead class="bg-gray-500">
                            <tr>
                                <th class="text-left py-2 px-4">Items</th>
                                <th class="text-right py-2 px-4">Quantity</th>
                                <th class="text-right py-2 px-4">Price</th>
                                <th class="text-right py-2 px-4">Amount</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach($payment->orderDetails as $item)
                            <tr>
                                <td class="border-t py-2 px-4"><p class="font-semibold">{{ $item->product->name }}</p>
                                    <p class="text-sm text-gray-500">{{ $item->productDetails->style }}</p></td>
                                <td class="border-t text-right py-2 px-4">{{ $item->quantity }}</td>
                                <td class="border-t text-right py-2 px-4">${{ number_format($item->productDetails->price) }}</td>
                                <td class="border-t text-right py-2 px-4">${{ number_format($item->productDetails->price * $item->quantity) }}</td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>

                    <!-- Summary -->
                    <div class="mt-6 text-right">
                        <p class="font-semibold">Subtotal: ${{ number_format($payment->amount) }}</p>
                        {{-- <p class="font-semibold">Tax: $00.00</p>
                        <p class="font-semibold">Discount: 0%</p> --}}
                        <p class="text-2xl font-bold">Total: ${{ number_format($payment->amount) }}</p>
                    </div>

                    <!-- Footer -->
                    <div class="mt-8 border-t pt-4">
                        {{-- <p class="text-sm text-gray-500">Please pay the invoice before the due date. You can pay the invoice by logging in to your account from our client portal.</p> --}}
                    </div>
                </div>
            </div>
        </div>
    </div>

</div>
</x-layouts.admin>

