<x-layouts.admin>
    <div class="w-full p-6 mx-auto">
        <div class="rounded-xl border dark:border-gray-700 border-gray-300 bg-whiter p-4 py-3 sm:px-6 sm:py-4 xl:px-7">
            <nav>
                <ol class="flex flex-wrap items-center gap-3">
                    <li>
                        <a class="flex items-center gap-2 text-brown-light hover:text-green dark:text-white dark:hover:text-white" href="/admin/dashboard">
                            <i class="fa-solid fa-house"></i>
                            Dashboard
                        </a>
                    </li>
                    <li class="flex items-center gap-3">
                        <i class="fa-solid fa-arrow-right-long text-brown-light"></i>
                        Products List
                    </li>
                </ol>
            </nav>
        </div>
        <div class="mt-12">
            <div class="relative flex flex-col bg-white dark:bg-gray-800 rounded-xl rounded-2xl border dark:border-gray-700 border-gray-300">
                <div class="mx-4 rounded-xl bg-brown-light dark:bg-gray-900 text-white shadow-lg -mt-6 px-6 py-3 flex justify-between items-center">
                    <p class="block text-lg font-medium leading-relaxed text-white">All Products</p>
                    <a href="/admin/products/create" class="btn-default btn-secondary text-white text-base">
                        <i class="fa-solid fa-plus mr-2"></i> Add Product
                    </a>
                </div>
                <div class="p-4">
                    <div class="mt-4 overflow-hidden border border-gray-300 rounded-xl">
                        <div class="w-full overflow-hidden">
                            <div class="w-full overflow-x-auto ">
                                <table class="w-full">
                                    <thead>
                                        <tr class="text-xs font-semibold tracking-wide text-left text-gray-800 uppercase border-b dark:border-gray-700 bg-gray-200 dark:text-gray-400 dark:bg-gray-800">
                                            <th class="p-4">id</th>
                                            <th class="p-4">Product Name</th>
                                            <th class="p-4 text-center">Status</th>
                                            <th class="p-4 text-center">Action</th>
                                        </tr>
                                    </thead>
                                    <tbody class="bg-white divide-y dark:divide-gray-700 dark:bg-gray-800">
                                        <tr class="text-gray-700 dark:text-gray-400">
                                            <td class="px-4 py-2 text-sm">1</td>
                                            <td class="px-4 py-2">
                                                <p class="font-medium text-sm">Sir Almond</p>
                                            </td>
                                            <td class="px-4 py-2 text-sm">
                                                <label for="toggleTwo" class="flex items-center justify-center cursor-pointer select-none text-dark dark:text-white">
                                                    <div class="relative text-center">
                                                        <input type="checkbox" id="toggleTwo" class="peer sr-only" />
                                                        <div class="block h-8 rounded-full bg-white border border-green w-14" ></div>
                                                        <div class="absolute w-6 h-6 transition bg-gray-400 rounded-full dot dark:bg-gray-300 left-1 top-1 peer-checked:translate-x-full peer-checked:bg-green" ></div>
                                                    </div>
                                                </label>
                                            </td>
                                            <td class="px-4 py-2 text-xl flex items-center justify-center gap-4">
                                                <a href="/admin/products/edit" class="d-inline-block p-0">
                                                    <i class="fa-regular fa-pen-to-square text-green"></i>
                                                </a>
                                                <a href="" class="d-inline-block p-0">
                                                    <i class="fa-regular fa-trash-can text-red-500"></i>
                                                </a>
                                            </td>
                                        </tr>
                                        <tr class="text-gray-700 dark:text-gray-400">
                                            <td class="px-4 py-2 text-sm">2</td>
                                            <td class="px-4 py-2">
                                                <p class="font-medium text-sm">Teen Cashew</p>
                                            </td>
                                            <td class="px-4 py-2 text-sm">
                                                <label for="toggleTwo" class="flex items-center justify-center cursor-pointer select-none text-dark dark:text-white">
                                                    <div class="relative text-center">
                                                        <input type="checkbox" id="toggleTwo" class="peer sr-only" />
                                                        <div class="block h-8 rounded-full bg-white border border-green w-14" ></div>
                                                        <div class="absolute w-6 h-6 transition bg-gray-400 rounded-full dot dark:bg-gray-300 left-1 top-1 peer-checked:translate-x-full peer-checked:bg-green" ></div>
                                                    </div>
                                                </label>
                                            </td>
                                            <td class="px-4 py-2 text-xl flex items-center justify-center gap-4">
                                                <a href="/admin/products/edit" class="d-inline-block p-0">
                                                    <i class="fa-regular fa-pen-to-square text-green"></i>
                                                </a>
                                                <a href="" class="d-inline-block p-0">
                                                    <i class="fa-regular fa-trash-can text-red-500"></i>
                                                </a>
                                            </td>
                                        </tr>
                                        <tr class="text-gray-700 dark:text-gray-400">
                                            <td class="px-4 py-2 text-sm">3</td>
                                            <td class="px-4 py-2">
                                                <p class="font-medium text-sm">Miz Pistachio</p>
                                            </td>
                                            <td class="px-4 py-2 text-sm">
                                                <label for="toggleTwo" class="flex items-center justify-center cursor-pointer select-none text-dark dark:text-white">
                                                    <div class="relative text-center">
                                                        <input type="checkbox" id="toggleTwo" class="peer sr-only" />
                                                        <div class="block h-8 rounded-full bg-white border border-green w-14" ></div>
                                                        <div class="absolute w-6 h-6 transition bg-gray-400 rounded-full dot dark:bg-gray-300 left-1 top-1 peer-checked:translate-x-full peer-checked:bg-green" ></div>
                                                    </div>
                                                </label>
                                            </td>
                                            <td class="px-4 py-2 text-xl flex items-center justify-center gap-4">
                                                <a href="/admin/products/edit" class="d-inline-block p-0">
                                                    <i class="fa-regular fa-pen-to-square text-green"></i>
                                                </a>
                                                <a href="" class="d-inline-block p-0">
                                                    <i class="fa-regular fa-trash-can text-red-500"></i>
                                                </a>
                                            </td>
                                        </tr>
                                        <tr class="text-gray-700 dark:text-gray-400">
                                            <td class="px-4 py-2 text-sm">4</td>
                                            <td class="px-4 py-2">
                                                <p class="font-medium text-sm">Hazel Boy</p>
                                            </td>
                                            <td class="px-4 py-2 text-sm">
                                                <label for="toggleTwo" class="flex items-center justify-center cursor-pointer select-none text-dark dark:text-white">
                                                    <div class="relative text-center">
                                                        <input type="checkbox" id="toggleTwo" class="peer sr-only" />
                                                        <div class="block h-8 rounded-full bg-white border border-green w-14" ></div>
                                                        <div class="absolute w-6 h-6 transition bg-gray-400 rounded-full dot dark:bg-gray-300 left-1 top-1 peer-checked:translate-x-full peer-checked:bg-green" ></div>
                                                    </div>
                                                </label>
                                            </td>
                                            <td class="px-4 py-2 text-xl flex items-center justify-center gap-4">
                                                <a href="/admin/products/edit" class="d-inline-block p-0">
                                                    <i class="fa-regular fa-pen-to-square text-green"></i>
                                                </a>
                                                <a href="" class="d-inline-block p-0">
                                                    <i class="fa-regular fa-trash-can text-red-500"></i>
                                                </a>
                                            </td>
                                        </tr>
                                        <tr class="text-gray-700 dark:text-gray-400">
                                            <td class="px-4 py-2 text-sm">5</td>
                                            <td class="px-4 py-2">
                                                <p class="font-medium text-sm">The Peanuts</p>
                                            </td>
                                            <td class="px-4 py-2 text-sm">
                                                <label for="toggleTwo" class="flex items-center justify-center cursor-pointer select-none text-dark dark:text-white">
                                                    <div class="relative text-center">
                                                        <input type="checkbox" id="toggleTwo" class="peer sr-only" />
                                                        <div class="block h-8 rounded-full bg-white border border-green w-14" ></div>
                                                        <div class="absolute w-6 h-6 transition bg-gray-400 rounded-full dot dark:bg-gray-300 left-1 top-1 peer-checked:translate-x-full peer-checked:bg-green" ></div>
                                                    </div>
                                                </label>
                                            </td>
                                            <td class="px-4 py-2 text-xl flex items-center justify-center gap-4">
                                                <a href="/admin/products/edit" class="d-inline-block p-0">
                                                    <i class="fa-regular fa-pen-to-square text-green"></i>
                                                </a>
                                                <a href="" class="d-inline-block p-0">
                                                    <i class="fa-regular fa-trash-can text-red-500"></i>
                                                </a>
                                            </td>
                                        </tr>
                                        <tr class="text-gray-700 dark:text-gray-400">
                                            <td class="px-4 py-2 text-sm">6</td>
                                            <td class="px-4 py-2">
                                                <p class="font-medium text-sm">Lil Walnut</p>
                                            </td>
                                            <td class="px-4 py-2 text-sm">
                                                <label for="toggleTwo" class="flex items-center justify-center cursor-pointer select-none text-dark dark:text-white">
                                                    <div class="relative text-center">
                                                        <input type="checkbox" id="toggleTwo" class="peer sr-only" />
                                                        <div class="block h-8 rounded-full bg-white border border-green w-14" ></div>
                                                        <div class="absolute w-6 h-6 transition bg-gray-400 rounded-full dot dark:bg-gray-300 left-1 top-1 peer-checked:translate-x-full peer-checked:bg-green" ></div>
                                                    </div>
                                                </label>
                                            </td>
                                            <td class="px-4 py-2 text-xl flex items-center justify-center gap-4">
                                                <a href="/admin/products/edit" class="d-inline-block p-0">
                                                    <i class="fa-regular fa-pen-to-square text-green"></i>
                                                </a>
                                                <a href="" class="d-inline-block p-0">
                                                    <i class="fa-regular fa-trash-can text-red-500"></i>
                                                </a>
                                            </td>
                                        </tr>
                                        <tr class="text-gray-700 dark:text-gray-400">
                                            <td class="px-4 py-2 text-sm">7</td>
                                            <td class="px-4 py-2">
                                                <p class="font-medium text-sm">Madam Raisins</p>
                                            </td>
                                            <td class="px-4 py-2 text-sm">
                                                <label for="toggleTwo" class="flex items-center justify-center cursor-pointer select-none text-dark dark:text-white">
                                                    <div class="relative text-center">
                                                        <input type="checkbox" id="toggleTwo" class="peer sr-only" />
                                                        <div class="block h-8 rounded-full bg-white border border-green w-14" ></div>
                                                        <div class="absolute w-6 h-6 transition bg-gray-400 rounded-full dot dark:bg-gray-300 left-1 top-1 peer-checked:translate-x-full peer-checked:bg-green" ></div>
                                                    </div>
                                                </label>
                                            </td>
                                            <td class="px-4 py-2 text-xl flex items-center justify-center gap-4">
                                                <a href="/admin/products/edit" class="d-inline-block p-0">
                                                    <i class="fa-regular fa-pen-to-square text-green"></i>
                                                </a>
                                                <a href="" class="d-inline-block p-0">
                                                    <i class="fa-regular fa-trash-can text-red-500"></i>
                                                </a>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                            <div class="grid px-4 py-3 text-xs font-semibold tracking-wide text-gray-500 uppercase border-t dark:border-gray-700 bg-gray-50 sm:grid-cols-9 dark:text-gray-400 dark:bg-gray-800">
                                <span class="flex items-center col-span-3"> Showing 21-30 of 100 </span>
                                <span class="col-span-2"></span>
                                <!-- Pagination -->
                                <span class="flex col-span-4 mt-2 sm:mt-auto sm:justify-end">
                                    <nav aria-label="Table navigation">
                                        <ul class="inline-flex items-center">
                                            <li>
                                                <button class="px-3 py-1 rounded-md rounded-l-lg focus:outline-none focus:shadow-outline-purple" aria-label="Previous">
                                                    <i class="fa-solid fa-chevron-left"></i>
                                                </button>
                                            </li>
                                            <li>
                                                <button class="px-3 py-1 rounded-md focus:outline-none focus:shadow-outline-purple">1</button>
                                            </li>
                                            <li>
                                                <button class="px-3 py-1 rounded-md focus:outline-none focus:shadow-outline-purple">2</button>
                                            </li>
                                            <li>
                                                <button class="px-3 py-1 text-white dark:text-gray-800 bg-green dark:bg-gray-100 border border-r-0 border-green dark:border-gray-100 rounded-md focus:outline-none focus:shadow-outline-purple">3</button>
                                            </li>
                                            <li>
                                                <button class="px-3 py-1 rounded-md focus:outline-none focus:shadow-outline-purple">4</button>
                                            </li>
                                            <li>
                                                <span class="px-3 py-1">...</span>
                                            </li>
                                            <li>
                                                <button class="px-3 py-1 rounded-md focus:outline-none focus:shadow-outline-purple">8</button>
                                            </li>
                                            <li>
                                                <button class="px-3 py-1 rounded-md focus:outline-none focus:shadow-outline-purple">9</button>
                                            </li>
                                            <li>
                                                <button class="px-3 py-1 rounded-md rounded-r-lg focus:outline-none focus:shadow-outline-purple" aria-label="Next">
                                                    <i class="fa-solid fa-chevron-right"></i>
                                                </button>
                                            </li>
                                        </ul>
                                    </nav>
                                </span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</x-layouts.admin>
