<div class="w-full p-6 mx-auto">
    <div class="rounded-xl border dark:border-gray-700 border-gray-300 bg-whiter p-4 py-3 sm:px-6 sm:py-4 xl:px-7">
        <nav>
            <ol class="flex flex-wrap items-center gap-3">
                <li>
                    <a class="flex items-center gap-2 text-brown-light hover:text-green dark:text-white dark:hover:text-white" href="/admin/dashboard">
                        <i class="fa-solid fa-house"></i>
                        Dashboard
                    </a>
                </li>
                <li class="flex items-center gap-3">
                    <i class="fa-solid fa-arrow-right-long text-brown-light"></i>
                    My Profile
                </li>
            </ol>
        </nav>
    </div>
    <div class="flex flex-wrap -mx-3 mt-12">
        <div class="w-full max-w-full px-3 md:w-8/12">
            <div class="relative flex flex-col bg-white dark:bg-gray-800 rounded-xl rounded-2xl border dark:border-gray-700 border-gray-300">
                <div class="mx-4 rounded-xl bg-brown-light dark:bg-gray-900 text-white shadow-lg -mt-6 px-6 py-4">
                    <p class="block text-lg font-medium leading-relaxed text-white">My Profile</p>
                </div>
                <div class="p-6">
                    <p class="uppercase dark:text-white-800 text-gray-500 text-sm mb-2">User Information</p>
                    <div class="grid lg:grid-cols-3 grid-cols-1 gap-4 mb-8">
                        <div class="w-full">
                            <label for="firstname" class="font-medium text-sm dark:text-white text-gray-800">First Name</label>
                            <input type="text" name="firstname" value="" placeholder="First Name" class="text-sm py-3 px-5 border dark:border-gray-700 border-gray-300 rounded-lg w-full outline-0 focus:outline-none focus:border-green bg-transparent">
                        </div>
                        <div class="w-full">
                            <label for="lastname" class="font-medium text-sm dark:text-white text-gray-800">Last Name</label>
                            <input type="text" name="lastname" value="" placeholder="Last Name" class="text-sm py-3 px-5 border dark:border-gray-700 border-gray-300 rounded-lg w-full outline-0 focus:outline-none focus:border-green bg-transparent">
                        </div>
                        <div class="w-full">
                            <label for="email" class="font-medium text-sm dark:text-white text-gray-800">Email</label>
                            <input type="text" name="email" value="" placeholder="Email" class="text-sm py-3 px-5 border dark:border-gray-700 border-gray-300 rounded-lg w-full outline-0 focus:outline-none focus:border-green bg-transparent">
                        </div>
                    </div>

                    <p class="uppercase dark:text-white-800 text-gray-500 text-sm mb-2">Contact Information</p>
                    <div class="grid lg:grid-cols-3 grid-cols-1 gap-3 mb-8">
                        <div class="w-full lg:col-span-2 col-span-auto">
                            <label for="firstname" class="font-medium text-sm dark:text-white text-gray-800">Address</label>
                            <input type="text" name="firstname" value="" placeholder="Address" class="text-sm py-3 px-5 border dark:border-gray-700 border-gray-300 rounded-lg w-full outline-0 focus:outline-none focus:border-green bg-transparent">
                        </div>
                        <div class="w-full">
                            <label for="phonenumber" class="font-medium text-sm dark:text-white text-gray-800">Phone Number</label>
                            <input type="text" name="phonenumber" value="" placeholder="Phone Number" class="text-sm py-3 px-5 border dark:border-gray-700 border-gray-300 rounded-lg w-full outline-0 focus:outline-none focus:border-green bg-transparent">
                        </div>
                        <div class="w-full">
                            <label for="city" class="font-medium text-sm dark:text-white text-gray-800">City</label>
                            <input type="text" name="city" value="" placeholder="City" class="text-sm py-3 px-5 border dark:border-gray-700 border-gray-300 rounded-lg w-full outline-0 focus:outline-none focus:border-green bg-transparent">
                        </div>
                        <div class="w-full">
                            <label for="state" class="font-medium text-sm dark:text-white text-gray-800">State</label>
                            <input type="text" name="state" value="" placeholder="State" class="text-sm py-3 px-5 border dark:border-gray-700 border-gray-300 rounded-lg w-full outline-0 focus:outline-none focus:border-green bg-transparent">
                        </div>
                        <div class="w-full">
                            <label for="country" class="font-medium text-sm dark:text-white text-gray-800">Country</label>
                            <input type="text" name="country" value="" placeholder="Country" class="text-sm py-3 px-5 border dark:border-gray-700 border-gray-300 rounded-lg w-full outline-0 focus:outline-none focus:border-green bg-transparent">
                        </div>
                    </div>

                    <p class="uppercase dark:text-white-800 text-gray-500 text-sm mb-2">Change Password</p>
                    <div class="grid lg:grid-cols-3 grid-cols-1 gap-3">
                        <div class="w-full mb-3">
                            <label for="oldpassword" class="font-medium text-sm dark:text-white text-gray-800">Old Password</label>
                            <input type="password" name="oldpassword" value="" placeholder="Address" class="text-sm py-3 px-5 border dark:border-gray-700 border-gray-300 rounded-lg w-full outline-0 focus:outline-none focus:border-green bg-transparent">
                        </div>
                        <div class="w-full mb-3">
                            <label for="newpassword" class="font-medium text-sm dark:text-white text-gray-800">New Password</label>
                            <input type="password" name="newpassword" value="" placeholder="Address" class="text-sm py-3 px-5 border dark:border-gray-700 border-gray-300 rounded-lg w-full outline-0 focus:outline-none focus:border-green bg-transparent">
                        </div>
                        <div class="w-full">
                            <label for="confirmpassword" class="font-medium text-sm dark:text-white text-gray-800">Confirm Password</label>
                            <input type="password" name="confirmpassword" value="" placeholder="City" class="text-sm py-3 px-5 border dark:border-gray-700 border-gray-300 rounded-lg w-full outline-0 focus:outline-none focus:border-green bg-transparent">
                        </div>
                    </div>

                    <div class="text-right mt-5">
                        <button type="submit" class="btn-default btn-primary text-white text-base">Sign in</button>
                    </div>
                </div>
            </div>
        </div>
        <div class="w-full max-w-full px-3 mt-6 md:w-4/12 md:flex-0 md:mt-0">
            <div class="relative flex flex-col bg-white dark:bg-gray-800 rounded-xl rounded-2xl border dark:border-gray-700 border-gray-300">
                <img class="w-full rounded-t-xl h-44" src="{{ asset('admin/images/bg_1.jpg')}}" alt="profile cover image">
                <div class="flex justify-center">
                    <div class="w-4/12 max-w-full px-3">
                        <div class="mb-6 -mt-6 lg:mb-0 lg:-mt-16">
                            <div class="relative">
                                <img src="{{ asset('admin/images/user_1.jpg')}}" alt="User Profile" title="User Profile" class="w-38 h-38 rounded-full object-cover object-center border-4 border-white">
                                <span
                                    class="p-2.5 rounded-full bg-brown text-white absolute right-0 bottom-0 w-10 h-10 text-center shadow-lg">
                                    <i class="fa-solid fa-camera"></i>
                                </span>
                                <input class="hidden" type="file" id="addPhoto">
                                <label class="absolute h-full w-full top-0 left-0 cursor-pointer" for="addPhoto"></label>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="p-6 mt-5">
                    <div class="mt-4 text-left">
                        <div class="leading-relaxed text-base dark:text-white mb-2">
                            <i class="fa-solid fa-user mr-2 w-6 text-green"></i> Dhruv Patel
                        </div>
                        <div class="leading-relaxed text-base dark:text-white mb-2">
                            <i class="fa-solid fa-envelope mr-2 w-6 text-green"></i> dhruvpatel@gmail.com
                        </div>
                        <div class="leading-relaxed text-base dark:text-white mb-2">
                            <i class="fa-solid fa-location-dot mr-2 w-6 text-green"></i> Ahmedabad, India
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
