<x-layouts.admin>
    <div class="w-full p-6 mx-auto">
        <div class="rounded-xl border dark:border-gray-700 border-gray-300 bg-whiter p-4 py-3 sm:px-6 sm:py-4 xl:px-7">
            <nav>
                <ol class="flex flex-wrap items-center gap-3">
                    <li>
                        <a class="flex items-center gap-2 text-brown-light hover:text-green dark:text-white dark:hover:text-white" href="/admin/dashboard">
                            <i class="fa-solid fa-house"></i>
                            Dashboard
                        </a>
                    </li>
                    <li>
                        <a class="flex items-center gap-2 text-brown-light hover:text-green dark:text-white dark:hover:text-white" href="/admin/users">
                            <i class="fa-solid fa-arrow-right-long text-brown-light"></i>
                            Users List
                        </a>
                    </li>
                    <li class="flex items-center gap-3">
                        <i class="fa-solid fa-arrow-right-long text-brown-light"></i>
                        Add User
                    </li>
                </ol>
            </nav>
        </div>
        <div class="mt-12">
            <div class="relative flex flex-col bg-white dark:bg-gray-800 rounded-2xl border dark:border-gray-700 border-gray-300">
                <div class="mx-4 rounded-xl bg-brown-light dark:bg-gray-900 text-white shadow-lg -mt-6 px-6 py-3 flex justify-between items-center">
                    <p class="block text-lg font-medium leading-relaxed text-white">Add User</p>
                    <a href="/admin/users" class="btn-default btn-secondary text-white text-base">
                        <i class="fa-solid fa-arrow-left-long mr-2"></i> Back
                    </a>
                </div>
                <div class="p-6">
                    <p class="uppercase dark:text-white-800 text-gray-500 text-sm mb-2">User Information</p>
                    <form action="">
                        <div class="grid lg:grid-cols-3 md:grid-cols-2 grid-cols-1 gap-4">
                            <div class="w-full">
                                <label for="firstname" class="font-medium text-sm dark:text-white text-gray-800">First Name</label>
                                <input type="text" name="firstname" value="" placeholder="First Name" class="text-sm py-3 px-5 border dark:border-gray-700 border-gray-300 rounded-lg w-full outline-0 focus:outline-none focus:border-green bg-transparent">
                            </div>
                            <div class="w-full">
                                <label for="lastname" class="font-medium text-sm dark:text-white text-gray-800">Last Name</label>
                                <input type="text" name="lastname" value="" placeholder="Last Name" class="text-sm py-3 px-5 border dark:border-gray-700 border-gray-300 rounded-lg w-full outline-0 focus:outline-none focus:border-green bg-transparent">
                            </div>
                            <div class="w-full">
                                <label for="email" class="font-medium text-sm dark:text-white text-gray-800">Email</label>
                                <input type="email" name="email" value="" placeholder="Email" class="text-sm py-3 px-5 border dark:border-gray-700 border-gray-300 rounded-lg w-full outline-0 focus:outline-none focus:border-green bg-transparent">
                            </div>
                            <div class="w-full">
                                <label for="phonenumber" class="font-medium text-sm dark:text-white text-gray-800">Phone Number</label>
                                <input type="number" name="phonenumber" value="" placeholder="Phone Number" class="text-sm py-3 px-5 border dark:border-gray-700 border-gray-300 rounded-lg w-full outline-0 focus:outline-none focus:border-green bg-transparent">
                            </div>
                            <div class="w-full">
                                <label for="status" class="font-medium text-sm dark:text-white text-gray-800">Status</label>
                                <label for="toggleStatus" class="flex items-center space-x-4 select-none text-dark dark:text-white mt-2 max-w-14">
                                    <p class="uppercase text-sm text-gray-500">Inactive</p>
                                    <div class="relative text-center cursor-pointer">
                                        <input type="checkbox" id="toggleStatus" class="peer sr-only" />
                                        <div class="block h-8 rounded-full bg-white border border-green w-14" ></div>
                                        <div class="absolute w-6 h-6 transition bg-gray-400 rounded-full dot dark:bg-gray-300 left-1 top-1 peer-checked:translate-x-full peer-checked:bg-green" ></div>
                                    </div>
                                    <p class="uppercase text-sm text-gray-500">Active</p>
                                </label>
                            </div>
                            <div class="lg:col-span-3 md:col-span-2 md:text-right">
                                <button type="submit" class="btn-default btn-primary text-white text-base md:w-auto w-full">Add User</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</x-layouts.admin>
