<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
      <head>
        <meta charset="utf-8">
        <meta content="width=device-width, initial-scale=1.0" name="viewport">
        <meta name="csrf-token" content="{{ csrf_token() }}">
        <meta content="" name="keywords">
        <meta content="" name="description">
        <title>{{ config('app.name', 'Geology') }}</title>

        <!-- fonts -->
        <link rel="preconnect" href="https://fonts.googleapis.com">
        <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
        <link href="https://fonts.googleapis.com/css2?family=Rubik:ital,wght@0,300..900;1,300..900&display=swap" rel="stylesheet">

        <!-- Icon Font Stylesheet -->
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.2/css/all.min.css"/>
        
        @livewireStyles

        @vite('resources/css/app.css')

        <!-- Template Stylesheet -->
        <link href="{{ asset('assets/admin/css/style.css') }}" rel="stylesheet">
        <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/latest/jquery.min.js"></script>
        <script type="text/javascript" src="https://cdn.jsdelivr.net/momentjs/latest/moment.min.js"></script>
        <script type="text/javascript" src="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.min.js"></script>
        <link rel="stylesheet" type="text/css" href="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.css" />
      </head>

    <body class="font-sans antialiased">
        <div x-data="setup()" :class="{ 'dark': isDark }">
            <div class="min-h-screen flex flex-col flex-auto flex-shrink-0 antialiased bg-white dark:bg-gray-700 text-black dark:text-white">
                @include('layouts.admin.top-navigation')
                @include('layouts.admin.sidebar')

                <div class="h-full ml-14 mt-16 mb-10 md:ml-64">
                    <!-- Page Heading -->
                    @isset($header)
                        <header class="bg-white dark:bg-gray-800 shadow">
                            <div class="max-w-7xl mx-auto py-6 px-4 sm:px-6 lg:px-8">
                                {{ $header }}
                            </div>
                        </header>
                    @endisset

                    <!-- Page Content -->
                    <main>
                        {{ $slot }}
                    </main>
                </div>
            </div>
        </div>
        <x-notifications z-index="z-50"/>
        <x-dialog />
        @wireUiScripts
        @vite('resources/js/app.js')
        @livewireScriptConfig
        @stack('scripts')
        <script>
            const setup = () => {
              const getTheme = () => {
                if (window.localStorage.getItem('dark')) {
                  return JSON.parse(window.localStorage.getItem('dark'))
                }
                return !!window.matchMedia && window.matchMedia('(prefers-color-scheme: dark)').matches
              }

              const setTheme = (value) => {
                window.localStorage.setItem('dark', value)
              }

              return {
                loading: true,
                isDark: getTheme(),
                toggleTheme() {
                  this.isDark = !this.isDark
                  setTheme(this.isDark)
                },
              }
            }
          </script>
    </body>
</html>
