<!DOCTYPE html>

<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
    <head>
        <meta charset="utf-8">
        <meta content="width=device-width, initial-scale=1.0" name="viewport">
        <meta name="csrf-token" content="{{ csrf_token() }}">
        <meta content="" name="keywords">
        <meta content="" name="description">
        <title>Nutsons</title>
        <link rel="icon" href="{{ asset('assets/images/logo.png') }}">

        <!-- fonts -->
        <link rel="preconnect" href="https://fonts.googleapis.com">
        <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
        <link href="https://fonts.googleapis.com/css2?family=Rubik:ital,wght@0,300..900;1,300..900&display=swap" rel="stylesheet">

        <!-- Icon Font Stylesheet -->
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.2/css/all.min.css"/>

        <!-- Customized Bootstrap Stylesheet -->
        <link href="{{ asset('assets/css/bootstrap.min.css') }}" rel="stylesheet">

        @livewireStyles
        @vite('resources/css/app.css')

        <!-- Template Stylesheet -->
        <link href="{{ asset('assets/css/style.css') }}" rel="stylesheet">
        <link href="{{ asset('assets/css/rtl_style.css') }}" rel="stylesheet">
        <link href="{{ asset('assets/css/responsive.css') }}" rel="stylesheet">
        <link href="{{ asset('assets/css/animation.css') }}" rel="stylesheet">

        <!-- jquery -->
        <script src="{{ asset('assets/js/jquery.min.js') }}" ></script>
        <script src="{{ asset('assets/js/bootstrap.min.js') }}" ></script>

        <!-- owl carousel -->
        <link href="{{ asset('assets/carousel/owl.carousel.min.css') }}" rel="stylesheet">
        <script src="{{ asset('assets/carousel/owl.carousel.js') }}"></script>


    </head>

    <body class="font-sans antialiased" dir="{{ app()->getLocale() === 'ar' ? 'rtl' : 'ltr'}}">
        
        <!-- start header section -->
        @include('layouts.includes.header')
        <!-- end header section -->

        <div class="min-h-screen">
            <main>
                {{ $slot }}
            </main>
        </div>

        <!-- start footer section -->
        @include('layouts.includes.footer')
        <!-- end footer section -->

        @vite('resources/js/app.js')
        {{-- <x-notifications />
        <x-dialog />

        @wireUiScripts --}}

        @livewireScriptConfig
        @stack('scripts')

        <script>
            const isRtl = $('body').attr('dir') === 'rtl';
            $('.testimonial').owlCarousel({
                rtl: isRtl,
                autoplay: true,
                autoplayTimeout: 4000,
                loop: true,
                margin: 0,
                navText : ["Previous","Next"],
                center: true,
                responsive:{
                    0:{
                        items:1,
                        nav: true,
                    },
                    640:{
                        items:2,
                        nav: true,
                    },
                    1000:{
                        items:2,
                        nav: true,
                    }
                }
            })

            $(".partner_images").owlCarousel({
                rtl: isRtl,
                autoplay: true,
                autoplayTimeout: 4000,
                loop: true,
                margin: 20,
                dots: true,
                responsive:{
                    0:{
                        items:1,
                        dots: true,
                    },
                    600:{
                        items:3,
                        dots: true,
                    },
                    1000:{
                        items:4,
                        dots: true,
                    }
                }
            })

            $(".character_slider").owlCarousel({
                rtl: isRtl,
                autoplay: true,
                autoplayTimeout: 4000,
                loop: true,
                margin: 20,
                dots: true,
                responsive:{
                    0:{
                        items:1,
                        dots: true,
                    },
                    600:{
                        items:3,
                        dots: true,
                    },
                    1000:{
                        items:4,
                        dots: true,
                    }
                }
            })
            $(document).ready(function() {
                $('.minus').click(function () {
                    var $input = $(this).parent().find('input');
                    var count = parseInt($input.val()) - 1;
                    count = count < 1 ? 1 : count;
                    $input.val(count);
                    $input.change();
                    return false;
                });
                $('.plus').click(function () {
                    var $input = $(this).parent().find('input');
                    $input.val(parseInt($input.val()) + 1);
                    $input.change();
                    return false;
                });
		    });
        </script>


    </body>
</html>
