<div class="px-3 py-20 bg-white">
    <div class="max-w-screen-xl mx-auto">
        <div>
            <h2 class="text-3xl text-green font-semibold mb-3">
                Welcome to Grain Greens: A Three-Generation Legacy of Quality
            </h2>
            <p class="text-base text-black font-normal mb-4">
                At Grain Greens, our story is a testament to the transformative power of passion and dedication. With over 65 years of combined experience in the [Industry/Product] industry, our family has honed our craft to perfection, driven by a commitment to excellence that spans generations.
            </p>
        </div>
        <div class="flex lg:flex-row flex-col items-center justify-between gap-8">
            <div class="lg:w-1/2 w-full">
                <p class="text-xl text-green font-semibold mb-3">
                    Our Heritage: Turning Waste into Wonder
                </p>
                <p class="text-base text-black font-normal mb-4">
                    Grain Greens owes its beginnings to a simple yet profound realization: the potential of produce that other deemed disposable. Fuelled by a desire to create something meaningful from what others overlooked, your grandfather embarked on a mission to transform surplus into something extraordinary. From those humble beginnings, Grain Greens was born, driven by a vision to provide top-quality products that celebrate the bounty of nature.
                </p>
                <p class="text-xl text-green font-semibold mb-3">
                    Experience and Expertise: A Tradition of Excellence
                </p>
                <p class="text-base text-black font-normal mb-4">
                    With over six decades of combined experience in the industry, Grain Greens boasts a wealth of knowledge and expertise unmatched by any other. From your grandfather's pioneering efforts to the innovative approaches of subsequent generations, our family has continually adapted and evolved while upholding the uncompromising standards that define Grain Greens.
                </p>
            </div>
            <div class="lg:w-1/2 w-full lg:text-start text-center">
                <img src="{{ asset('assets/images/img1.jpg')}}" alt="Grain Greens" title="Grain Greens" class="md:w-11/12 w-full rounded-xl">
            </div>
        </div>

        <div class="w-full">
            <p class="text-xl text-green font-semibold mb-3">
                Personalized Service and Sustainable Sourcing
            </p>
            <p class="text-base text-black font-normal mb-4">
                At Grain Greens, we believe in giving every product a personal touch. As a family, we are deeply involved in every aspect of our business, from sourcing to distribution. We take great care to select only the highest quality products and work closely with farmers to ensure sustainable and ethical practices are upheld. Our commitment to excellence extends beyond our products; it's a reflection of the values we hold dear as a family.
            </p>
            <p class="text-xl text-green font-semibold mb-3">
                A Personal Connection: Our Family's Expertise
            </p>
            <p class="text-base text-black font-normal mb-4">
                What sets Grain Greens apart is our intimate knowledge and personal connection with the products we offer. We haven't just learned about nuts, fruits, and grains – we've grown up eating and tasting them. This firsthand experience gives us a unique edge over others in the industry, allowing us to select only the finest products for our customers.
            </p>
            <p class="text-xl text-green font-semibold mb-3">
                The Grain Greens Promise: Quality, Service, and Dedication
            </p>
            <p class="text-base text-black font-normal mb-4">
                As a three-generation business with over 65 years of experience, we understand the importance of trust, reliability, and unwavering dedication. When you choose Grain Greens, you're not just choosing a product – you're choosing a legacy. From our family to yours, we promise to uphold the highest standards of quality, to provide unparalleled service, and to continue the tradition of excellence that has defined Grain Greens for generations.
            </p>
            <p class="text-xl text-green font-semibold mb-3">
                Experience the Grain Greens Difference
            </p>
            <p class="text-base text-black font-normal">
                Join us in celebrating three generations of quality, tradition, and family values. Explore our range of Products, experience the expertise and dedication that only a three-generation business can offer, and become part of the Grain Greens family today.
            </p>
            <p class="text-base text-black font-normal">
                Thank you for choosing Grain Greens – where heritage, quality, and service converge.
            </p>
        </div>
    </div>
</div>
