<header class="navbar p-0 bg-white w-full block"
x-data="{ flyoutMenuOpen: false }">
    <nav>
        <!-- header topbar -->
        <div class="bg-brown w-full">
            <div class="max-w-screen-xl mx-auto flex sm:flex-row flex-col items-center justify-between px-3 py-3">
                <a href="mailto:info@graingreens.com" class="flex gap-3 items-center text-white">
                    <i class="fa-regular fa-envelope"></i>
                    <p>info@graingreens.com</p>
                </a>
                <a href="tel:+442078709071" class="flex gap-3 items-center text-white">
                    <i class="fa-solid fa-phone"></i>
                    <p>+44 20 7870 9071</p>
                </a>
            </div>
        </div>

        <div class="max-w-screen-xl mx-auto px-3 py-1 flex lg:flex-nowrap flex-wrap items-center justify-between w-full">
            <a href="/">
                {{-- <img src="{{ asset('assets/images/logo.png')}}" alt="Grains & Greens" title="Grains & Greens" class="h-24 max-w-none"> --}}
            </a>

            <button class="lg:hidden block rounded-md bg-gradient-to-r from-blue to-light-blue sm:px-5 px-3 py-2" type="button" id="menu-button">
                <i class="fa-solid fa-bars text-green text-xl"></i>
            </button>
            <div class="hidden lg:flex lg:items-end justify-between gap-6 lg:w-auto w-full" id="menu">
                <ul class="flex lg:flex-row flex-col lg:gap-3 gap-0">
                    <li>
                        <a class="text-green text-base font-semibold px-2 lg:py-4 py-2 flex hover:text-brown border-b-2 border-transparent hover:border-brown" href="/">Home</a>
                    </li>
                    <li>
                        <a class="text-green text-base font-semibold px-2 lg:py-4 py-2 flex hover:text-brown border-b-2 border-transparent hover:border-brown" href="{{ route('aboutus') }}">About Us</a>
                    </li>
                    <li class="relative">
                        <a  @click="flyoutMenuOpen = !flyoutMenuOpen" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false" class="text-green text-base font-semibold px-2 lg:py-4 py-2 hover:text-brown border-b-2 border-transparent hover:border-brown flex items-center gap-3">
                            Products
                            <i class="fa-solid fa-caret-down text-green"></i>
                        </a>
                        <ul x-show="flyoutMenuOpen"
                            x-transition:enter="transition ease-out duration-200" x-transition:enter-start="opacity-0 translate-y-1" x-transition:enter-end="opacity-100 translate-y-0" x-transition:leave="transition ease-in duration-150" x-transition:leave-start="opacity-100 translate-y-0" x-transition:leave-end="opacity-0 translate-y-1"
                            class="lg:absolute relative mt-3 w-64 transform lg:ml-0 lg:left-1/2 lg:-translate-x-1/2 bg-white rounded-lg z-50 shadow-lg border border-gray-200 py-3 lg:w-auto w-full">
                            @foreach (ProductCategory() as $category)
                                  <li>
                                <a class="text-green text-base font-semibold px-4 py-2 hover:text-brown inline-block w-full" href="/products/{{ $category->id }}/product-category">
                                    {{ $category->name }}
                                </a>
                            </li> 
                            @endforeach
                            {{-- <li>
                                <a class="text-green text-base font-semibold px-4 py-2 hover:text-brown inline-block w-full" href="{{ route('products.product-category')}}">
                                    Fertilizer
                                </a>
                            </li>
                            <li>
                                <a class="text-green text-base font-semibold px-4 py-2 hover:text-brown inline-block w-full" href="{{ route('products.product-category')}}">
                                    Nuts
                                </a>
                            </li>
                            <li>
                                <a class="text-green text-base font-semibold px-4 py-2 hover:text-brown inline-block w-full" href="{{ route('products.product-category')}}">
                                    Rice
                                </a>
                            </li>
                            <li>
                                <a class="text-green text-base font-semibold px-4 py-2 hover:text-brown inline-block w-full" href="{{ route('products.product-category')}}">
                                    Sugar
                                </a>
                            </li>
                            <li>
                                <a class="text-green text-base font-semibold px-4 py-2 hover:text-brown inline-block w-full" href="{{ route('products.product-category')}}">
                                    Pulses
                                </a>
                            </li> --}}
                        </ul>
                    </li>
                    <li>
                        <a class="text-green lg:text-base font-semibold px-2 lg:py-4 py-2 flex hover:text-brown border-b-2 border-transparent hover:border-brown" href="{{ route('contactus') }}">Contact Us</a>
                    </li>
                </ul>
            </div>
        </div>
   </nav>
 </header>

<script>
    const button = document.querySelector('#menu-button');
    const menu = document.querySelector('#menu');


    button.addEventListener('click', () => {
        menu.classList.toggle('hidden');
    });

    $(window).scroll(function(){
        if ($(this).scrollTop() > 10) {
        $('.navbar').addClass('fixed-navbar');
        } else {
        $('.navbar').removeClass('fixed-navbar');
        }
    });
</script>
