<div class="px-3 py-20 bg-white">
    <div class="max-w-screen-xl mx-auto">
        <div class="text-center mb-10">
            <h2 class="text-3xl text-green font-semibold mb-3">An Insider's Look at Our Processes</h2>
        </div>
        <div x-data="{selected:0}">
            <div class="flex lg:flex-row flex-col-reverse justify-between gap-4">
                <div class="lg:w-6/12 w-full overflow-hidden">
                    <ul class="shadow-box w-full">
                        <li class="relative border-1 border-green rounded-lg overflow-hidden mb-2">
                            <button type="button" class="w-full px-4 py-3 text-left bg-white" @click="selected !== 1 ? selected = 1 : selected = null">
                                <div class="flex items-center justify-between text-green font-semibold text-base">
                                    <span class="overflow-hidden">Raw Material</span>
                                    <i class="fa-solid fa-chevron-down" :class="{ selected == 1 : 'fa-chevron-down' ? 'fa-chevron-up'}"></i>
                                </div>
                            </button>
                            <div class="relative overflow-hidden transition-all max-h-0 duration-700 bg-white" style="" x-ref="container1" x-bind:style="selected == 1 ? 'max-height:max-content ' : ''">
                                <div class="px-4 py-6 border-t border-gray-200">
                                    <p class="text-black text-base font-normal leading-relaxed">Fertilizer production begins with the careful selection of raw materials. The primary ingredients typically include nitrogen, phosphorus, and potassium, along with secondary and micronutrients.</p>
                                </div>
                            </div>
                        </li>
                        <li class="relative border-1 border-green rounded-lg overflow-hidden mb-2">
                            <button type="button" class="w-full px-4 py-3 text-left bg-white" @click="selected !== 2 ? selected = 2 : selected = null">
                                <div class="flex items-center justify-between text-green font-semibold text-base">
                                    <span class="overflow-hidden">Mining and Extraction</span>
                                    <i class="fa-solid fa-chevron-down" :class="{'transform rotate-180 transition-all' : selected == 2}"></i>
                                </div>
                            </button>
                            <div class="relative overflow-hidden transition-all max-h-0 duration-700 bg-white" style="" x-ref="container2" x-bind:style="selected == 2 ? 'max-height:max-content ' : ''">
                                <div class="px-4 py-6 border-t border-gray-200">
                                    <p class="text-black text-base font-normal leading-relaxed">Phosphate rock and potash are often obtained through mining. The extracted raw materials undergo processing to isolate and refine the essential nutrients. </p>
                                </div>
                            </div>
                        </li>
                        <li class="relative border-1 border-green rounded-lg overflow-hidden mb-2">
                            <button type="button" class="w-full px-4 py-3 text-left bg-white" @click="selected !== 3 ? selected = 3 : selected = null">
                                <div class="flex items-center justify-between text-green font-semibold text-base">
                                    <span class="overflow-hidden">Chemical Processing</span>
                                    <i class="fa-solid fa-chevron-down" :class="{'transform rotate-180 transition-all' : selected == 3}"></i>
                                </div>
                            </button>
                            <div class="relative overflow-hidden transition-all max-h-0 duration-700 bg-white" style="" x-ref="container3" x-bind:style="selected == 3 ? 'max-height:max-content ' : ''">
                                <div class="px-4 py-6 border-t border-gray-200">
                                    <p class="text-black text-base font-normal leading-relaxed">
                                        Nitrogen fertilizers play a vital role in promoting plant growth. One of the most common nitrogen fertilizers is urea. Phosphate rock and potash are processed to create phosphorus and potassium fertilizers, respectively.
                                    </p>
                                </div>
                            </div>
                        </li>
                        <li class="relative border-1 border-green rounded-lg overflow-hidden mb-2">
                            <button type="button" class="w-full px-4 py-3 text-left bg-white" @click="selected !== 4 ? selected = 4 : selected = null">
                                <div class="flex items-center justify-between text-green font-semibold text-base">
                                    <span class="overflow-hidden">Quality Control</span>
                                    <i class="fa-solid fa-chevron-down" :class="{'transform rotate-180 transition-all' : selected == 4}"></i>
                                </div>
                            </button>
                            <div class="relative overflow-hidden transition-all max-h-0 duration-700 bg-white" style="" x-ref="container4" x-bind:style="selected == 4 ? 'max-height:max-content ' : ''">
                                <div class="px-4 py-6 border-t border-gray-200">
                                    <p class="text-black text-base font-normal leading-relaxed">
                                        Quality control is a crucial aspect of the fertilizer manufacturing process. Rigorous testing is conducted to verify nutrient content, particle size distribution, and other critical parameters.
                                    </p>
                                </div>
                            </div>
                        </li>
                        <li class="relative border-1 border-green rounded-lg overflow-hidden mb-2">
                            <button type="button" class="w-full px-4 py-3 text-left bg-white" @click="selected !== 5 ? selected = 5 : selected = null">
                                <div class="flex items-center justify-between text-green font-semibold text-base">
                                    <span class="overflow-hidden">Packaging and Distribution</span>
                                    <i class="fa-solid fa-chevron-down" :class="{'transform rotate-180 transition-all' : selected == 5}"></i>
                                </div>
                            </button>
                            <div class="relative overflow-hidden transition-all max-h-0 duration-700 bg-white" style="" x-ref="container5" x-bind:style="selected == 5 ? 'max-height:max-content ' : ''">
                                <div class="px-4 py-6 border-t border-gray-200">
                                    <p class="text-black text-base font-normal leading-relaxed">
                                        The finished fertilizers are packaged in various sizes and formats for distribution to farmers.
                                    </p>
                                </div>
                            </div>
                        </li>

                    </ul>
                </div>
                <div class="lg:w-6/12 w-full overflow-hidden h-96 rounded-xl ">
                    <img class="mx-auto object-center object-cover" src="{{ asset('assets/images/vermicompost-fertilizer.jpeg')}}" alt="vermicompost-fertilize" title="vermicompost-fertilize">
                </div>
            </div>
        </div>
    </div>
</div>
