<!DOCTYPE html>
<html lang="en">

    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <title>Grains & Greens</title>
        <link rel="icon" href="{{ asset('assets/images/favicon.png') }}" />

        <!-- Icon Font Stylesheet -->
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.6.0/css/all.min.css">
        <link rel="preconnect" href="https://fonts.googleapis.com">
        <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
        <link href="https://fonts.googleapis.com/css2?family=Rubik:ital,wght@0,300..900;1,300..900&display=swap" rel="stylesheet">

        <!-- Customized Bootstrap Stylesheet -->
        <link href="{{ asset('assets/css/bootstrap.min.css') }}" rel="stylesheet">
        <link rel="stylesheet" href="{{ asset('assets/css/main_style.css') }}">

        <!-- Styles -->
        @stack('style')
        @livewireStyles
        @vite('resources/css/app.css')
    </head>

    <body class="antialiased font-sans tracking-normal scroll-smooth">

        <!-- start header section -->
        @include('front.common.navigation')

        {{-- main body section --}}
        <div class="min-h-screen">
            <main>
                @yield('content')
            </main>
        </div>

        <!-- start footer section -->
        @include('front.common.footer')


        @vite('resources/js/app.js')

        <!-- jquery -->
        <script src="{{ asset('assets/js/jquery.min.js') }}" ></script>
        <script src="{{ asset('assets/js/bootstrap.min.js') }}" ></script>

        <!-- owl carousel -->
        <link href="{{ asset('assets/carousel/owl.carousel.min.css') }}" rel="stylesheet">
        <script src="{{ asset('assets/carousel/owl.carousel.js') }}"></script>

        @stack('script')

        <script>
            $(".product_slider").owlCarousel({
                autoplay: false,
                autoplayTimeout: 2000,
                loop: true,
                margin: 25,
                dots: true,
                navText: [
                    "<div class='nav-button owl-prev'><i class='fa-solid fa-left-long'></i></div>",
                    "<div class='nav-button owl-next'><i class='fa-solid fa-right-long'></i></div>"
                ],
                responsive:{
                    0:{
                        items:1,
                        dots: true,
                    },
                    768:{
                        items:2,
                        dots: true,
                    },
                    1024:{
                        items:3,
                        dots: true,
                    },
                    1200:{
                        items:4,
                        dots: true,
                    }
                }
            })
        </script>
    </body>
</html>
