@extends('front.main')
@section('content')

<!-- start content -->
    <!-- breadcume section -->
    <div class="breadcume_bg">
        <div class="max-w-screen-xl mx-auto px-3 py-20 flex flex-col items-start justify-center">
            <h1 class="md:text-4xl sm:text-2xl text-xl text-white font-medium mb-3 uppercase">{{ $sub->name }}</h1>
            <ul class="flex items-center">
                <li>
                    <a href="/" class="text-lg text-white hover:text-black">Home</a>
                </li>
                <li><p class="text-white mx-4">/</p></li>
                <li>
                    <a href="" class="text-lg text-white hover:text-black">{{ $sub->category->name ??'' }}</a>
                </li>
                <li><p class="text-white mx-4">/</p></li>
                <li>
                    <p class="text-lg text-white">{{ $sub->name ?? '' }}</p>
                </li>
            </ul>
        </div>
    </div>

    <div class="px-3 py-20 bg-white">
        <div class="max-w-screen-xl mx-auto">
            <div class="flex justify-between items-center gap-3 mb-5 text-base">
                <p class="text-base text-black font-normal"> Showing all 24 results</p>
                <select class="bg-gray-100 border-0 rounded-md">
                    <option>Default sorting</option>
                    <option>Default sorting</option>
                </select>
            </div>
            <div class="grid lg:grid-cols-4 md:grid-cols-2 grid-cols-1 gap-8">
                @foreach($products as $product)
                    <div class="text-center mx-auto group w-full">
                        <a href="/products/{{ $product->id }}/product-detail">
                            <div class="w-full h-72 overflow-hidden rounded-xl">
                                <img src="{{ $product->mainImage && $product->mainImage->file_path ? asset('storage/' . $product->mainImage->file_path) : asset('assets/images/1.jpg') }}" alt="Complex fertilizers" title="Complex fertilizers" class="object-cover w-full h-full object-top transition group-hover:scale-110">
                            </div>
                            <p class="text-green group-hover:text-brown pt-3 text-center text-lg font-normal capitalize">{{ $product->name }}</p>
                        </a>
                    </div>
                @endforeach
            </div>
        </div>
    </div>


<!-- end content -->

@endsection
@push('script')
    @if(session('reload'))
        <script>
            window.location.reload(true);
        </script>
    @endif
@endpush
