<header class="navbar p-0">
    <nav class="max-w-screen-2xl mx-auto px-4 flex lg:flex-nowrap flex-wrap items-center justify-between w-full py-2 text-black bg-white">
        <div>
            <a href="/" class="navbar-brand flex">
                <img src="{{ asset('assets/images/logo.png')}}" alt="Nutsons logo" title="Nutsons logo">
            </a>
        </div>

        <button class="navbar-toggler lg:hidden block" type="button" id="menu-button">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="hidden navbar_right lg:flex lg:items-end lg:flex-col gap-6 lg:w-auto w-full" id="menu">
            <div class="flex items-end justify-end me-2 top_header flex-wrap">
                <div>
                    <a href="https://www.facebook.com/people/Nutsonsco/61559046777427/?sk=about" target="_blank" class="above-link icons">
                        <i class="fa-brands fa-facebook-f"></i>
                    </a>
                    <a href="https://www.instagram.com/nutsons.co/?igsh=OXF4Nmp2YXpkdW95" target="_blank" class="above-link icons">
                        <i class="fa-brands fa-instagram"></i>
                    </a>

                    {{-- <a href="javascript:void(0)" class="above-link icons">
                        <i class="fa-brands fa-pinterest-p"></i>
                    </a>
                    <a href="javascript:void(0)" class="above-link icons">
                        <i class="fa-brands fa-twitter"></i>
                    </a> --}}
                </div>
                <div>
                    @foreach( config('app.available_locales') as $locale)
                        <a href="{{ route('setLocale',$locale) }}" class="above-link icons {{ app()->getLocale() == $locale ? 'active' : '' }}">{{ Str::ucfirst($locale) }}</a>
                    @endforeach
                </div>

                @if(auth()->user() !== null)
                <div>
                    <a href="#" class="above-link icons">@lang('messages.hello') {{ auth()->user()->name}}</a>
                </div>
                @else
                <div>
                    <a href="{{ route('login') }}" class="above-link icons">@lang('messages.login')</a> |
                    <a href="{{ route('register') }}" class="above-link icons">@lang('messages.register')</a>
                </div>
                @endif
                
                <div>
                <style>
                    .cart-link {
                        position: relative;
                        display: inline-block;
                    }

                    .cart-count {
                        position: absolute;
                        top: -6px; /* Adjust based on icon size */
                        right: -6px; /* Adjust based on icon size */
                        background-color: green; /* Background color for the badge */
                        color: white; /* Text color */
                        border-radius: 50%;
                        width: 15px; /* Width of the badge */
                        height: 15px; /* Height of the badge */
                        display: flex;
                        align-items: center;
                        justify-content: center;
                        font-size: 12px; /* Font size for the count */
                        font-weight: bold;
                    }
                </style>
                    <a href="{{ route('cart.index') }}" class="cart-link above-link icons">
                        <i class="fa-solid fa-cart-shopping"></i>
                        <span class="cart-count">{{ $cartCount }}</span>
                    </a>
                    <a href="{{ route('wishlist.index') }}" class="above-link icons">
                        <i class="fa-solid fa-heart"></i>
                    </a>
                </div>

            </div>

            <ul class="flex lg:flex-row flex-col mb-0 mb-lg-0 xl:gap-4 gap-2 main_menu">
                <li class="nav-item">
                    <a class="nav-link xl:px-4 lg:px-2 {{ Route::currentRouteName() === 'home' ? 'active' : ''}}" aria-current="page" href="/">@lang('messages.home')</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link xl:px-4 lg:px-2 {{ Route::currentRouteName() === 'about' ? 'active' : ''}}" href="/about">@lang('messages.about-us')</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link xl:px-4 lg:px-2 {{ Route::currentRouteName() === 'character-story' ? 'active' : ''}}" href="{{route('character-story')}}">@lang('messages.character-story')</a>
                </li>
                <li class="nav-item dropdown">
                    <a class="nav-link xl:px-4 lg:px-2 dropdown-toggle {{ Route::currentRouteName() === 'product-page' || Route::currentRouteName() === 'cart-page' || Route::currentRouteName() === 'checkout-page' || Route::currentRouteName() === 'payment' ? 'active' : ''}}" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                        @lang('messages.products')
                    </a>
                    <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                        @foreach ($products as $product)
                            <li>
                               {{-- <a class="dropdown-item flex items-center" href="{{ route('product-detail', $product->slug) }}">
                                     <img src="{{ asset( 'storage/' . $product->mainImage->file_path )}}" alt="{{ $product->slug }}" title="{{ $product->slug }}" /> {{ $product->{'product_name_'.Lang::locale()} }} 
                                </a> --}}
                            </li>
                        @endforeach
                        {{-- <li>
                            <a class="dropdown-item flex items-center" href="{{ route('product-detail', 'teen-cashew') }}">
                                <img src="{{ asset('assets/images/uncle-cashew_icon.png')}}" alt="Teen Cashew" title="Teen Cashew" /> @lang('messages.teen-cashew')
                            </a>
                        </li>
                        <li>
                            <a class="dropdown-item flex items-center" href="{{ route('product-detail', 'miz-pistachio') }}">
                                <img src="{{ asset('assets/images/pistachio_icon.png')}}" alt="Miz Pistachio" title="Miz Pistachio" /> @lang('messages.miz-pistachio')
                            </a>
                        </li>
                        <li>
                            <a class="dropdown-item flex items-center" href="{{ route('product-detail', 'hazel-boy') }}">
                                <img src="{{ asset('assets/images/hazel_boy.png')}}" alt="Hazel Boy" title="Hazel Boy" /> @lang('messages.hazel-boy')
                            </a>
                        </li>
                        <li>
                            <a class="dropdown-item flex items-center" href="{{ route('product-detail', 'the-peanuts') }}">
                                <img src="{{ asset('assets/images/peanuts_icon_1.png')}}" alt="The Peanuts" title="The Peanuts" /> @lang('messages.the-peanuts')
                            </a>
                        </li>
                        <li>
                            <a class="dropdown-item flex items-center" href="{{ route('product-detail', 'lil-walnut') }}">
                                <img src="{{ asset('assets/images/walnut_icon.png')}}" alt="Lil Walnut" title="Lil Walnut" /> @lang('messages.lil-walnut')
                            </a>
                        </li>
                        <li>
                            <a class="dropdown-item flex items-center" href="{{ route('product-detail', 'madam-raisins') }}">
                                <img src="{{ asset('assets/images/Madam_Raisins.png')}}" alt="Madam Raisins" title="Madam Raisins" /> @lang('messages.madam-raisins')
                            </a>
                        </li> --}}
                    </ul>
                </li>
                <li class="nav-item">
                    <a class="nav-link xl:px-4 lg:px-2 {{ Route::currentRouteName() === 'testimonial' ? 'active' : ''}}" href="/testimonial">@lang('messages.testimonial')</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link xl:px-4 lg:px-2 {{ Route::currentRouteName() === 'blog' ? 'active' : ''}}" href="/blogs">@lang('messages.blog')</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link xl:px-4 lg:px-2 {{ Route::currentRouteName() === 'contact' ? 'active' : ''}}" href="/contact">@lang('messages.contact-us')</a>
                </li>
            </ul>
       </div>
   </nav>
 </header>

<script>
    const button = document.querySelector('#menu-button');
    const menu = document.querySelector('#menu');


    button.addEventListener('click', () => {
        menu.classList.toggle('hidden');
    });
</script>
