
<div class="w-full p-6 mx-auto">
    <div class="rounded-xl border dark:border-gray-700 border-gray-300 bg-whiter p-4 py-3 sm:px-6 sm:py-4 xl:px-7">
        <nav>
            <ol class="flex flex-wrap items-center gap-3">
                <li>
                    <a class="flex items-center gap-2 text-brown-light hover:text-green dark:text-white dark:hover:text-white" href="/admin/dashboard">
                        <i class="fa-solid fa-house"></i>
                        Dashboard
                    </a>
                </li>
                <li class="flex items-center gap-3">
                    <i class="fa-solid fa-arrow-right-long text-brown-light"></i>
                    Ads Campaing Report
                </li>
            </ol>
        </nav>
    </div>
    <div class="mt-12">
        <div class="relative flex flex-col bg-white dark:bg-gray-800 rounded-xl rounded-2xl border dark:border-gray-700 border-gray-300">
            <div class="mx-4 rounded-xl bg-brown dark:bg-gray-900 text-white shadow-lg -mt-6 px-6 py-3 flex justify-between items-center">
                <p class="block text-lg font-medium leading-relaxed text-white">Campaign Repport</p>
                {{-- <a href="{{ route('syncReportTask') }}" class="btn-default btn-secondary text-white text-base">
                    <i class="fa-solid fa-sync mr-2"></i> Sync Reports
                </a> --}}
            </div>
            <div class="mt-5 mr-4 ml-4 mb-5">
                <div class="mb-4">
                    <!-- Date Filters -->
                    <div class="flex space-x-4">
                        {{-- <div>
                            <label for="reportrange" class="block text-sm font-medium text-gray-700">Date Range</label>

                            <input type="text" wire:model="daterange"  id="reportrange" name="reportrange" style="background: #fff; cursor: pointer; padding: 5px 10px; border: 1px solid #ccc; width: 100%">
                               
                        </div> --}}
                        <div>
                            <label for="startDate" class="block text-sm font-medium text-gray-700">Start Date</label>
                            <input 
                                type="date" 
                                id="startDate" 
                                wire:model="startDate" 
                                class="mt-1 block w-full rounded-md border-gray-300 shadow-sm focus:border-indigo-500 focus:ring-indigo-500 sm:text-sm"/>
                        </div>
                        <div>
                            <label for="endDate" class="block text-sm font-medium text-gray-700">End Date</label>
                            <input 
                                type="date" 
                                id="endDate" 
                                wire:model="endDate" 
                                class="mt-1 block w-full rounded-md border-gray-300 shadow-sm focus:border-indigo-500 focus:ring-indigo-500 sm:text-sm"
                            />
                        </div>
                        <div>
                            <label for="grouping" class="block text-sm font-medium text-gray-700">View By</label>
                            <select 
                                id="grouping" 
                                wire:model="grouping" 
                                class="mt-1 block w-full rounded-md border-gray-300 shadow-sm focus:border-indigo-500 focus:ring-indigo-500 sm:text-sm"
                            >
                                <option value="daily">Daily</option>
                                <option value="weekly">Weekly</option>
                                <option value="monthly">Monthly</option>
                            </select>
                        </div>
                        <button 
                            wire:click="filterData" 
                            class="mt-6 px-4 py-2 bg-indigo-600 text-white rounded-md shadow-sm hover:bg-indigo-700 focus:outline-none focus:ring focus:ring-indigo-500"
                        >
                            Search
                        </button>
                        <button 
                            wire:click="resetTable" 
                            class="mt-6 px-4 py-2 bg-red-600 text-white rounded-md shadow-sm hover:bg-red-700 focus:outline-none focus:ring focus:ring-red-500"
                        >
                            Reset
                        </button>
                    </div>
                </div>
                <!-- Table -->
                <div class="overflow-x-auto">
                    <table class="min-w-full divide-y divide-gray-200 border border-gray-300">
                        <thead class="bg-gray-50">
                            <tr>
                                <th class="px-4 py-2 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Campaign Name</th>
                                <th class="px-4 py-2 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Report Date</th>
                                <th class="px-4 py-2 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Impressions</th>
                                <th class="px-4 py-2 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Clicks</th>
                                <th class="px-4 py-2 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Cost</th>
                                <th class="px-4 py-2 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Sales</th>
                                <th class="px-4 py-2 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">ROAS</th>
                                <th class="px-4 py-2 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">ACOS</th>
                                <th class="px-4 py-2 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">CPC<small>(Cost Per Click)</small></th>
                                <th class="px-4 py-2 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">CTR<small>(Click-Through Rate)</small></th>
                                <th class="px-4 py-2 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">CPI<small>(Cost Per Impression)</small></th>
                                <th class="px-4 py-2 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">CVR<small>(Conversion Rate)</small></th>
                                <!-- Add more metric columns as needed -->
                            </tr>
                        </thead>
                        <tbody class="bg-white divide-y divide-gray-200">
                            @forelse($analytics as $record)
                            <tr lass="text-gray-700 dark:text-gray-400">
                                <td class="px-5 py-2">{{ $record->ebayCampaign->campaign_name }}</td>

                                <td class="px-5 py-2 text-sm">
                                    @if($grouping === 'daily')
                                            <!-- Display the full date for daily data (e.g., 01 Jan 2024) -->
                                            {{ \Carbon\Carbon::parse($record->formatted_date)->format('d M Y') }}
                                    @elseif($grouping === 'weekly')
                                        <!-- Display the start and end date of the week for weekly data -->
                                        @php
                                            // Get the starting and ending date of the week
                                            $weekStart = \Carbon\Carbon::parse($record->week_start_date)->startOfWeek()->format('d M Y');
                                            $weekEnd = \Carbon\Carbon::parse($record->week_end_date)->endOfWeek()->format('d M Y');
                                        @endphp
                                        {{ $weekStart }} - {{ $weekEnd }}
                                    @elseif($grouping === 'monthly')
                                        <!-- Display the start and end date of the month for monthly data -->
                                        @php
                                            // Get the starting and ending date of the month
                                            $monthStart = \Carbon\Carbon::parse($record->month_start_date)->startOfMonth()->format('d M Y');
                                            $monthEnd = \Carbon\Carbon::parse($record->month_end_date)->endOfMonth()->format('d M Y');
                                        @endphp
                                        {{ $monthStart }} - {{ $monthEnd }}
                                    @endif
                                </td>

                                <td class="px-5 py-2">{{ $record->total_impressions }}</td>
                                <td class="px-5 py-2">{{ number_format($record->total_clicks, 2) }}</td>
                                <td class="px-5 py-2">{{ number_format($record->total_cost) }}</td>
                                <td class="px-5 py-2">{{ number_format($record->total_sales1d) }}</td>
                                <td class="px-5 py-2">{{ number_format($record->croas, 2) }}</td>
                                <td class="px-5 py-2">{{ number_format($record->cacos, 2) }}</td>
                                <td class="px-5 py-2">{{ number_format($record->ccpc, 2) }}</td>
                                <td class="px-5 py-2">{{ number_format($record->cctr, 2) }}</td>
                                <td class="px-5 py-2">{{ number_format($record->ccpi, 2) }}</td>
                                <td class="px-5 py-2">{{ number_format($record->ccvr, 2) }}</td>
                            </tr>
                            @empty
                                <tr>
                                    <td colspan="11" class="px-4 py-2 text-center text-sm text-gray-500">No data found</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>

                <!-- Pagination -->
                <div class="mt-4">
                    {{ $analytics->links() }}
                </div>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
// $(function() {

//     let formatDate = (date) => {
//         console.log(date);
//         let year = date.getFullYear();
//         let month = (date.getMonth() + 1).toString().padStart(2, '0'); // Month is 0-indexed
//         let day = date.getDate().toString().padStart(2, '0'); // Ensure day is two digits
//         return `${year}-${month}-${day}`;
//     };


//     var start = moment().subtract(29, 'days');
//     var end = moment();

//     function cb(start, end) {
//         $('#reportrange span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'));
//         var substart= new Date(start);
//         var subend= new Date(end);
//         document.getElementById('startDate').value = formatDate(substart);
//         document.getElementById('endDate').value = formatDate(subend);
//     }

//     $('#reportrange').daterangepicker({
//         startDate: start,
//         endDate: end,
//         ranges: {
//            'Today': [moment(), moment()],
//            'Yesterday': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
//            'Last 7 Days': [moment().subtract(6, 'days'), moment()],
//            'Last 30 Days': [moment().subtract(29, 'days'), moment()],
//            'This Month': [moment().startOf('month'), moment().endOf('month')],
//            'Last Month': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
//         }
//     }, cb);

//     cb(start, end);

// });
</script>