<div class="py-6 px-4">
    
    <!-- Cards -->
    <div class="grid grid-cols-1 sm:grid-cols-2 lg:grid-cols-4 p-4 gap-4">
        <div class="bg-brown dark:bg-gray-800 rounded-xl flex items-center justify-between p-4 text-white group">
            <div class="flex justify-center items-center w-14 h-14 bg-white rounded-full transition-all duration-300 transform group-hover:rotate-12">
                <i class="fa-solid fa-users text-green text-xl"></i>
            </div>
            <div class="text-right">
                <p class="text-2xl">
                    £ {{ number_format($summarypromotionReport['baseSale']['value']) }}
                </p>
                <p>Original Sales</p>
            </div>
        </div>
        <div class="bg-brown dark:bg-gray-800 rounded-xl flex items-center justify-between p-4 text-white group">
            <div class="flex justify-center items-center w-14 h-14 bg-white rounded-full transition-all duration-300 transform group-hover:rotate-12">
                <i class="fa-solid fa-bag-shopping text-green text-xl"></i>
            </div>
            <div class="text-right">
                <p class="text-2xl">
                    £ {{ number_format($summarypromotionReport['promotionSale']['value']) }}
                </p>
                <p>Sales from Promotions</p>
            </div>
        </div>
        <div class="bg-brown dark:bg-gray-800 rounded-xl flex items-center justify-between p-4 text-white group">
            <div class="flex justify-center items-center w-14 h-14 bg-white rounded-full transition-all duration-300 transform group-hover:rotate-12">
                <i class="fa-solid fa-chart-line text-green text-xl"></i>
            </div>
            <div class="text-right">
                <p class="text-2xl">
                    £ {{ number_format($summarypromotionReport['totalSale']['value']) }}
                </p>
                <p>Total Sales</p>
            </div>
        </div>
        <div class="bg-brown dark:bg-gray-800 rounded-xl flex items-center justify-between p-4 text-white group">
            <div class="flex justify-center items-center w-14 h-14 bg-white rounded-full transition-all duration-300 transform group-hover:rotate-12">
                <i class="fa-solid fa-dollar-sign text-green text-xl"></i>
            </div>
            <div class="text-right">
                <p class="text-2xl">{{ $summarypromotionReport['percentageSalesLift']}}</p>
                <p>Sales Growth</p>
            </div>
        </div>
    </div>
    {{-- <div class="mt-4">
        <div class="mb-4">
            <!-- Date Filters -->
            <div class="flex space-x-4">
                <div>
                    <label for="startDate" class="block text-sm font-medium text-gray-700">Start Date</label>
                    <input 
                        type="date" 
                        id="startDate" 
                        wire:model="startDate" 
                        class="mt-1 block w-full rounded-md border-gray-300 shadow-sm focus:border-indigo-500 focus:ring-indigo-500 sm:text-sm"
                    />
                </div>
                <div>
                    <label for="endDate" class="block text-sm font-medium text-gray-700">End Date</label>
                    <input 
                        type="date" 
                        id="endDate" 
                        wire:model="endDate" 
                        class="mt-1 block w-full rounded-md border-gray-300 shadow-sm focus:border-indigo-500 focus:ring-indigo-500 sm:text-sm"
                    />
                </div>
                <div>
                    <label for="grouping" class="block text-sm font-medium text-gray-700">View By</label>
                    <select 
                        id="grouping" 
                        wire:model="grouping" 
                        class="mt-1 block w-full rounded-md border-gray-300 shadow-sm focus:border-indigo-500 focus:ring-indigo-500 sm:text-sm"
                    >
                        <option value="daily">Daily</option>
                        <option value="weekly">Weekly</option>
                        <option value="monthly">Monthly</option>
                    </select>
                </div>
                <button 
                    wire:click="filterData" 
                    class="mt-6 px-4 py-2 bg-indigo-600 text-white rounded-md shadow-sm hover:bg-indigo-700 focus:outline-none focus:ring focus:ring-indigo-500"
                >
                    Search
                </button>
                 <button 
                    wire:click="resetTable" 
                    class="mt-6 px-4 py-2 bg-red-600 text-white rounded-md shadow-sm hover:bg-red-700 focus:outline-none focus:ring focus:ring-red-500"
                >
                    Reset
                </button>
            </div>
        </div>
        <!-- Table -->
        <div class="overflow-x-auto">
            <table class="min-w-full divide-y divide-gray-200 border border-gray-300">
                <thead class="bg-gray-50">
                    <tr>
                        <th class="px-4 py-2 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Report Date</th>
                        <th class="px-4 py-2 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Marketplace ID</th>
                        <th class="px-4 py-2 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Impressions (Search Results)</th>
                        <th class="px-4 py-2 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Impressions (Home Page)</th>
                        <th class="px-4 py-2 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Transactions</th>
                        <th class="px-4 py-2 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Unique Transactions</th>
                        <th class="px-4 py-2 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Buyer Views</th>
                        <th class="px-4 py-2 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Total Sales</th>
                        <th class="px-4 py-2 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Buyers</th>
                        <th class="px-4 py-2 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Buy Box Purchases</th>
                        <th class="px-4 py-2 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Listing Views</th>
                        <!-- Add more metric columns as needed -->
                    </tr>
                </thead>
                <tbody class="bg-white divide-y divide-gray-200">
                    @forelse($analytics as $record)
                    <tr lass="text-gray-700 dark:text-gray-400">
                        <td class="px-5 py-2 text-sm">
                            @if($grouping === 'daily')
                                    <!-- Display the full date for daily data (e.g., 01 Jan 2024) -->
                                    {{ \Carbon\Carbon::parse($record->formatted_date)->format('d M Y') }}
                            @elseif($grouping === 'weekly')
                                <!-- Display the start and end date of the week for weekly data -->
                                @php
                                    // Get the starting and ending date of the week
                                    $weekStart = \Carbon\Carbon::parse($record->week_start_date)->startOfWeek()->format('d M Y');
                                    $weekEnd = \Carbon\Carbon::parse($record->week_end_date)->endOfWeek()->format('d M Y');
                                @endphp
                                {{ $weekStart }} - {{ $weekEnd }}
                            @elseif($grouping === 'monthly')
                                <!-- Display the start and end date of the month for monthly data -->
                                @php
                                    // Get the starting and ending date of the month
                                    $monthStart = \Carbon\Carbon::parse($record->month_start_date)->startOfMonth()->format('d M Y');
                                    $monthEnd = \Carbon\Carbon::parse($record->month_end_date)->endOfMonth()->format('d M Y');
                                @endphp
                                {{ $monthStart }} - {{ $monthEnd }}
                            @endif
                        </td>
                        <td class="px-5 py-2">{{ $record->marketplace_id }}</td>
                        <td class="px-5 py-2">{{ number_format($record->listing_impression_search_results_page, 2) }}</td>
                        <td class="px-5 py-2">{{ number_format($record->listing_impression_home_page, 2) }}</td>
                        <td class="px-5 py-2">{{ number_format($record->transaction, 2) }}</td>
                        <td class="px-5 py-2">{{ number_format($record->unique_transactions, 2) }}</td>
                        <td class="px-5 py-2">{{ number_format($record->buyer_views, 2) }}</td>
                        <td class="px-5 py-2">{{ number_format($record->total_sales, 2) }}</td>
                        <td class="px-5 py-2">{{ number_format($record->buyers, 2) }}</td>
                        <td class="px-5 py-2">{{ number_format($record->buy_box_purchases, 2) }}</td>
                        <td class="px-5 py-2">{{ number_format($record->listing_views, 2) }}</td>
                    </tr>
                    @empty
                        <tr>
                            <td colspan="11" class="px-4 py-2 text-center text-sm text-gray-500">No data found</td>
                        </tr>
                    @endforelse
                </tbody>
            </table>
        </div>

        <!-- Pagination -->
        <div class="mt-4">
            {{ $analytics->links() }}
        </div>
    </div> --}}
    <!-- Cards -->
    {{-- <div class="mt-4 mx-4 overflow-hidden border border-gray-300 rounded-xl">
        <div class="w-full overflow-hidden">
            <h5 style="margin: 10px;">Contact Us Form Fillers</h5>
            <div class="w-full overflow-x-auto ">
                <table class="w-full">
                    <thead>
                        <tr class="text-xs font-semibold tracking-wide text-left text-gray-500 uppercase border-b dark:border-gray-700 bg-gray-50 dark:text-gray-400 dark:bg-gray-800">
                        <th class="px-4 py-3">#</th>
                        <th class="px-4 py-3">Email</th>
                        <th class="px-4 py-3">Message</th>
                        <th class="px-4 py-3">Date</th>
                        </tr>
                    </thead>
                    <tbody class="bg-white divide-y dark:divide-gray-700 dark:bg-gray-800">
                        
                    </tbody>
                </table>
            </div>
            <div class="grid px-4 py-3 text-xs font-semibold tracking-wide text-gray-500 uppercase border-t dark:border-gray-700 bg-gray-50 sm:grid-cols-9 dark:text-gray-400 dark:bg-gray-800">
                <span class="flex items-center col-span-3">  </span>
                <span class="col-span-2"></span>
                <!-- Pagination -->
                <span class="flex col-span-4 mt-2 sm:mt-auto sm:justify-end">
                </span>
            </div>
        </div>
    </div> --}}
</div>
