<style>
    .td{
        min-width:200px;
    }
</style>
<div class="w-full p-6 mx-auto">
    <div class="rounded-xl border dark:border-gray-700 border-gray-300 bg-whiter p-4 py-3 sm:px-6 sm:py-4 xl:px-7">
        <nav>
            <ol class="flex flex-wrap items-center gap-3">
                <li>
                    <a class="flex items-center gap-2 text-brown-light hover:text-green dark:text-white dark:hover:text-white" href="/admin/dashboard">
                        <i class="fa-solid fa-house"></i>
                        Dashboard
                    </a>
                </li>
                <li class="flex items-center gap-3">
                    <i class="fa-solid fa-arrow-right-long text-brown-light"></i>
                    Ebay Reports
                </li>
            </ol>
        </nav>
    </div>
    <div class="mt-12">
        <div class="relative flex flex-col bg-white dark:bg-gray-800 rounded-xl rounded-2xl border dark:border-gray-700 border-gray-300">
            <div class="mx-4 rounded-xl bg-brown dark:bg-gray-900 text-white shadow-lg -mt-6 px-6 py-3 flex justify-between items-center">
                <p class="block text-lg font-medium leading-relaxed text-white">Campaigns List</p>
                <a href="/test" class="btn-default btn-secondary text-white text-base">
                    <i class="fa-solid fa-sync mr-2"></i> Sync Campaigns
                </a>
            </div>
            <div class="p-4">
                <div class="mt-4 overflow-hidden border border-gray-300 rounded-xl">
                    <div class="w-full overflow-hidden">
                        <div class="w-full overflow-x-auto ">
                            <table class="w-full">
                                <thead>
                                    <tr class="text-xs font-semibold tracking-wide text-left text-gray-800 uppercase border-b dark:border-gray-700 bg-gray-200 dark:text-gray-400 dark:bg-gray-800">
                                        <th>#</th>
                                        <th class="px-4 py-2"style="min-width: 150px;">Campaign Name</th>
                                        <th class="px-4 py-2"style="min-width: 150px;">Campaign ID</th>
                                        <th class="px-4 py-2"style="min-width: 150px;">Marketplace</th>
                                        <th class="px-4 py-2"style="min-width: 150px;">Status</th>
                                        <th class="px-4 py-2"style="min-width: 150px;">Start Date</th>
                                        <th class="px-4 py-2"style="min-width: 150px;">End Date</th>
                                        <th class="px-4 py-2"style="min-width: 150px;">Targeting Type</th>
                                        <th class="px-4 py-2"style="min-width: 150px;">Funding Model</th>
                                        <th class="px-4 py-2"style="min-width: 150px;">Bidding Strategy</th>
                                        <th class="px-4 py-2"style="min-width: 150px;">Daily Budget</th>
                                        {{-- <th class="px-4 py-2"style="min-width: 150px;">Channels</th> --}}
                                                            <th></th>

                                    </tr> 
                                </thead>
                                <tbody class="bg-white divide-y dark:divide-gray-700 dark:bg-gray-800">
                                    @foreach ($camps as $row)
                                            <tr class="text-gray-700 dark:text-gray-400">
                                                <td class="p-5">{{ $loop->iteration }}</td>
                                                <td class="p-5">{{ $row->campaign_name }}</td>
                                                <td class="p-5">{{ $row->campaign_id}}</td>
                                                <td class="p-5">{{ $row->marketplace_id }}</td>
                                                <td class="p-5">
                                                    <span class="badge 
                                                        {{ $row->campaign_status == 'RUNNING' ? 'bg-success' : 'bg-secondary' }}">
                                                        {{ $row->campaign_status }}
                                                    </span>
                                                </td>
                                                <td class="p-5">{{ $row->start_date ?  \Carbon\Carbon::parse($row->start_date)->format('d M Y') : 'N/A' }}</td>
                                                <td class="p-5">{{ $row->end_date ?  \Carbon\Carbon::parse($row->end_date)->format('d M Y') : 'N/A' }}</td>
                                                <td class="p-5">{{ $row->campaign_targeting_type }}</td>
                                                <td class="p-5">{{ $row->funding_model }}</td>
                                                <td class="p-5">{{ $row->bidding_strategy }}</td>
                                                <td class="p-5">{{ $row->daily_budget_value }} {{ $row->daily_budget_currency }}</td>
                                                {{-- <td class="p-5">
                                                    @if(is_array($row->channels))
                                                        {{ implode(', ', $row->channels) }}
                                                    @else
                                                        {{ $row->channels }}
                                                    @endif
                                                </td> --}}
                                                <td class="p-5">
                                                     {{-- <a wire:click='showDetails({{ $row->id }})'><i class="fa fa-eye pl-2 w-7"></i></a> --}}
                                                    {{-- @if($row->marketplace_id == 'amazon')
                                                        <a href="{{ route('amazon.keywords',['campaignId'=>$row->campaign_id]) }}"><i class="fa fa-eye pl-2 w-7"></i></a>
                                                    @else --}}
                                                        <a href="Campaigns/{{ $row->campaign_id }}/details"><i class="fa fa-eye pl-2 w-7"></i></a>
                                                    {{-- @endif --}}
                                                    {{-- <a class='cursor-pointer' wire:click='showDetails($row->id)'><i class="fa fa-eye pl-2 w-7"></i></a> --}}

                                                    {{-- Campaigns Keywords --}}
                                                    {{-- <a class="cursor-pointer" href={{ route('getCampaignAds',['campaignId'=> $row->campaign_id]) }}><i class="fa fa-eye pl-2 w-7"></i></a> --}}

                                                       {{-- </a> to join <a target='_blank' href='/groups/$groupData?->url_path'></a> --}}
                                                </td>
                                            </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <!-- Pagination Links -->
                    <div class="m-4" wire:ignore.self>
                        {{ $camps->links() }}
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
 <!-- Modal -->
    @if($selectedCampaign)
        <div class="fixed inset-0 flex items-center justify-center bg-gray-500 bg-opacity-75">
            <div class="bg-white p-6 rounded shadow-lg">
                <h2 class="text-xl font-bold mb-4">Campaign Details</h2>
                <p><strong>ID:</strong> {{ $selectedCampaign->id }}</p>
                <p><strong>Name:</strong> {{ $selectedCampaign->name }}</p>
                <p><strong>Details:</strong> {{ $selectedCampaign->details }}</p> <!-- Replace with actual fields -->
                <button 
                    wire:click="$set('selectedCampaign', null)" 
                    class="mt-4 px-4 py-2 bg-red-500 text-white rounded"
                >
                    Close
                </button>
            </div>
        </div>
    @endif
