<style>
    .td{
        min-width:200px;
    }
</style>
<div class="w-full p-6 mx-auto">
    <div class="rounded-xl border dark:border-gray-700 border-gray-300 bg-whiter p-4 py-3 sm:px-6 sm:py-4 xl:px-7">
        <nav>
            <ol class="flex flex-wrap items-center gap-3">
                <li>
                    <a class="flex items-center gap-2 text-brown-light hover:text-green dark:text-white dark:hover:text-white" href="/admin/dashboard">
                        <i class="fa-solid fa-house"></i>
                        Dashboard
                    </a>
                </li>
                <li class="flex items-center gap-3">
                    <i class="fa-solid fa-arrow-right-long text-brown-light"></i>
                    Ebay Reports
                </li>
            </ol>
        </nav>
    </div>
    <div class="mt-12">
        <div class="relative flex flex-col bg-white dark:bg-gray-800 rounded-xl rounded-2xl border dark:border-gray-700 border-gray-300">
            <div class="mx-4 rounded-xl bg-brown dark:bg-gray-900 text-white shadow-lg -mt-6 px-6 py-3 flex justify-between items-center">
                <p class="block text-lg font-medium leading-relaxed text-white">Campaign Details</p>
                <a href="{{ route('amazon.campignPerformance',['campaignId'=>$camps->campaign_id]) }}" class="btn-default btn-secondary text-white text-base">
                    <i class="fa-solid fa-tools mr-2"></i> 
                </a>
            </div>
            <div class="p-4">
                <!-- Campaign Details Section -->
                <div class="mt-4 grid grid-cols-6 gap-4 mb-6">
                    <div class="p-4 border border-gray-300 rounded-xl">
                        <strong>Campaign Name:</strong><br>{{ $camps->campaign_name }}
                    </div>
                    <div class="p-4 border border-gray-300 rounded-xl">
                        <strong>Start Date:</strong><br> {{ $camps->start_date ? \Carbon\Carbon::parse($camps->start_date)->format('d M Y') : 'N/A' }}
                    </div>
                    <div class="p-4 border border-gray-300 rounded-xl">
                        <strong>Funding Model:</strong><br> {{ $camps->funding_model }}
                    </div>
                    <div class="p-4 border border-gray-300 rounded-xl">
                        <strong>Status:</strong><br> {{ $camps->campaign_status }}
                    </div>
                    <div class="p-4 border border-gray-300 rounded-xl">
                        <strong>Daily Budget:</strong><br> {{ $camps->daily_budget_value }} {{ $camps->daily_budget_currency }}
                    </div>
                    <div class="p-4 border border-gray-300 rounded-xl">
                        <strong>Targeting:</strong><br> {{ $camps->campaign_targeting_type }}
                    </div>
                </div>
                <div class="mt-4 overflow-hidden border border-gray-300 rounded-xl">
                    <div class="w-full overflow-hidden">
                        <div class="w-full overflow-x-auto">
                            <h2 class="mt-3 ml-3 text-xl font-semibold text-gray-800 dark:text-gray-400 mb-4">
                                Performance Metrics
                                <small class="mr-3 float-right"></small>
                            </h2>
                            <div class="overflow-x-auto">
                                <table class="w-full min-w-full border-collapse">
                                    <thead>
                                        <tr class="text-xs font-semibold tracking-wide text-left text-gray-800 uppercase border-b dark:border-gray-700 bg-gray-200 dark:text-gray-400 dark:bg-gray-800">
                                            <th class="p-2">#</th>
                                            <th class="px-4 py-2 min-w-[150px]">Start Date</th>
                                            <th class="px-4 py-2 min-w-[150px]">End Date</th>
                                            <th class="px-4 py-2 min-w-[150px]">Impressions</th>
                                            <th class="px-4 py-2 min-w-[150px]">Clicks</th>
                                            <th class="px-4 py-2 min-w-[150px]">Cost</th>
                                            <th class="px-4 py-2 min-w-[150px]">Sales</th>
                                            <th class="px-4 py-2 min-w-[150px]">ROAS</th>
                                            <th class="px-4 py-2 min-w-[150px]">ACOS</th>
                                            <th class="px-4 py-2 min-w-[150px]">CPC <small>(Cost Per Click)</small></th>
                                            <th class="px-4 py-2 min-w-[150px]">CTR <small>(Click-Through Rate)</small></th>
                                            <th class="px-4 py-2 min-w-[150px]">CPI <small>(Cost Per Impression)</small></th>
                                            <th class="px-4 py-2 min-w-[150px]">CVR <small>(Conversion Rate)</small></th>
                                        </tr>
                                    </thead>
                                    <tbody class="bg-white divide-y dark:divide-gray-700 dark:bg-gray-800">
                                        @foreach ($camps->performanceMetrics->take(5) as $metrics)
                                            <tr class="text-gray-700 dark:text-gray-400">
                                                <td class="p-3">{{ $loop->iteration }}</td>
                                                <td class="p-3">{{ \Carbon\Carbon::parse($metrics->start_date)->format('d F Y') }}</td>
                                                <td class="p-3">{{ \Carbon\Carbon::parse($metrics->end_date)->format('d F Y') }}</td>
                                                <td class="p-3">{{ number_format($metrics->impressions) }}</td>
                                                <td class="p-3">{{ number_format($metrics->clicks) }}</td>
                                                <td class="p-3">${{ number_format($metrics->cost, 2) }}</td>
                                                <td class="p-3">{{ number_format($metrics->sales1d) }}</td>
                                                <td class="p-3">{{ number_format($metrics->roas, 2) }}</td>
                                                <td class="p-3">{{ number_format($metrics->acos, 2) }}%</td>
                                                <td class="p-3">${{ number_format($metrics->cpc, 2) }}</td>
                                                <td class="p-3">{{ number_format($metrics->ctr, 2) }}%</td>
                                                <td class="p-3">${{ number_format($metrics->cpi, 2) }}</td>
                                                <td class="p-3">{{ number_format($metrics->cvr, 2) }}%</td>
                                            </tr>
                                        @endforeach
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <div class="grid px-4 py-3 text-xs font-semibold tracking-wide text-gray-500 uppercase border-t dark:border-gray-700 bg-gray-50 sm:grid-cols-9 dark:text-gray-400 dark:bg-gray-800">
                            <span class="flex items-center col-span-3">  </span>
                            <span class="col-span-2"></span>
                            <span class="flex col-span-4 mt-2 sm:mt-auto sm:justify-end">
                            </span>
                        </div>
                    </div>
                </div>
                <div class="mt-4 overflow-hidden border border-gray-300 rounded-xl">
                    <div class="w-full overflow-hidden">
                        <div class="w-full overflow-x-auto ">
                            <h2 class="mt-3 ml-3 text-xl font-semibold text-gray-800 dark:text-gray-400 mb-4">Keywords List <small class="mr-3" style="float:right"><a href="{{ route('amazon.keywords',['campaignId'=>$camps->campaign_id]) }}"><i class="fa-solid fa-sync mr-2"></i> Sync Keywords</a></small></h2>
                            <table class="w-full">
                                <thead>
                                    <tr class="text-xs font-semibold tracking-wide text-left text-gray-800 uppercase border-b dark:border-gray-700 bg-gray-200 dark:text-gray-400 dark:bg-gray-800">
                                        <th>#</th>
                                        <th class="px-4 py-2"style="min-width: 150px;">Keyword ID</th>
                                        <th class="px-4 py-2"style="min-width: 150px;">Keyword Text</th>
                                        <th class="px-4 py-2"style="min-width: 150px;">Ad Group ID</th>
                                        <th class="px-4 py-2"style="min-width: 150px;">Match Type</th>
                                        <th class="px-4 py-2"style="min-width: 150px;">Status</th>
                                        <th class="px-4 py-2"style="min-width: 150px;">Bid Value</th>
                                        <th class="px-4 py-2"style="min-width: 150px;">Bid Currency</th>
                                    </tr> 
                                </thead>
                                <tbody class="bg-white divide-y dark:divide-gray-700 dark:bg-gray-800">
                                    @foreach ($camps->keywords->take(5)   as $keyword)
                                            <tr class="text-gray-700 dark:text-gray-400">
                                                <td class="p-5">{{ $loop->iteration }}</td>
                                                <td class="p-5">{{ $keyword->keyword_id }}</td>
                                                <td class="p-5">{{ $keyword->keyword_text }}</td>
                                                <td class="p-5">{{ $keyword->ad_group_id }}</td>
                                                <td class="p-5">{{ $keyword->match_type }}</td>
                                                <td class="p-5">
                                                    <span class="badge 
                                                        {{ $keyword->keyword_status == 'ACTIVE' ? 'bg-success' : 'bg-secondary' }}">
                                                        {{ $keyword->keyword_status }}
                                                    </span>
                                                </td>
                                                <td class="p-5">{{ $keyword->bid_value }}</td>
                                                <td class="p-5">{{ $keyword->bid_currency }}</td>
                                            </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                        <div class="grid px-4 py-3 text-xs font-semibold tracking-wide text-gray-500 uppercase border-t dark:border-gray-700 bg-gray-50 sm:grid-cols-9 dark:text-gray-400 dark:bg-gray-800">
                            <span class="flex items-center col-span-3">  </span>
                            <span class="col-span-2"></span>
                            <!-- Pagination -->
                            {{-- {!! $keywords->links() !!} --}}
                            <span class="flex col-span-4 mt-2 sm:mt-auto sm:justify-end">
                            </span>
                        </div>
                    </div>
                </div>
                <div class="mt-4 overflow-hidden border border-gray-300 rounded-xl">
                    <div class="w-full overflow-hidden">
                        <div class="w-full overflow-x-auto ">
                            <h2 class="mt-3 ml-3 text-xl font-semibold text-gray-800 dark:text-gray-400 mb-4">Ads Group List <small class="mr-3" style="float:right"><a href="{{ route('amazon.AdsGroupList',['campaignId'=>$camps->campaign_id]) }}"><i class="fa-solid fa-sync mr-2"></i>Sync Ad Group List</a></small></h2>
                            <table class="w-full">
                                <thead>
                                    <tr class="text-xs font-semibold tracking-wide text-left text-gray-800 uppercase border-b dark:border-gray-700 bg-gray-200 dark:text-gray-400 dark:bg-gray-800">
                                        <th>#</th>
                                        <th class="px-4 py-2"style="min-width: 150px;">Group ID</th>
                                        <th class="px-4 py-2"style="min-width: 150px;">Group Name</th>
                                        <th class="px-4 py-2"style="min-width: 150px;">Bid Value</th>
                                        <th class="px-4 py-2"style="min-width: 150px;">Bid Currency</th>
                                        <th class="px-4 py-2"style="min-width: 150px;">Status</th>
                                    </tr> 
                                </thead>
                                {{-- @dd($adGroups) --}}
                                <tbody class="bg-white divide-y dark:divide-gray-700 dark:bg-gray-800">
                                    @foreach ($camps->adGroups->take(5)  as $group)
                                            <tr class="text-gray-700 dark:text-gray-400">
                                                <td class="p-5">{{ $loop->iteration }}</td>
                                                <td class="p-5">{{ $group->ad_group_id }}</td>
                                                <td class="p-5">{{ $group->name }}</td>
                                                <td class="p-5">{{ $group->default_bid_value }}</td>
                                                <td class="p-5">{{ $group->default_bid_currency }}</td>
                                                <td class="p-5">
                                                    <span class="badge 
                                                        {{ $group->ad_group_status == 'ACTIVE' ? 'bg-success' : 'bg-secondary' }}">
                                                        {{ $group->ad_group_status }}
                                                    </span>
                                                </td>
                                             
                                            </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                        <div class="grid px-4 py-3 text-xs font-semibold tracking-wide text-gray-500 uppercase border-t dark:border-gray-700 bg-gray-50 sm:grid-cols-9 dark:text-gray-400 dark:bg-gray-800">
                            <span class="flex items-center col-span-3">  </span>
                            <span class="col-span-2"></span>
                            <!-- Pagination -->
                            {{-- {!! $adGroups->links() !!} --}}
                            <span class="flex col-span-4 mt-2 sm:mt-auto sm:justify-end">
                            </span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
