<style>
    .td{
        min-width:200px;
    }
</style>
<div class="w-full p-6 mx-auto">
    <div class="rounded-xl border dark:border-gray-700 border-gray-300 bg-whiter p-4 py-3 sm:px-6 sm:py-4 xl:px-7">
        <nav>
            <ol class="flex flex-wrap items-center gap-3">
                <li>
                    <a class="flex items-center gap-2 text-brown-light hover:text-green dark:text-white dark:hover:text-white" href="/admin/dashboard">
                        <i class="fa-solid fa-house"></i>
                        Dashboard
                    </a>
                </li>
                <li class="flex items-center gap-3">
                    <i class="fa-solid fa-arrow-right-long text-brown-light"></i>
                    Ebay Reports
                </li>
            </ol>
        </nav>
    </div>
    <div class="mt-12">
        <div class="relative flex flex-col bg-white dark:bg-gray-800 rounded-xl rounded-2xl border dark:border-gray-700 border-gray-300">
            <div class="mx-4 rounded-xl bg-brown dark:bg-gray-900 text-white shadow-lg -mt-6 px-6 py-3 flex justify-between items-center">
                <p class="block text-lg font-medium leading-relaxed text-white">All Reports</p>
                <a href="{{ route('syncReportTask') }}" class="btn-default btn-secondary text-white text-base">
                    <i class="fa-solid fa-sync mr-2"></i> Sync Reports
                </a>
            </div>
            <div class="p-4">
                <div class="mt-4 overflow-hidden border border-gray-300 rounded-xl">
                    <div class="w-full overflow-hidden">
                        <div class="w-full overflow-x-auto ">
                            <table class="w-full">
                                <thead>
                                    <tr class="text-xs font-semibold tracking-wide text-left text-gray-800 uppercase border-b dark:border-gray-700 bg-gray-200 dark:text-gray-400 dark:bg-gray-800">
                                        <th class="px-4 py-2"style="min-width: 150px;">Task ID</th>
                                        <th class="px-4 py-2"style="min-width: 150px;">Report Name</th>
                                        <th class="px-4 py-2"style="min-width: 150px;">Status</th>
                                        <th class="px-4 py-2"style="min-width: 150px;">Date From</th>
                                        <th class="px-4 py-2"style="min-width: 150px;">Date To</th>
                                        <th class="px-4 py-2"style="min-width: 150px;">Expected Completion Date</th>
                                         <th>Report URL</th>
                                    
                                    </tr> 
                                </thead>
                                <tbody class="bg-white divide-y dark:divide-gray-700 dark:bg-gray-800">
                                    @foreach ($processedData as $row)
                                            <tr class="text-gray-700 dark:text-gray-400">
                                                <td>{{ $row->task_id }}</td>
                                                <td>{{ $row->report_name ?? 'Report Inprogress' }}</td>
                                                <td>{{ $row->status }}</td>
                                                <td>{{  \Carbon\Carbon::parse($row->date_from)->format('d M Y') }}</td>
                                                <td>{{  \Carbon\Carbon::parse($row->date_to)->format('d M Y')  }}</td>
                                                <td>{{  \Carbon\Carbon::parse($row->expected_completion_date)->format('d M Y') }}</td>
                                                <td>
                                                    {{-- <a href="{{ $row->report_url }}" target="_blank">View Report</a> --}}
                                                    @if($row->status == 'SUCCESS')
                                                    <a class='cursor-pointer' href="{{ route('Ebay.report.downlaod',['report_id'=>$row->report_id]) }}"><i class="fa fa-eye pl-2 w-7"></i></a>
                                                    @endif
                                                </td>
                                                {{-- <td>{{ $row['Ad group name'] }}</td>
                                                <td>{{ $row['Ad group ID'] }}</td>
                                                <td>{{ $row['Item ID'] }}</td>
                                                <td>{{ $row['Title'] }}</td>
                                                <td>{{ $row['Price (current or last price)'] }}</td>
                                                <td>{{ $row['Quantity available'] }}</td>
                                                <td>{{ $row['Listing start date'] }}</td>
                                                <td>{{ $row['Listing end date'] }}</td>
                                                <td>{{ $row['Total sold quantity'] }}</td>
                                                <td>{{ $row['Impressions'] }}</td>
                                                <td>{{ $row['Clicks'] }}</td>
                                                <td>{{ $row['CTR'] }}</td>
                                                <td>{{ $row['Sold quantity'] }}</td>
                                                <td>{{ $row['Ad fees (excl. VAT)'] }}</td>
                                                <td>{{ $row['Sales'] }}</td>
                                                <td>{{ $row['Conversion rate (Sold quantity/Clicks)'] }}</td>
                                                <td>{{ $row['Return on ad spend (Sales/Ad fees (excl. VAT))'] }}</td>
                                                <td>{{ $row['Average cost per sale'] }}</td>
                                                <td>{{ $row['Average cost per click'] }}</td> --}}
                                            </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                        
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
