<div class="w-full p-6 mx-auto">
    <div class="rounded-xl border dark:border-gray-700 border-gray-300 bg-whiter p-4 py-3 sm:px-6 sm:py-4 xl:px-7">
        <nav>
            <ol class="flex flex-wrap items-center gap-3">
                <li>
                    <a class="flex items-center gap-2 text-brown-light hover:text-green dark:text-white dark:hover:text-white" href="/admin/dashboard">
                        <i class="fa-solid fa-house"></i>
                        Dashboard
                    </a>
                </li>
                <li class="flex items-center gap-3">
                    <i class="fa-solid fa-arrow-right-long text-brown-light"></i>
                    Ebay Traffic Reports
                </li>
            </ol>
        </nav>
    </div>
    <div class="mt-12">
        <div class="relative flex flex-col bg-white dark:bg-gray-800 rounded-xl rounded-2xl border dark:border-gray-700 border-gray-300">
            <div class="mx-4 rounded-xl bg-brown dark:bg-gray-900 text-white shadow-lg -mt-6 px-6 py-3 flex justify-between items-center">
                <p class="block text-lg font-medium leading-relaxed text-white">Traffic Reports</p>
                {{-- <a href="{{ route('syncReportTask') }}" class="btn-default btn-secondary text-white text-base">
                    <i class="fa-solid fa-sync mr-2"></i> Sync Reports
                </a> --}}
            </div>
            <div class="mt-5 mr-4 ml-4 mb-5">
                <div class="mb-4">
                    <!-- Date Filters -->
                    <div class="flex space-x-4">
                        <div>
                            <label for="startDate" class="block text-sm font-medium text-gray-700">Start Date</label>
                            <input 
                                type="date" 
                                id="startDate" 
                                wire:model="startDate" 
                                class="mt-1 block w-full rounded-md border-gray-300 shadow-sm focus:border-indigo-500 focus:ring-indigo-500 sm:text-sm"
                            />
                        </div>
                        <div>
                            <label for="endDate" class="block text-sm font-medium text-gray-700">End Date</label>
                            <input 
                                type="date" 
                                id="endDate" 
                                wire:model="endDate" 
                                class="mt-1 block w-full rounded-md border-gray-300 shadow-sm focus:border-indigo-500 focus:ring-indigo-500 sm:text-sm"
                            />
                        </div>
                        <div>
                            <label for="grouping" class="block text-sm font-medium text-gray-700">View By</label>
                            <select 
                                id="grouping" 
                                wire:model="grouping" 
                                class="mt-1 block w-full rounded-md border-gray-300 shadow-sm focus:border-indigo-500 focus:ring-indigo-500 sm:text-sm"
                            >
                                <option value="daily">Daily</option>
                                <option value="weekly">Weekly</option>
                                <option value="monthly">Monthly</option>
                            </select>
                        </div>
                        <button 
                            wire:click="filterData" 
                            class="mt-6 px-4 py-2 bg-indigo-600 text-white rounded-md shadow-sm hover:bg-indigo-700 focus:outline-none focus:ring focus:ring-indigo-500"
                        >
                            Search
                        </button>
                        <button 
                            wire:click="resetTable" 
                            class="mt-6 px-4 py-2 bg-red-600 text-white rounded-md shadow-sm hover:bg-red-700 focus:outline-none focus:ring focus:ring-red-500"
                        >
                            Reset
                        </button>
                    </div>
                </div>
                <!-- Table -->
                <div class="overflow-x-auto">
                    <table class="min-w-full divide-y divide-gray-200 border border-gray-300">
                        <thead class="bg-gray-50">
                            <tr>
                                <th class="px-4 py-2 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Report Date</th>
                                <th class="px-4 py-2 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Marketplace ID</th>
                                <th class="px-4 py-2 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Impressions (Search Results)</th>
                                <th class="px-4 py-2 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Impressions (Home Page)</th>
                                <th class="px-4 py-2 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Transactions</th>
                                <th class="px-4 py-2 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Unique Transactions</th>
                                <th class="px-4 py-2 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Buyer Views</th>
                                <th class="px-4 py-2 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Total Sales</th>
                                <th class="px-4 py-2 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Buyers</th>
                                <th class="px-4 py-2 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Buy Box Purchases</th>
                                <th class="px-4 py-2 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Listing Views</th>
                                <!-- Add more metric columns as needed -->
                            </tr>
                        </thead>
                        <tbody class="bg-white divide-y divide-gray-200">
                            @forelse($analytics as $record)
                            <tr lass="text-gray-700 dark:text-gray-400">
                                <td class="px-5 py-2 text-sm">
                                    @if($grouping === 'daily')
                                            <!-- Display the full date for daily data (e.g., 01 Jan 2024) -->
                                            {{ \Carbon\Carbon::parse($record->formatted_date)->format('d M Y') }}
                                    @elseif($grouping === 'weekly')
                                        <!-- Display the start and end date of the week for weekly data -->
                                        @php
                                            // Get the starting and ending date of the week
                                            $weekStart = \Carbon\Carbon::parse($record->week_start_date)->startOfWeek()->format('d M Y');
                                            $weekEnd = \Carbon\Carbon::parse($record->week_end_date)->endOfWeek()->format('d M Y');
                                        @endphp
                                        {{ $weekStart }} - {{ $weekEnd }}
                                    @elseif($grouping === 'monthly')
                                        <!-- Display the start and end date of the month for monthly data -->
                                        @php
                                            // Get the starting and ending date of the month
                                            $monthStart = \Carbon\Carbon::parse($record->month_start_date)->startOfMonth()->format('d M Y');
                                            $monthEnd = \Carbon\Carbon::parse($record->month_end_date)->endOfMonth()->format('d M Y');
                                        @endphp
                                        {{ $monthStart }} - {{ $monthEnd }}
                                    @endif
                                </td>
                                <td class="px-5 py-2">{{ $record->marketplace_id }}</td>
                                <td class="px-5 py-2">{{ number_format($record->listing_impression_search_results_page, 2) }}</td>
                                <td class="px-5 py-2">{{ number_format($record->listing_impression_home_page, 2) }}</td>
                                <td class="px-5 py-2">{{ number_format($record->transaction, 2) }}</td>
                                <td class="px-5 py-2">{{ number_format($record->unique_transactions, 2) }}</td>
                                <td class="px-5 py-2">{{ number_format($record->buyer_views, 2) }}</td>
                                <td class="px-5 py-2">{{ number_format($record->total_sales, 2) }}</td>
                                <td class="px-5 py-2">{{ number_format($record->buyers, 2) }}</td>
                                <td class="px-5 py-2">{{ number_format($record->buy_box_purchases, 2) }}</td>
                                <td class="px-5 py-2">{{ number_format($record->listing_views, 2) }}</td>
                            </tr>
                            @empty
                                <tr>
                                    <td colspan="11" class="px-4 py-2 text-center text-sm text-gray-500">No data found</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>

                <!-- Pagination -->
                <div class="mt-4">
                    {{ $analytics->links() }}
                </div>
            </div>
        </div>
    </div>
</div>