<div class="w-full p-6 mx-auto">
    <div class="rounded-xl border dark:border-gray-700 border-gray-300 bg-whiter p-4 py-3 sm:px-6 sm:py-4 xl:px-7">
        <nav>
            <ol class="flex flex-wrap items-center gap-3">
                <li>
                    <a class="flex items-center gap-2 text-brown-light hover:text-green dark:text-white dark:hover:text-white" href="/admin/dashboard">
                        <i class="fa-solid fa-house"></i>
                        Dashboard
                    </a>
                </li>
                <li>
                    <a class="flex items-center gap-2 text-brown hover:text-green dark:text-white dark:hover:text-white" href="/admin/products">
                        <i class="fa-solid fa-arrow-right-long text-brown-light"></i>
                        Product Category
                    </a>
                </li>
                <li class="flex items-center gap-3">
                    <i class="fa-solid fa-arrow-right-long text-brown-light"></i>
                    Add Category
                </li>
            </ol>
        </nav>
    </div>

    <div class="mt-12">
        <div class="relative flex flex-col bg-white dark:bg-gray-800 rounded-2xl border dark:border-gray-700 border-gray-300">
            <div class="mx-4 rounded-xl bg-brown-light dark:bg-gray-900 text-white shadow-lg -mt-6 px-6 py-3 flex justify-between items-center">
                <p class="block text-lg font-medium leading-relaxed text-white">Add Product Category</p>
                <a href="/admin/products" class="btn-default btn-secondary text-white text-base">
                    <i class="fa-solid fa-arrow-left-long mr-2"></i> Back
                </a>
            </div>
            <form wire:submit.prevent="store" class="p-6" method="POST" enctype="multipart/form-data">
                <p class="uppercase dark:text-white-800 text-gray-500 text-sm mb-2">Product Category</p>
                <div class="grid lg:grid-cols-3 md:grid-cols-2 grid-cols-1 gap-4 mb-8">
                    <div class="w-full">
                        <label for="name" class="font-medium text-sm dark:text-white text-gray-800">Category Name</label>
                        <input type="text" wire:model="name" name="name" wire.model="name" id="name" value="" placeholder="Product Name" class="text-sm py-3 px-5 border dark:border-gray-700 border-gray-300 rounded-lg w-full outline-0 focus:outline-none focus:border-green bg-transparent">
                        <x-input-error :messages="$errors->get('product_name_en')" class="mt-2" />
                    </div>
                    <div class="lg:col-span-3 md:col-span-2 w-full">
                        <label for="description" class="font-medium text-sm dark:text-white text-gray-800">Description </label>
                        <textarea wire:model="description" name="description" id="description" value="" placeholder="Write Here..." class="text-sm py-3 px-5 border dark:border-gray-700 border-gray-300 rounded-lg w-full outline-0 focus:outline-none focus:border-green bg-transparent focus:ring-0" rows="5"></textarea>
                        <x-input-error :messages="$errors->get('description')" class="mt-2" />
                    </div>
                    
                </div>
                <div class="lg:col-span-3 md:col-span-2 md:text-right">
                    <button type="submit" class="btn-default btn-primary text-white text-base md:w-auto w-full">Add Category</button>
                </div>
            </form>
        </div>
    </div>
</div>
