<div class="w-full p-6 mx-auto">
    <div class="rounded-xl border dark:border-gray-700 border-gray-300 bg-white p-4 py-3 sm:px-6 sm:py-4 xl:px-7">
        <h2 class="text-lg font-bold mb-4">Edit Category</h2>
        <form wire:submit.prevent="update" class="p-6">
            <div class="mb-4">
                <label for="name" class="block font-medium text-sm text-gray-700">Category Name</label>
                <input 
                    type="text" 
                    wire:model="name" 
                    id="name" 
                    class="block mt-1 w-full border-gray-300 rounded-md shadow-sm focus:border-green-300 focus:ring focus:ring-green-200 focus:ring-opacity-50">
                @error('name') <span class="text-red-500 text-sm">{{ $message }}</span> @enderror
            </div>

            <div class="mb-4">
                <label for="description" class="block font-medium text-sm text-gray-700">Description</label>
                <textarea 
                    wire:model="description" 
                    id="description" 
                    class="block mt-1 w-full border-gray-300 rounded-md shadow-sm focus:border-green-300 focus:ring focus:ring-green-200 focus:ring-opacity-50" 
                    rows="5"></textarea>
                @error('description') <span class="text-red-500 text-sm">{{ $message }}</span> @enderror
            </div>

            <div class="flex items-center justify-end">
                <a href="{{ route('category.index') }}" class="btn-default btn-secondary mr-3">Cancel</a>
                <button type="submit" class="btn-default btn-primary">Update Category</button>
            </div>
        </form>
    </div>
</div>