<div class="w-full p-6 mx-auto">
    <div class="rounded-xl border dark:border-gray-700 border-gray-300 bg-whiter p-4 py-3 sm:px-6 sm:py-4 xl:px-7">
        <nav>
            <ol class="flex flex-wrap items-center gap-3">
                <li>
                    <a class="flex items-center gap-2 text-brown-light hover:text-green dark:text-white dark:hover:text-white" href="/admin/dashboard">
                        <i class="fa-solid fa-house"></i>
                        Dashboard
                    </a>
                </li>
                <li class="flex items-center gap-3">
                    <i class="fa-solid fa-arrow-right-long text-brown-light"></i>
                    Products Category List
                </li>
            </ol>
        </nav>
    </div>
    <div class="mt-12">
        <div class="relative flex flex-col bg-white dark:bg-gray-800 rounded-xl rounded-2xl border dark:border-gray-700 border-gray-300">
            <div class="mx-4 rounded-xl bg-brown dark:bg-gray-900 text-white shadow-lg -mt-6 px-6 py-3 flex justify-between items-center">
                <p class="block text-lg font-medium leading-relaxed text-white">All Product Category</p>
                <a href="/admin/category/create" class="btn-default btn-secondary text-white text-base">
                    <i class="fa-solid fa-plus mr-2"></i> Add Product Category
                </a>
            </div>
            <div class="p-4">
                <div class="mt-4 overflow-hidden border border-gray-300 rounded-xl">
                    <div class="w-full overflow-hidden">
                        <div class="w-full overflow-x-auto ">
                            <table class="w-full">
                                <thead>
                                    <tr class="text-xs font-semibold tracking-wide text-left text-gray-800 uppercase border-b dark:border-gray-700 bg-gray-200 dark:text-gray-400 dark:bg-gray-800">
                                        <th class="p-4">#</th>
                                        <th class="p-4">Product category name</th>
                                        <th class="p-4 text-center">Status</th>
                                        <th class="p-4 text-center">Action</th>
                                    </tr>
                                </thead>
                                <tbody class="bg-white divide-y dark:divide-gray-700 dark:bg-gray-800">
                                    @foreach ($categories as $key => $category)
                                        <tr class="text-gray-700 dark:text-gray-400">
                                            <td class="px-4 py-2 text-sm">{{ $key + 1 }}</td>
                                            <td class="px-4 py-2">
                                                <p class="font-medium text-sm">{{ $category->name }}</p>
                                            </td>
                                            <td class="px-4 py-2 text-sm">
                                                <label for="toggle{{ $category->id }}" class="flex items-center justify-center cursor-pointer select-none text-dark dark:text-white">
                                                    <div class="relative text-center">
                                                        <input wire:change="updateStatus('{{ $category->id }}')" :checked="{{ $category->status }}" type="checkbox"  id="toggle{{ $category->id }}"  class="peer sr-only" />
                                                        <div class="block h-8 rounded-full bg-white border border-green w-14" ></div>
                                                        <div class="absolute w-6 h-6 transition bg-gray-400 rounded-full dot dark:bg-gray-300 left-1 top-1 peer-checked:translate-x-full peer-checked:bg-green" ></div>
                                                    </div>
                                                </label>
                                            </td>
                                            <td class="px-4 py-2 text-xl flex items-center justify-center gap-4">
                                                <a href="/admin/category/{{ $category->id }}/edit" class="d-inline-block p-0">
                                                    <i class="fa-regular fa-pen-to-square text-green"></i>
                                                </a>
                                                <i wire:click="deleteCategory('{{ $category->id }}')"  class="fa-regular fa-trash-can text-red-500 cursor-pointer"></i>
                                            </td>
                                        </tr>
                                    @endforeach
                                    @if ($categories->count() === 0)
                                    <tr class="text-gray-700 dark:text-gray-400">
                                        <td class="px-4 py-2 col-span-4 text-md text-center">Category Not Found</td>
                                    </tr>
                                    @endif
                                </tbody>
                            </table>
                        </div>
                        {{ $categories->links() }}
                       
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>