<div class="w-full p-6 mx-auto">
    <div class="rounded-xl border dark:border-gray-700 border-gray-300 bg-whiter p-4 py-3 sm:px-6 sm:py-4 xl:px-7">
        <nav>
            <ol class="flex flex-wrap items-center gap-3">
                <li>
                    <a class="flex items-center gap-2 text-brown-light hover:text-green dark:text-white dark:hover:text-white" href="/admin/dashboard">
                        <i class="fa-solid fa-house"></i>
                        Dashboard
                    </a>
                </li>
                <li>
                    <a class="flex items-center gap-2 text-brown-light hover:text-green dark:text-white dark:hover:text-white" href="/admin/products">
                        <i class="fa-solid fa-arrow-right-long text-brown-light"></i>
                        Products List
                    </a>
                </li>
                <li class="flex items-center gap-3">
                    <i class="fa-solid fa-arrow-right-long text-brown-light"></i>
                    Add Product
                </li>
            </ol>
        </nav>
    </div>

    <div class="mt-12">
        <div class="relative flex flex-col bg-white dark:bg-gray-800 rounded-2xl border dark:border-gray-700 border-gray-300">
            <div class="mx-4 rounded-xl bg-brown dark:bg-gray-900 text-white shadow-lg -mt-6 px-6 py-3 flex justify-between items-center">
                <p class="block text-lg font-medium leading-relaxed text-white">Add Product</p>
                <a href="/admin/products" class="btn-default btn-secondary text-white text-base">
                    <i class="fa-solid fa-arrow-left-long mr-2"></i> Back
                </a>
            </div>
            <form wire:submit.prevent="store" class="p-6" enctype="multipart/form-data">
                <p class="uppercase dark:text-white-800 text-gray-500 text-sm mb-2">Product Details</p>
                <div class="grid lg:grid-cols-3 md:grid-cols-2 grid-cols-1 gap-4 mb-8">
                    <div class="w-full">
                        <label for="name" class="font-medium text-sm dark:text-white text-gray-800">Product Name</label>
                        <input type="text" wire:model="name" name="name" wire.model="name" id="name" value="" placeholder="Product Name" class="text-sm py-3 px-5 border dark:border-gray-700 border-gray-300 rounded-lg w-full outline-0 focus:outline-none focus:border-green bg-transparent">
                        <x-input-error :messages="$errors->get('product_name_en')" class="mt-2" />
                    </div>
                    <div class="w-full">
                        <label for="starting_price" class="font-medium text-sm dark:text-white text-gray-800">Product Category</label>
                        <select  wire:model="main_category" name="category_id"  id="category_id" class="text-sm py-3 px-5 border dark:border-gray-700 border-gray-300 rounded-lg w-full outline-0 focus:outline-none focus:border-green bg-transparent">
                           <option value="">-- Select Category --</option>

                            @foreach($maincategory as $key => $value)
                                <option value="{{ $value->id }}">
                                    {{ $value->name }}
                                </option>
                            @endforeach
                        </select>
                        <x-input-error :messages="$errors->get('category_id')" class="mt-2" />
                    </div>

                     <div class="w-full">
                        <label for="starting_price" class="font-medium text-sm dark:text-white text-gray-800">Product Sub Category</label>
                        <select  wire:model="sub_category_id" name="category_id"  id="category_id" class="text-sm py-3 px-5 border dark:border-gray-700 border-gray-300 rounded-lg w-full outline-0 focus:outline-none focus:border-green bg-transparent">
                           <option value="">-- Select Category --</option>
                            @php
                                $groupedCategories = $categories->groupBy('category.name');
                            @endphp
                            @foreach($groupedCategories as $parentName => $group)
                                <optgroup label="{{ $parentName }}">
                                    @foreach($group as $subcategory)
                                        <option value="{{ $subcategory->id }}">
                                            {{ $subcategory->name }}
                                        </option>
                                    @endforeach
                                </optgroup>
                            @endforeach
                        </select>
                        <x-input-error :messages="$errors->get('category_id')" class="mt-2" />
                    </div>
                    <div class="lg:col-span-3 md:col-span-2 w-full">
                        <label for="description" class="font-medium text-sm dark:text-white text-gray-800">Description </label>
                        <textarea wire:model="description" name="description" id="content" value="" placeholder="Write Here..." class="text-sm py-3 px-5 border dark:border-gray-700 border-gray-300 rounded-lg w-full outline-0 focus:outline-none focus:border-green bg-transparent focus:ring-0" rows="5"></textarea>
                        <x-input-error :messages="$errors->get('description')" class="mt-2" />
                    </div>
                    <div class="lg:col-span-3 md:col-span-2 w-full">
                        <label for="overview" class="font-medium text-sm dark:text-white text-gray-800">Advantages</label>
                        <textarea wire:model="advantage" name="advantages" id="advantages" class="text-sm py-3 px-5 border dark:border-gray-700 border-gray-300 rounded-lg w-full outline-0 focus:outline-none focus:border-green bg-transparent focus:ring-0" rows="5"></textarea>
                        <x-input-error :messages="$errors->get('advantages')" class="mt-2" />
                    </div>
                </div>
                <p class="uppercase dark:text-white-800 text-gray-500 text-sm mb-2">Upload Product Images</p>
                <div class="grid lg:grid-cols-4 md:grid-cols-3 grid-cols-1 gap-4 mb-8">
                    <div class="w-full">
                        <label for="productname" class="font-medium text-sm dark:text-white text-gray-800 mb-3">Front Image</label>
                        <label class="relative flex flex-col items-center text-sm py-3 px-5 border dark:border-gray-700 border-gray-300 rounded-lg w-full outline-0 focus:outline-none focus:border-green bg-transparent cursor-pointer">
                            <svg class="w-8 h-8" fill="#66b749" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20">
                                <path d="M16.88 9.1A4 4 0 0 1 16 17H5a5 5 0 0 1-1-9.9V7a3 3 0 0 1 4.52-2.59A4.98 4.98 0 0 1 17 8c0 .38-.04.74-.12 1.1zM11 11h3l-4-4-4 4h3v3h2v-3z" />
                            </svg>
                            <span class="mt-2 text-base leading-normal text-gray-600">Front Image</span>
                            <input wire:model="main_photo" type='file' class="absolute w-full h-full opacity-0"/>
                        </label>
                        @if ($main_photo)
                            <div class="relative w-32 h-32 overflow-hidden">
                                <i class="fa-solid fa-xmark absolute top-1 right-1 text-gray-300 hover:text-red-500"></i>
                                <img src="{{ $main_photo->temporaryUrl() }}" alt="img" class="w-full">
                            </div>
                        @endif
                    </div>
                    <div class="lg:col-span-3 md:col-span-2 w-full">
                        <label for="productname" class="font-medium text-sm dark:text-white text-gray-800">More Images</label>
                        <div class="grid lg:grid-cols-5 md:grid-cols-4 sm:grid-cols-3 grid-cols-2 gap-4 w-full mt-2">
                            @foreach ($photos as $index => $photo)
                                <label class="relative flex flex-col items-center w-full cursor-pointer">
                                    <div class="">
                                        <i wire:click="removePhoto({{ $index }})" class="fa-solid fa-xmark absolute top-1 right-1 text-gray-300 hover:text-red-500"></i>
                                        <img src="{{ $photo->temporaryUrl() }}" alt="img" class="max-h-24">
                                    </div>
                                </label>
                            @endforeach
                            <div class="h-full flex items-center">
                                <div class="relative overflow-hidden bg-gray-300 hover:bg-green hover:text-white w-8 h-8 text-sm rounded-full flex justify-center items-center" title="Add More Image">
                                    <input wire:model="newPhoto" type='file' class="absolute w-full h-full opacity-0"/>
                                    <i class="fa-solid fa-plus"></i>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <p class="uppercase dark:text-white-800 text-gray-500 text-sm mb-2">Characteristics</p>
                <div class="w-full overflow-hidden mb-8">
                    <div class="w-full overflow-x-auto">
                        <table class="w-full border mb-8">
                            <thead>
                                <tr class="text-xs font-semibold tracking-wide text-left text-gray-800 uppercase border-b dark:border-gray-700 bg-gray-200 dark:text-gray-400 dark:bg-gray-800">
                                    <th class="px-3 py-4 whitespace-nowrap">Tittle</th>
                                    <th class="px-3 py-4 whitespace-nowrap">Value</th>
                                    <th class="px-3 py-4 text-center">Action</th>
                                </tr>
                            </thead>
                            <tbody class="bg-white divide-y dark:divide-gray-700 dark:bg-gray-800">
                                @foreach ($packaging_details as $index => $details)
                                    <tr class="text-gray-700 dark:text-gray-400">
                                        <td class="px-2 py-2 text-sm">
                                            <input wire:model="packaging_details.{{$index}}.tittle"  type="text" value="" name="packaging_details.{{$index}}.tittle" placeholder="Tittle" class="text-sm py-3 px-5 border dark:border-gray-700 border-gray-300 rounded-lg w-full outline-0 focus:outline-none focus:border-green bg-transparent">
                                        </td>
                                        <td class="px-2 py-2">
                                            <input wire:model="packaging_details.{{$index}}.value"  type="text" value="" name="packaging_details.{{$index}}.value" placeholder="Value" class="text-sm py-3 px-5 border dark:border-gray-700 border-gray-300 rounded-lg w-full outline-0 focus:outline-none focus:border-green bg-transparent">
                                        </td>
                                        <td class="px-2 py-2 text-center">
                                            @if ($loop->first)
                                                <button type="button" wire:click="addMorePackagingDetail" class="bg-gray-300 hover:bg-green hover:text-white w-8 h-8 text-sm rounded-full" title="Add More Items">
                                                    <i class="fa-solid fa-plus"></i>
                                                </button>
                                            @else
                                                <button type="button" wire:click="removePackagingDetail('{{ $index }}')" class="bg-gray-300 hover:bg-green hover:text-white w-8 h-8 text-sm rounded-full" title="Add More Items">
                                                    <i class="fa-solid fa-trash"></i>
                                                </button>
                                            @endif
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
                {{-- <p class="uppercase dark:text-white-800 text-gray-500 text-sm mb-2">Packaging Details</p>
                <div class="w-full overflow-hidden mb-8">
                    <div class="w-full overflow-x-auto">
                        <table class="w-full border mb-8">
                            <thead>
                                <tr class="text-xs font-semibold tracking-wide text-left text-gray-800 uppercase border-b dark:border-gray-700 bg-gray-200 dark:text-gray-400 dark:bg-gray-800">
                                    <th class="px-3 py-4 whitespace-nowrap">Gem Style</th>
                                    <th class="px-3 py-4 whitespace-nowrap">Gem Size</th>
                                    <th class="px-3 py-4 whitespace-nowrap">Gem Price</th>
                                    <th class="px-3 py-4 text-center">Action</th>
                                </tr>
                            </thead>
                            <tbody class="bg-white divide-y dark:divide-gray-700 dark:bg-gray-800">
                                @foreach ($packaging_details as $index => $details)
                                    <tr class="text-gray-700 dark:text-gray-400">
                                        <td class="px-2 py-2 text-sm">
                                            <input wire:model="packaging_details.{{ $index }}.style" type="text" value="" placeholder="Weight" class="text-sm py-3 px-5 border dark:border-gray-700 border-gray-300 rounded-lg w-full outline-0 focus:outline-none focus:border-green bg-transparent">
                                        </td>
                                        <td class="px-2 py-2">
                                            <input wire:model="packaging_details.{{ $index }}.size" type="text" value="" placeholder="Gem Size" class="text-sm py-3 px-5 border dark:border-gray-700 border-gray-300 rounded-lg w-full outline-0 focus:outline-none focus:border-green bg-transparent">
                                        </td>
                                        <td class="px-2 py-2">
                                            <input wire:model="packaging_details.{{ $index }}.price" type="text" value="" placeholder="Gem Price" class="text-sm py-3 px-5 border dark:border-gray-700 border-gray-300 rounded-lg w-full outline-0 focus:outline-none focus:border-green bg-transparent">
                                        </td>
                                        <td class="px-2 py-2 text-center">
                                            @if ($loop->first)
                                                <button type="button" wire:click="addMorePackagingDetail" class="bg-gray-300 hover:bg-green hover:text-white w-8 h-8 text-sm rounded-full" title="Add More Items">
                                                    <i class="fa-solid fa-plus"></i>
                                                </button>
                                            @else
                                                <button type="button" wire:click="removePackagingDetail('{{ $index }}')" class="bg-gray-300 hover:bg-green hover:text-white w-8 h-8 text-sm rounded-full" title="Add More Items">
                                                    <i class="fa-solid fa-trash"></i>
                                                </button>
                                            @endif
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div> --}}
                <div class="lg:col-span-3 md:col-span-2 md:text-right">
                    <button type="submit" class="btn-default btn-primary text-white text-base md:w-auto w-full">Add Product</button>
                </div>
            </form>
        </div>
    </div>
</div>

