<div>
    <!-- start breadcrumb section -->
    <div class="breadcrumb">
        <div class="max-w-screen-2xl mx-auto px-4">

            {{-- <h2 class="mb-0 font-bold">@lang('messages.sir-almond')</h2> --}}
            <h2 class="mb-0 font-bold">{{ $product->{'product_name_'.Lang::locale()} }}</h2>
        </div>
    </div>
    <div class="product-page">
        <div class="max-w-screen-2xl mx-auto px-4 default-padding">
            <div class="grid lg:grid-cols-2 lg:gap-4 gap-12">
                <div class="flex sm:flex-row flex-col-reverse items-start lg:sticky static top-5 sm:gap-0 gap-2">
                    <div class="nav flex-col nav-pills gap-2 mx-0" id="v-pills-tab" role="tablist" aria-orientation="vertical">
                        <button class="nav-link active" id="v-pills-image-1-tab" data-bs-toggle="pill" data-bs-target="#v-pills-image-1" type="button" role="tab" aria-controls="v-pills-image-1" aria-selected="true">
                            <img src="{{ asset( 'storage/' . $product->mainImage->file_path )}}" alt="img" width="50" class="mx-auto">
                        </button>
                        @foreach($product->otherImages as $images)
                        <button class="nav-link" id="v-pills-image-{{ $loop->iteration+1 }}-tab" data-bs-toggle="pill" data-bs-target="#v-pills-image-{{ $loop->iteration+1 }}" type="button" role="tab" aria-controls="v-pills-image-{{ $loop->iteration+1 }}" aria-selected="false">
                            <img src="{{ asset( 'storage/' . $images->file_path )}}" alt="img" width="50" class="mx-auto">
                        </button>
                        @endforeach
                    </div>
                    <div class="tab-content w-full border-1 border-slate-300" id="v-pills-tabContent">
                        <div class="tab-pane fade show active" id="v-pills-image-1" role="tabpanel" aria-labelledby="v-pills-image-1-tab">
                            <img src="{{ asset( 'storage/' . $product->mainImage->file_path )}}" alt="img" class="mx-auto">
                        </div>
                        @foreach($product->otherImages as $images)
                        <div class="tab-pane fade" id="v-pills-image-{{ $loop->iteration+1 }}" role="tabpanel" aria-labelledby="v-pills-image-{{ $loop->iteration+1 }}-tab">
                            <img src="{{ asset( 'storage/' . $images->file_path )}}" alt="img" class="mx-auto">
                        </div>
                        @endforeach
                    </div>
                </div>

                <div class="product-details">
                    <div class="lg:sticky static top-5">
                        <p class="text-slate-800 tracking-wide text-xs mb-3 uppercase">@lang('messages.home') // @lang('messages.products') // {{ $product->product_name_en }}</p>
                        <h2 class="text-3xl font-semibold text-brown">{{ $product->{'product_name_'.Lang::locale()} }}</h2>
                        {{-- <h2 class="text-3xl font-semibold text-brown">@lang('messages.sir-almond')</h2> --}}
                        <div class="flex items-center space-x-2 mt-1">
                            <h3 class="text-lg font-semibold">${{ $price }}</h3>
                            <p class="text-md">|</p>
                            <h3 class="text-lg font-semibold line-through opacity-60">${{ $actualPrice }}</h3>
                        </div>
                        <hr class="mt-3 mb-4">
                        <p>{{ $product->{'description_'.Lang::locale()} }}</p>
                        <form action="{{ route('cart.store') }}" method="post">
                            @csrf
                            <div class="mt-4">
                                <label class="form-label block uppercase">@lang('messages.size') :</label>

                                @foreach ($product->packagingDetail as $key => $productPackaging)
                                <label class="size-box mb-1">
                                    <input type="radio" name="productDetailsId" value="{{$productPackaging->id}}" wire:model.live="selectedDetailId" wire:change="changePrice" class="w-full h-full hidden">
                                    <div class="w-full h-full border-1 border-slate-400 px-3 py-2">{{$productPackaging->weight}} {{$productPackaging->mass}}</div>
                                </label>
                                @endforeach


                            </div>
                            <div class="mt-3 sm:mb-3 mb-6">
                                <label class="form-label block uppercase">@lang('messages.qty') :</label>
                                <div class="qty-container gap-1 justify-content-start quantity">
                                    <button class="qty-btn-minus btn-light minus" type="button"><i class="fa fa-minus"></i></button>
                                    <input type="number" name="qty" value="1" min="1" class="input-qty"/>
                                    <button class="qty-btn-plus btn-light plus" type="button"><i class="fa fa-plus"></i></button>
                                </div>
                            </div>
                            <div>
                                <!--<a href="/cart-page" class="btn-default btn-primary sm:w-auto w-full">@lang('messages.add-to-cart')</a>-->
                                <!--<a href="javascript:void(0)" class="btn-default btn-secondary sm:mx-3 sm:my-0 my-3 sm:w-auto w-full">@lang('messages.buy-now')</a>-->
                                <input type="hidden" name="productId" value="{{ $product->id }}">
                                <button class="btn-default btn-primary sm:w-auto w-ful" name="addTocart" type="submit">@lang('messages.add-to-cart')</button>

                                <a href="javascript:void(0)" data-id="{{ $product->id }}" class="btn-default btn-primary sm:w-auto w-full add-wishlist">

                                    @if (isset($wishlistProducts) && in_array($product->id, $wishlistProducts))
                                        <i id="heart-icon-{{$product->id}}" class="fa-solid fa-heart"></i>
                                    @else
                                        <i id="heart-icon-{{$product->id}}" class="fa-regular fa-heart"></i>
                                    @endif
                                    <i id="heart-icon-solid-{{$product->id}}" class="fa-solid fa-heart hidden"></i>
                                    <i id="heart-icon-regular-{{$product->id}}" class="fa-regular fa-heart hidden"></i>
                                </a>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <!--<script>
            $('input[type="checkbox"]').on('change', function() {
                var checkboxes = document.getElementsByName(this.name)
                checkboxes.forEach((item) => {
                    if (item !== this) item.checked = false
                });
            });
        </script> -->
        {{-- <div class="bg-brown-light">
            <div class="max-w-screen-2xl mx-auto px-4 default-padding">
                <div class="heading center">
                    <h2 class="text-white">@lang('messages.reviews')</h2>
                    <img src="{{ asset('assets/images/shape2.png')}}" alt="shape2" title="shape2" width="150">
                </div>
                <div class="max-w-screen-lg mx-auto mt-12 pt-6">
                    <div class="bg-white sm:px-10 px-6 sm:py-10 py-6 rounded-2xl">
                        <h2 class="text-xl font-semibold">@lang('messages.add-new') @lang('messages.review')</h2>
                        <form class="mt-6">
                            <div class="grid sm:grid-cols-3 items-center gap-4">
                                <div>
                                    <div class="input-group">
                                        <input type="text" class="form-control me-0" placeholder="@lang('messages.your') @lang('messages.name')" aria-label="Your Name">
                                    </div>
                                </div>
                                <div class="sm:col-span-2">
                                    <div class="input-group">
                                        <input type="text" class="form-control me-0" placeholder="@lang('messages.your') @lang('messages.review')" aria-label="Your Name">
                                    </div>
                                </div>
                            </div>
                            <div class="grid sm:grid-cols-3 mt-3 items-center">
                                <div class="sm:col-span-2 me-auto sm:text-left rtl:sm:text-right w-full">
                                    <label class="form-label mx-2 mb-0">@lang('messages.your') @lang('messages.rating'):</label>
                                    <a href="javascript:void(0)">
                                        <i class="fa-regular fa-star"></i>
                                    </a>
                                    <a href="javascript:void(0)">
                                        <i class="fa-regular fa-star"></i>
                                    </a>
                                    <a href="javascript:void(0)">
                                        <i class="fa-regular fa-star"></i>
                                    </a>
                                    <a href="javascript:void(0)">
                                        <i class="fa-regular fa-star"></i>
                                    </a>
                                    <a href="javascript:void(0)">
                                        <i class="fa-regular fa-star"></i>
                                    </a>
                                </div>
                                <div class="sm:text-right rtl:sm:text-left sm:mt-0 mt-6">
                                    <a href="javascript:void(0)" type="submit" class="btn-default btn-secondary sm:w-auto w-full">@lang('messages.submit')</a>
                                </div>
                            </div>
                        </form>
                    </div>
                    <div class="bg-white sm:px-10 px-6 sm:py-10 py-6 rounded-2xl mt-6">
                        <ul class="list-none">
                            <li>
                                <div class="flex justify-between items-center flex-wrap gap-2">
                                    <p class="text-lg font-semibold">Prashant Patel</p>
                                    <div class="text-orange-400">
                                        <i class="fa-solid fa-star"></i>
                                        <i class="fa-solid fa-star"></i>
                                        <i class="fa-solid fa-star"></i>
                                        <i class="fa-solid fa-star"></i>
                                        <i class="fa-solid fa-star"></i>
                                    </div>
                                </div>
                                <p class="my-2">Lorem ipsum dolor sit, amet consectetur adipisicing elit Vero odio adipisicing elit. Vero, odio</p>
                                <p class="text-slate-500 text-sm">12 Dec, 2023</p>
                                <hr class="my-3">
                            </li>
                            <li>
                                <div class="flex justify-between items-center flex-wrap gap-2">
                                    <p class="text-lg font-semibold">Abhijeet Shah</p>
                                    <div class="text-orange-400">
                                        <i class="fa-solid fa-star"></i>
                                        <i class="fa-solid fa-star"></i>
                                        <i class="fa-solid fa-star"></i>
                                        <i class="fa-solid fa-star"></i>
                                        <i class="fa-regular fa-star"></i>
                                    </div>
                                </div>
                                <p class="my-2">Lorem ipsum dolor sit, amet consectetur adipisicing elit Vero odio adipisicing elit. Vero, odio</p>
                                <p class="text-slate-500 text-sm">26 Dec, 2023</p>
                                <hr class="my-3">
                            </li>
                            <li>
                                <div class="flex justify-between items-center flex-wrap gap-2">
                                    <p class="text-lg font-semibold">Himani Patel</p>
                                    <div class="text-orange-400">
                                        <i class="fa-solid fa-star"></i>
                                        <i class="fa-solid fa-star"></i>
                                        <i class="fa-solid fa-star"></i>
                                        <i class="fa-solid fa-star"></i>
                                        <i class="fa-solid fa-star"></i>
                                    </div>
                                </div>
                                <p class="my-2">Lorem ipsum dolor sit, amet consectetur adipisicing elit Vero odio adipisicing elit. Vero, odio</p>
                                <p class="text-slate-500 text-sm">08 Jan, 2024</p>
                                <hr class="my-3">
                            </li>
                            <li>
                                <div class="flex justify-between items-center flex-wrap gap-2">
                                    <p class="text-lg font-semibold">DJ Patel</p>
                                    <div class="text-orange-400">
                                        <i class="fa-solid fa-star"></i>
                                        <i class="fa-solid fa-star"></i>
                                        <i class="fa-solid fa-star"></i>
                                        <i class="fa-solid fa-star"></i>
                                        <i class="fa-solid fa-star"></i>
                                    </div>
                                </div>
                                <p class="my-2">Lorem ipsum dolor sit, amet consectetur adipisicing elit Vero odio adipisicing elit. Vero, odio</p>
                                <p class="text-slate-500 text-sm">11 Feb, 2024</p>
                                <hr class="my-3">
                            </li>
                            <li>
                                <div class="flex justify-between items-center flex-wrap gap-2">
                                    <p class="text-lg font-semibold">Anup Pandey</p>
                                    <div class="text-orange-400">
                                        <i class="fa-solid fa-star"></i>
                                        <i class="fa-solid fa-star"></i>
                                        <i class="fa-solid fa-star"></i>
                                        <i class="fa-solid fa-star"></i>
                                        <i class="fa-regular fa-star"></i>
                                    </div>
                                </div>
                                <p class="my-2">Lorem ipsum dolor sit, amet consectetur adipisicing elit Vero odio adipisicing elit. Vero, odio</p>
                                <p class="text-slate-500 text-sm">21 Apl, 2024</p>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div> --}}
        <div>
            <div class="max-w-screen-2xl mx-auto px-4 default-padding">
                <div class="heading center">
                    <h2>@lang('messages.you-may-also-like')</h2>
                    <img src="{{ asset('assets/images/shape2.png')}}" alt="shape2" title="shape2" width="150">
                </div>
                <div class="grid lg:grid-cols-3 md:grid-cols-2 mt-12 pt-6">
                    @foreach($allProducts as $allProduct)
                    @php
                        $photo = $allProduct->mainImage->file_path ?? null;
                    @endphp
                    <div class="mt-5">
                        <div class="product after:bg-almond border-almond">
                            <img src="{{ asset('storage/' . $photo) }}" alt="almond" title="almond" class="img-fluid">
                            <div class="details border-almond">
                                <h4><a href="{{ route('product-detail', $allProduct->slug) }}">
                                    {{ $allProduct->{'product_name_'.Lang::locale()} }}
                                </a></h4>
                                <p class="mb-0">{{  Str::limit($allProduct->{'description_'.Lang::locale()} , 150 , '....')  }}</p>
                                {{-- <div class="qty-container gap-1">
                                    <button class="qty-btn-minus btn-light" type="button"><i class="fa fa-minus"></i></button>
                                    <input type="text" name="qty" value="0" class="input-qty"/>
                                    <button class="qty-btn-plus btn-light" type="button"><i class="fa fa-plus"></i></button>
                                </div>
                                <a href="/product-page" class="btn-default btn-primary">@lang('messages.add-to-cart')</a> --}}
                            </div>
                        </div>
                    </div>
                    @endforeach
                </div>
            </div>
        </div>
        <div class="bg-brown-light text-center">
            <div class="max-w-screen-2xl mx-auto px-4 default-padding">
                <div class="grid lg:grid-cols-3 md:grid-cols-2 sm:grid-cols-1 grid-cols-1 gap-8">
                    <div class="flex flex-col items-center heading mt-4">
                        <h2 class="font-bold text-white mb-2 text-center">@lang('messages.health-benefits')</h2>
                        <img src="{{ asset('assets/images/shape_black.png')}}" alt="shape_black" title="shape_black" class="w-36">
                    </div>
                    <div class="relative bg-white rounded-2xl md:p-8 sm:p-8 p-6 mb-3">
                        <p class="text-lg font-bold text-black-800 mb-2">
                            @lang('messages.benefits-title1')
                        </p>
                        <p class="text-base text-black-800 leading-relaxed">
                            @lang('messages.benefits-detail1')
                        </p>
                    </div>
                    <div class="relative bg-white rounded-2xl md:p-8 sm:p-8 p-6 mb-3">
                        <p class="text-lg font-bold text-black-800 mb-2">
                            @lang('messages.benefits-title2')
                        </p>
                        <p class="text-base text-black-800 leading-relaxed">
                            @lang('messages.benefits-detail2')
                        </p>
                    </div>
                    <div class="relative bg-white rounded-2xl md:p-8 sm:p-8 p-6 mb-3">
                        <p class="text-lg font-bold text-black-800 mb-2">
                            @lang('messages.benefits-title3')
                        </p>
                        <p class="text-base text-black-800 leading-relaxed">
                            @lang('messages.benefits-detail3')
                        </p>
                    </div>
                    <div class="relative bg-white rounded-2xl md:p-8 sm:p-8 p-6 mb-3">
                        <p class="text-lg font-bold text-black-800 mb-2">
                            @lang('messages.benefits-title4')
                        </p>
                        <p class="text-base text-black-800 leading-relaxed">
                            @lang('messages.benefits-detail4')
                        </p>
                    </div>
                    <div class="relative bg-white rounded-2xl md:p-8 sm:p-8 p-6 mb-3">
                        <p class="text-lg font-bold text-black-800 mb-2">
                            @lang('messages.benefits-title5')
                        </p>
                        <p class="text-base text-black-800 leading-relaxed">
                            @lang('messages.benefits-detail5')
                        </p>
                    </div>
                </div>
            </div>
        </div>
        <div class="bg-white text-center">
            <div class="max-w-screen-2xl mx-auto px-4 default-padding">
                <div class="flex flex-col justify-center items-center heading mb-14">
                    <h2 class="font-bold mb-2 text-center">@lang('messages.ways-add-to-diet')</h2>
                    <img src="{{ asset('assets/images/shape2.png')}}" alt="shape2" title="shape2" class="w-36">
                </div>
                <div class="grid lg:grid-cols-3 md:grid-cols-2 sm:grid-cols-1 grid-cols-1 gap-8">
                    <div class="relative mb-6">
                        <div
                            class="absolute md:p-10 sm:p-8 p-6 inset-0 bg-green-light transform -rotate-3 group-hover:-rotate-6 rounded-2xl">
                        </div>
                        <div class="relative bg-white shadow-lg rounded-2xl md:p-10 sm:p-8 p-6 h-full">
                            <p class="text-lg font-bold text-black-800 mb-2">
                                @lang('messages.diet-title1')
                            </p>
                            <p class="text-base text-black-800 leading-relaxed">
                                @lang('messages.diet-detail1')
                            </p>
                        </div>
                    </div>
                    <div class="relative mb-6">
                        <div
                            class="absolute md:p-10 sm:p-8 p-6 inset-0 bg-green-light transform -rotate-3 group-hover:-rotate-6 rounded-2xl">
                        </div>
                        <div class="relative bg-white shadow-lg rounded-2xl md:p-10 sm:p-8 p-6 h-full">
                            <p class="text-lg font-bold text-black-800 mb-2">
                                @lang('messages.diet-title2')
                            </p>
                            <p class="text-base text-black-800 leading-relaxed">
                                @lang('messages.diet-detail2')
                            </p>
                        </div>
                    </div>
                    <div class="relative mb-6">
                        <div
                            class="absolute md:p-10 sm:p-8 p-6 inset-0 bg-green-light transform -rotate-3 group-hover:-rotate-6 rounded-2xl">
                        </div>
                        <div class="relative bg-white shadow-lg rounded-2xl md:p-10 sm:p-8 p-6 h-full">
                            <p class="text-lg font-bold text-black-800 mb-2">
                                @lang('messages.diet-title3')
                            </p>
                            <p class="text-base text-black-800 leading-relaxed">
                                @lang('messages.diet-detail3')
                            </p>
                        </div>
                    </div>
                    <div class="relative mb-6">
                        <div
                            class="absolute md:p-10 sm:p-8 p-6 inset-0 bg-green-light transform -rotate-3 group-hover:-rotate-6 rounded-2xl">
                        </div>
                        <div class="relative bg-white shadow-lg rounded-2xl md:p-10 sm:p-8 p-6 h-full">
                            <p class="text-lg font-bold text-black-800 mb-2">
                                @lang('messages.diet-title4')
                            </p>
                            <p class="text-base text-black-800 leading-relaxed">
                                @lang('messages.diet-detail4')
                            </p>
                        </div>
                    </div>
                    <div class="relative mb-6">
                        <div
                            class="absolute md:p-10 sm:p-8 p-6 inset-0 bg-green-light transform -rotate-3 group-hover:-rotate-6 rounded-2xl">
                        </div>
                        <div class="relative bg-white shadow-lg rounded-2xl md:p-10 sm:p-8 p-6 h-full">
                            <p class="text-lg font-bold text-black-800 mb-2">
                                @lang('messages.diet-title5')
                            </p>
                            <p class="text-base text-black-800 leading-relaxed">
                                @lang('messages.diet-detail5')
                            </p>
                        </div>
                    </div>
                    <div class="relative mb-6">
                        <img src="{{ asset('assets/images/peanuts_icon.png')}}" alt="shape2" title="shape2" class="w-56 mx-auto wobble">
                    </div>
                </div>
            </div>
        </div>
        <div class="bg-light-navy text-center">
            <div class="max-w-screen-2xl mx-auto px-4 default-padding">
                <div class="grid lg:grid-cols-3 md:grid-cols-2 sm:grid-cols-1 grid-cols-1 gap-8">
                    <div class="flex flex-col items-center heading mt-4">
                        <h2 class="font-bold mb-2 text-center">@lang('messages.how-to-store')</h2>
                        <img src="{{ asset('assets/images/shape2.png')}}" alt="shape_black" title="shape_black" class="w-36">
                    </div>

                    <div class="relative bg-white rounded-2xl md:p-8 sm:p-8 p-6 mb-3">
                        <p class="text-lg font-bold text-black-800 mb-2">
                            @lang('messages.store-title1')
                        </p>
                        <p class="text-base text-black-800 leading-relaxed">
                            @lang('messages.store-detail1')
                        </p>
                    </div>
                    <div class="relative bg-white rounded-2xl md:p-8 sm:p-8 p-6 mb-3">
                        <p class="text-lg font-bold text-black-800 mb-2">
                            @lang('messages.store-title2')
                        </p>
                        <p class="text-base text-black-800 leading-relaxed">
                            @lang('messages.store-detail2')
                        </p>
                    </div>
                    <div class="relative bg-white rounded-2xl md:p-8 sm:p-8 p-6 mb-3">
                        <p class="text-lg font-bold text-black-800 mb-2">
                            @lang('messages.store-title3')
                        </p>
                        <p class="text-base text-black-800 leading-relaxed">
                            @lang('messages.store-detail3')
                        </p>
                    </div>
                    <div class="relative bg-white rounded-2xl md:p-8 sm:p-8 p-6 mb-3">
                        <p class="text-lg font-bold text-black-800 mb-2">
                            @lang('messages.store-title4')
                        </p>
                        <p class="text-base text-black-800 leading-relaxed">
                            @lang('messages.store-detail4')
                        </p>
                    </div>
                    <div class="relative bg-white rounded-2xl md:p-8 sm:p-8 p-6 mb-3">
                        <p class="text-lg font-bold text-black-800 mb-2">
                            @lang('messages.store-title5')
                        </p>
                        <p class="text-base text-black-800 leading-relaxed">
                            @lang('messages.store-detail5')
                        </p>
                    </div>
                </div>
                <p class="text-lg text-black w-9/12 mx-auto mt-5">@lang('messages.conclusion-text')</p>
            </div>
        </div>
    </div>

</div>

<script>
    $('.add-wishlist').click(function(e) {

        var pId = $(this).data('id');
        var pDetailId = document.querySelector('input[name="productDetailsId"]:checked').value;
        var heartIcon = $('#heart-icon-'+pId);
        var wishlistProducts = @json($this->wishlistProducts);

        console.log(@json($wishlistProducts));

        $.ajax({
                type: 'POST',
                url:"{{ route('wishlist.store') }}",
                data: {
                    _token: '{{ csrf_token() }}',
                    productId: pId,
                    productDetailId: pDetailId,
                },
                success: function(response) {
                    var heartIconSolid = $('#heart-icon-solid-'+pId);
                    var heartIconRegular = $('#heart-icon-regular-'+pId);

                    var wishlistProductArray = response.data;
                    if(wishlistProductArray.includes(pId)) {
                        heartIcon.hide();
                        heartIconSolid.removeClass('hidden');
                        heartIconRegular.addClass('hidden');
                    }else{
                        heartIcon.hide();
                        heartIconSolid.addClass('hidden');
                        heartIconRegular.removeClass('hidden');
                    }
                    //console.log('Added to wishlist', response.status);
                },
                error: function(xhr) {
                    console.error('Error occurred: ', xhr.status, xhr.statusText);
                    console.error('Response: ', xhr.responseText);
                }
            });
    });
</script>
