<x-layouts.main>

    <!-- start breadcrumb section -->
    <div class="breadcrumb">
        <div class="max-w-screen-2xl mx-auto px-4">
            <h2 class="mb-0 font-bold">@lang('messages.character-story')</h2>
        </div>
    </div>
    <div class="character-story">
        <div class="max-w-screen-2xl mx-auto px-4">
            <img src="{{ asset('assets/images/slider4.jpg')}}" alt="" title="" class="my-4"/>
            <div class="grid lg:grid-cols-4 md:grid-cols-3 mx-auto">
                <!-- Tabs -->
                <div class="slider-tab-pannel md:bg-light-blue">
                    <ul id="tabs" class="flex flex-col md:py-24 py-6 sticky -top-16">
                        <li class="font-medium bg-green text-white">
                            <a class="px-8 py-3 flex items-center gap-x-8 hover:text-white hover:bg-green" href="#first" id="default-tab">
                                <img src="{{ asset('assets/images/uncle-cashew_icon.png')}}" alt="Teen Cashew" title="Teen Cashew" class="max-w-10"/>
                                @lang('messages.teen-cashew')
                            </a>
                        </li>
                        <li class="font-medium">
                            <a class="px-8 py-3 flex items-center gap-x-8 hover:text-white hover:bg-green" href="#second">
                                <img src="{{ asset('assets/images/miz-pea_icon.png')}}" alt="Sir Almond" title="Sir Almond" class="max-w-10"/>
                                @lang('messages.sir-almond')
                            </a>
                        </li>
                        <li class="font-medium">
                            <a class="px-8 py-3 flex items-center gap-x-8 hover:text-white hover:bg-green" href="#third">
                                <img src="{{ asset('assets/images/pistachio_icon.png')}}" alt="Miz Pistachio" title="Miz Pistachio" class="max-w-10"/>
                                @lang('messages.miz-pistachio')
                            </a>
                        </li>
                        <li class="font-medium">
                            <a class="px-8 py-3 flex items-center gap-x-8 hover:text-white hover:bg-green" href="#fourth">
                                <img src="{{ asset('assets/images/hazel_boy.png')}}" alt="Hazel Boy" title="Hazel Boy" class="max-w-10"/>
                                @lang('messages.hazel-boy')
                            </a>
                        </li>
                        <li class="font-medium">
                            <a class="px-8 py-3 flex items-center gap-x-8 hover:text-white hover:bg-green" href="#fifth">
                                <img src="{{ asset('assets/images/peanuts_icon_1.png')}}" alt="The Peanut" title="The Peanut" class="max-w-10"/>
                                @lang('messages.the-peanuts')
                            </a>
                        </li>
                        <li class="font-medium">
                            <a class="px-8 py-3 flex items-center gap-x-8 hover:text-white hover:bg-green" href="#sixth">
                                <img src="{{ asset('assets/images/walnut_icon.png')}}" alt="LiL Walnut" title="LiL Walnut" class="max-w-10"/>
                                @lang('messages.lil-walnut')
                            </a>
                        </li>
                        <li class="font-medium">
                            <a class="px-8 py-3 flex items-center gap-x-8 hover:text-white hover:bg-green" href="#seventh">
                                <img src="{{ asset('assets/images/Madam_Raisins.png')}}" alt="Madam Raisins" title="Madam Raisins" class="max-w-10"/>
                                @lang('messages.madam-raisins')
                            </a>
                        </li>
                    </ul>
                </div>
                <!-- Tab Contents -->
                <div id="tab-contents" class="lg:col-span-3 md:col-span-2 default-padding">
                    <div id="first" class="px-8 py-6">
                        <h2 class="text-center text-4xl font-semibold tracking-wider">@lang('messages.teen') <span class="text-green">@lang('messages.cashew')</span></h2>
                        <div class="mt-12">
                            <img src="{{ asset('assets/images/uncle-cashew_icon.png')}}" alt="Teen Cashew" title="Teen Cashew" class="max-h-64 mx-auto"/>
                            <div class="mt-10">
                                <h4 class="text-2xl font-medium tracking-wide mb-3">@lang('messages.introducing') @lang('messages.teen-cashew')</h4>
                                <p class="text-slate-700 mb-2">@lang('messages.cashew-p1')</p>
                                <h4 class="text-2xl font-medium tracking-wide my-3">@lang('messages.story')</h4>
                                <p class="text-slate-700 mb-2">@lang('messages.cashew-p2')</p>
                                <p class="text-slate-700 mb-2">@lang('messages.cashew-p3')</p>
                                <p class="text-slate-700 mb-2">@lang('messages.cashew-p4')</p>
                                <p class="text-slate-700 mb-2">@lang('messages.cashew-p5')</p>
                                <p class="text-slate-700 mb-2">@lang('messages.cashew-p6')</p>
                                <p class="text-slate-700 mb-2">@lang('messages.cashew-p7')</p>
                                <div class="mt-10 text-center">
                                    <a href="{{ route('product-detail', 'teen-cashew') }}" class="btn-default btn-secondary sm:w-auto w-full">@lang('messages.meet') @lang('messages.teen-cashew')</a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div id="second" class="hidden px-8 py-6">
                        <h2 class="text-center text-4xl font-semibold tracking-wider">@lang('messages.sir') <span class="text-green">@lang('messages.almond')</span></h2>
                        <div class="mt-12">
                            <img src="{{ asset('assets/images/miz-pea_icon.png')}}" alt="Teen Cashew" title="Teen Cashew" class="max-h-64 mx-auto"/>
                            <div class="mt-10">
                                <h4 class="text-2xl font-medium tracking-wide mb-3">@lang('messages.introducing') @lang('messages.sir-almond')</h4>
                                <p class="text-slate-700 mb-2">@lang('messages.cashew-p1')</p>
                                <h4 class="text-2xl font-medium tracking-wide my-3">@lang('messages.story')</h4>
                                <p class="text-slate-700 mb-2">@lang('messages.cashew-p2')</p>
                                <p class="text-slate-700 mb-2">@lang('messages.cashew-p3')</p>
                                <p class="text-slate-700 mb-2">@lang('messages.cashew-p4')</p>
                                <p class="text-slate-700 mb-2">@lang('messages.cashew-p5')</p>
                                <div class="mt-10 text-center">
                                    <a href="{{ route('product-detail', 'sir-almond') }}" class="btn-default btn-secondary sm:w-auto w-full">@lang('messages.meet') @lang('messages.sir-almond')</a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div id="third" class="hidden px-8 py-6">
                        <h2 class="text-center text-4xl font-semibold tracking-wider">@lang('messages.miz') <span class="text-green">@lang('messages.pistachio')</span></h2>
                        <div class="mt-12">
                            <img src="{{ asset('assets/images/pistachio_icon.png')}}" alt="Teen Cashew" title="Teen Cashew" class="max-h-64 mx-auto"/>
                            <div class="mt-10">
                                <h4 class="text-2xl font-medium tracking-wide mb-3">@lang('messages.introducing') @lang('messages.miz-pistachio')</h4>
                                <p class="text-slate-700 mb-2">@lang('messages.pistachio-p1')</p>
                                <h4 class="text-2xl font-medium tracking-wide my-3">@lang('messages.story')</h4>
                                <p class="text-slate-700 mb-2">@lang('messages.pistachio-p2')</p>
                                <p class="text-slate-700 mb-2">@lang('messages.pistachio-p3')</p>
                                <p class="text-slate-700 mb-2">@lang('messages.pistachio-p4')</p>
                                <p class="text-slate-700 mb-2">@lang('messages.pistachio-p5')</p>
                                <div class="mt-10 text-center">
                                    <a href="{{ route('product-detail', 'miz-pistachio') }}" class="btn-default btn-secondary sm:w-auto w-full">@lang('messages.meet') @lang('messages.miz-pistachio')</a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div id="fourth" class="hidden px-8 py-6">
                        <h2 class="text-center text-4xl font-semibold tracking-wider">@lang('messages.hazel') <span class="text-green">@lang('messages.boy')</span></h2>
                        <div class="mt-12">
                            <img src="{{ asset('assets/images/hazel_boy.png')}}" alt="Teen Cashew" title="Teen Cashew" class="max-h-64 mx-auto"/>
                            <div class="mt-10">
                                <h4 class="text-2xl font-medium tracking-wide mb-3">@lang('messages.introducing') @lang('messages.hazel-boy')</h4>
                                <p class="text-slate-700 mb-2">@lang('messages.hazel-p1')</p>
                                <h4 class="text-2xl font-medium tracking-wide my-3">@lang('messages.story')</h4>
                                <p class="text-slate-700 mb-2">@lang('messages.hazel-p2')</p>
                                <p class="text-slate-700 mb-2">@lang('messages.hazel-p3')</p>
                                <p class="text-slate-700 mb-2">@lang('messages.hazel-p4')</p>
                                <p class="text-slate-700 mb-2">@lang('messages.hazel-p5')</p>
                                <p class="text-slate-700 mb-2">@lang('messages.hazel-p6')</p>
                                <p class="text-slate-700 font-medium mb-2">@lang('messages.hazel-p7')</p>
                                <p class="text-slate-700 font-medium mb-2">@lang('messages.hazel-p8')</p>
                                <p class="text-slate-700 mb-2">@lang('messages.hazel-p9')</p>
                                <p class="text-slate-700 mb-2">@lang('messages.hazel-p10')</p>
                                <div class="mt-10 text-center">
                                    <a href="{{ route('product-detail', 'hazel-boy') }}" class="btn-default btn-secondary sm:w-auto w-full">@lang('messages.meet') @lang('messages.hazel-boy')</a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div id="fifth" class="hidden px-8 py-6">
                        <h2 class="text-center text-4xl font-semibold tracking-wider">@lang('messages.the') <span class="text-green">@lang('messages.peanuts')</span></h2>
                        <div class="mt-12">
                            <img src="{{ asset('assets/images/peanuts_icon_1.png')}}" alt="Teen Cashew" title="Teen Cashew" class="max-h-64 mx-auto"/>
                            <div class="mt-10">
                                <h4 class="text-2xl font-medium tracking-wide mb-3">@lang('messages.introducing') @lang('messages.the-peanuts')</h4>
                                <p class="text-slate-700 mb-2">@lang('messages.peanuts-p1')</p>
                                <h4 class="text-2xl font-medium tracking-wide my-3">@lang('messages.story')</h4>
                                <p class="text-slate-700 mb-2">@lang('messages.peanuts-p2')</p>
                                <p class="text-slate-700 mb-2">@lang('messages.peanuts-p3')</p>
                                <p class="text-slate-700 mb-2">@lang('messages.peanuts-p4')</p>
                                <p class="text-slate-700 mb-2">@lang('messages.peanuts-p5')</p>
                                <div class="mt-10 text-center">
                                    <a href="{{ route('product-detail', 'the-peanuts') }}" class="btn-default btn-secondary sm:w-auto w-full">@lang('messages.meet') @lang('messages.the-peanuts')</a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div id="sixth" class="hidden px-8 py-6">
                        <h2 class="text-center text-4xl font-semibold tracking-wider">@lang('messages.lil') <span class="text-green">@lang('messages.walnut')</span></h2>
                        <div class="mt-12">
                            <img src="{{ asset('assets/images/walnut_icon.png')}}" alt="Teen Cashew" title="Teen Cashew" class="max-h-64 mx-auto"/>
                            <div class="mt-10">
                                <h4 class="text-2xl font-medium tracking-wide mb-3">@lang('messages.introducing') @lang('messages.lil-walnut')</h4>
                                <p class="text-slate-700 mb-2">@lang('messages.walnut-p1')</p>
                                <h4 class="text-2xl font-medium tracking-wide my-3">@lang('messages.story')</h4>
                                <p class="text-slate-700 mb-2">@lang('messages.walnut-p2')</p>
                                <p class="text-slate-700 mb-2">@lang('messages.walnut-p3')</p>
                                <p class="text-slate-700 mb-2">@lang('messages.walnut-p4')</p>
                                <p class="text-slate-700 mb-2">@lang('messages.walnut-p5')</p>
                                <p class="text-slate-700 mb-2">@lang('messages.walnut-p6')</p>
                                <p class="text-slate-700 mb-2">@lang('messages.walnut-p7')</p>
                                <p class="text-slate-700 mb-2">@lang('messages.walnut-p8')</p>
                                <p class="text-slate-700 mb-2">@lang('messages.walnut-p9')</p>
                                <p class="text-slate-700 mb-2">@lang('messages.walnut-p10')</p>
                                <div class="mt-10 text-center">
                                    <a href="{{ route('product-detail', 'lil-walnut') }}" class="btn-default btn-secondary sm:w-auto w-full">@lang('messages.meet') @lang('messages.lil-walnut')</a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div id="seventh" class="hidden px-8 py-6">
                        <h2 class="text-center text-4xl font-semibold tracking-wider">@lang('messages.madam') <span class="text-green">@lang('messages.raisins')</span></h2>
                        <div class="mt-12">
                            <img src="{{ asset('assets/images/Madam_Raisins.png')}}" alt="Teen Cashew" title="Teen Cashew" class="max-h-64 mx-auto"/>
                            <div class="mt-10">
                                <h4 class="text-2xl font-medium tracking-wide mb-3">@lang('messages.introducing') @lang('messages.madam-raisins')</h4>
                                <p class="text-slate-700 mb-2">@lang('messages.raisins-p1')</p>
                                <h4 class="text-2xl font-medium tracking-wide my-3">@lang('messages.story')</h4>
                                <p class="text-slate-700 mb-2">@lang('messages.raisins-p2')</p>
                                <p class="text-slate-700 mb-2">@lang('messages.raisins-p3')</p>
                                <p class="text-slate-700 mb-2">@lang('messages.raisins-p4')</p>
                                <div class="mt-10 text-center">
                                    <a href="{{ route('product-detail', 'madam-raisins') }}" class="btn-default btn-secondary sm:w-auto w-full">@lang('messages.meet') @lang('messages.madam-raisins')</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</x-layouts.main>

<script>
    let tabsContainer = document.querySelector("#tabs");
    let tabTogglers = tabsContainer.querySelectorAll("#tabs a");
    console.log(tabTogglers);

    tabTogglers.forEach(function(toggler) {
        toggler.addEventListener("click", function(e) {
            e.preventDefault();
            let tabName = this.getAttribute("href");
            let tabContents = document.querySelector("#tab-contents");
            for (let i = 0; i < tabContents.children.length; i++) {
                tabTogglers[i].parentElement.classList.remove("bg-green", "text-white");  tabContents.children[i].classList.remove("hidden");
                if ("#" + tabContents.children[i].id === tabName) {
                    continue;
                }
                tabContents.children[i].classList.add("hidden");
            }
            e.target.parentElement.classList.add("bg-green", "text-white");
        });
    });
</script>
