<x-layouts.main>

    <!-- start breadcrumb section -->
    <div class="breadcrumb">
        <div class="max-w-screen-2xl mx-auto px-4">
            <h2 class="mb-0 font-bold">@lang('messages.checkout')</h2>
        </div>
    </div>
    <div class="checkout-page">
        <div class="max-w-screen-2xl mx-auto px-4 default-padding">
            <div class="flex flex-col md:flex-row gap-4">
                <div class="md:w-2/3 user-info">
                    <div class="rounded-lg border bg-white p-6 shadow-md">
                        <h4 class="text-lg font-semibold tracking-wide">@lang('messages.personal') @lang('messages.details')</h4>
                        <hr class="mt-3 mb-4"/>

                        <form action="{{ route('checkout.store') }}" method="post">
                        @csrf
                        <div class="grid md:grid-cols-2 gap-4">
                            <input type="hidden" name="act" value="billing"/>
                            <div class="sm:col-span-1 col-span-2">
                                <label class="form-label">@lang('messages.first') @lang('messages.name')</label>
                                <input require name="firstName" value="{{ $billingAddress->first_name ?? ''  }}" type="text" class="form-control" placeholder="@lang('messages.first') @lang('messages.name')">
                            </div>
                            <div class="sm:col-span-1 col-span-2">
                                <label class="form-label">@lang('messages.last') @lang('messages.name')</label>
                                <input require name="lastName" value="{{ $billingAddress->last_name ?? ''  }}" type="text" class="form-control" placeholder="@lang('messages.last') @lang('messages.name')">
                            </div>
                            <div class="sm:col-span-1 col-span-2">
                                <label class="form-label">@lang('messages.email')</label>
                                <input require name="email" value="{{ $billingAddress->email ?? ''  }}" type="email" class="form-control" placeholder="@lang('messages.email')">
                            </div>
                            <div class="sm:col-span-1 col-span-2">
                                <label class="form-label">@lang('messages.contact')</label>
                                <input require name="contact" value="{{ $billingAddress->contact ?? ''  }}" type="number" class="form-control" placeholder="@lang('messages.contact')">
                            </div>
                            <div class="col-span-2">
                                <label class="form-label">@lang('messages.address')</label>
                                <input require name="address" value="{{ $billingAddress->address ?? ''  }}" type="text" class="form-control" placeholder="@lang('messages.address')">
                            </div>
                            <div class="sm:col-span-1 col-span-2">
                                {{-- @dd($billingAddress) --}}
                                <label class="form-label">@lang('messages.country')</label>
                                <select class="form-control" name="country">
                                    <option value="India" {{ (isset($billingAddress) && $billingAddress->country == 'India') ? 'selected' : ''}}>India</option>
                                    <option value="Germany" {{ (isset($billingAddress) && $billingAddress->country == 'Germany') ? 'selected' : ''}}>Germany</option>
                                    <option value="Italy" {{ (isset($billingAddress) && $billingAddress->country == 'Italy') ? 'selected' : ''}}>Italy</option>
                                </select>
                            </div>
                            <div class="sm:col-span-1 col-span-2">
                                <label class="form-label">@lang('messages.state')</label>
                                <select class="form-control" name="state">
                                    <option value="Gujarat" {{ (isset($billingAddress) && $billingAddress->state == 'Gujarat') ? 'selected' : ''}}>Gujarat</option>
                                    <option value="Maharastra" {{ (isset($billingAddress) && $billingAddress->state == 'Maharastra') ? 'selected' : ''}}>Maharastra</option>
                                    <option value="Punjab" {{ (isset($billingAddress) && $billingAddress->state == 'Punjab') ? 'selected' : ''}}>Punjab</option>
                                </select>
                            </div>
                            <div class="sm:col-span-1 col-span-2">
                                <label class="form-label">@lang('messages.city')</label>
                                <input require name="city" value="{{ $billingAddress->city ?? ''  }}" type="text" class="form-control" placeholder="@lang('messages.city')">
                            </div>
                            <div class="sm:col-span-1 col-span-2">
                                <label class="form-label">@lang('messages.pincode')</label>
                                <input require name="pincode" value="{{ $billingAddress->pincode ?? ''  }}" type="number" class="form-control" placeholder="@lang('messages.pincode')">
                            </div>
                            <div class="col-span-2">
                                <input type="checkbox" name="sameAddress" class="form-control" id="same-address">
                                <label class="form-label ms-2 mb-0 d-inline" name="sameAddress" for="same-address">@lang('messages.use-same-address-for-shipping')</label>
                            </div>
                            <div class="col-span-2 text-right rtl:text-left">
                                <button class="btn-default btn-secondary md:w-auto w-full" name="saveDetails" type="submit">@lang('messages.save')</button>
                            </div>
                        </div>
                        </form>
                    </div>
                    <div class="rounded-lg border bg-white p-6 shadow-md mt-4">
                        <h4 class="text-lg font-semibold tracking-wide">@lang('messages.shipping') @lang('messages.details')</h4>
                        <hr class="mt-3 mb-4"/>
                        <form action="{{ route('checkout.store') }}" method="post">
                        @csrf
                        <div class="grid md:grid-cols-2 gap-4">
                            <input type="hidden" name="act" value="shipping"/>
                            <div class="col-span-2">
                                <label class="form-label">@lang('messages.address')</label>
                                <input require type="text" name="address" value="{{ $shippingAddress->address ?? ''   }}" class="form-control" placeholder="@lang('messages.address')">
                            </div>
                            <div class="sm:col-span-1 col-span-2">
                                <label class="form-label">@lang('messages.country')</label>
                                <select class="form-control" name="country">
                                    <option value="India" {{ (isset($shippingAddress) && $shippingAddress->country == 'India') ? 'selected' : ''}}>India</option>
                                    <option value="Germany" {{ (isset($shippingAddress) &&$shippingAddress->country == 'Germany') ? 'selected' : ''}}>Germany</option>
                                    <option value="Italy" {{ (isset($shippingAddress) && $shippingAddress->country == 'Italy') ? 'selected' : ''}}>Italy</option>
                                </select>
                            </div>
                            <div class="sm:col-span-1 col-span-2">
                                <label class="form-label">@lang('messages.state')</label>
                                <select class="form-control" name="state">
                                    <option value="Gujarat" {{ (isset($shippingAddress) &&$shippingAddress->state == 'Gujarat') ? 'selected' : ''}}>Gujarat</option>
                                    <option value="Maharastra" {{ (isset($shippingAddress) && $shippingAddress->state == 'Maharastra') ? 'selected' : ''}}>Maharastra</option>
                                    <option value="Punjab" {{ (isset($shippingAddress) && $shippingAddress->state == 'Punjab') ? 'selected' : ''}}>Punjab</option>
                                </select>
                            </div>
                            <div class="sm:col-span-1 col-span-2">
                                <label class="form-label">@lang('messages.city')</label>
                                <input require type="text" name="city" value="{{ $shippingAddress->city ?? ''  }}" class="form-control" placeholder="@lang('messages.city')">
                            </div>
                            <div class="sm:col-span-1 col-span-2">
                                <label class="form-label">@lang('messages.pincode')</label>
                                <input require type="number" name="pincode" value="{{ $shippingAddress->pincode ?? '' }}" class="form-control" placeholder="@lang('messages.pincode')">
                            </div>
                            <div class="col-span-2 text-right rtl:text-left">
                                <button class="btn-default btn-secondary md:w-auto w-full" name="saveDetails" type="submit">@lang('messages.save')</button>
                            </div>
                        </div>
                        </form>
                    </div>
                </div>
                <div class="md:w-1/3">
                    <div class="sticky top-5">
                        <div class="rounded-lg border bg-white p-6 shadow-md">
                            <h4 class="text-lg font-semibold tracking-wide">@lang('messages.order') @lang('messages.details')</h4>
                            <p class="text-gray-700">@lang('messages.you-having-place-order-for') 3 @lang('messages.items')</p>
                            <hr class="mt-3 mb-4"/>
                            <div class="mb-2 flex justify-between">
                                <p class="text-gray-700">@lang('messages.subtotal')</p>
                                <p class="text-gray-700">$<span>{{ $totalAmount }}</span></p>
                            </div>
                            <div class="mb-2 flex justify-between">
                                <p class="text-gray-700">@lang('messages.shipping')</p>
                                <p class="text-gray-700">$0.00</p>
                            </div>
                            <div class="mb-2 flex justify-between">
                                <p class="text-gray-700">@lang('messages.tax')</p>
                                <p class="text-gray-700">-</p>
                            </div>
                            <div class="flex justify-between">
                                <p class="text-gray-700">@lang('messages.discount')</p>
                                <p class="text-gray-700">$0.00</p>
                            </div>
                            <hr class="my-4"/>
                            <div class="flex justify-between text-end">
                                <p class="text-lg font-bold">@lang('messages.total')</p>
                                <p class="mb-1 text-lg font-bold text-green">$<span>{{ $totalAmount }}</span></p>
                            </div>
                            <a href="{{route('payment.index')}}" class="btn-default btn-secondary my-4 w-full">@lang('messages.place') @lang('messages.order')</a>
                            <p class="text-gray-700 text-center">@lang('messages.by-placing-your-order') <a href="javascript:void(0)" class="text-brown hover:text-green">@lang('messages.terms-conditions')</a> @lang('messages.and') <a href="javascript:void(0)" class="text-brown hover:text-green">@lang('messages.privacy-policy')</a></p>
                        </div>
                        <div class="rounded-lg border bg-white p-6 shadow-md mt-4">
                            <h4 class="text-lg font-semibold tracking-wide">@lang('messages.coupen-code')</h4>
                            <p class="text-gray-700">@lang('messages.enter-code-to-get')</p>
                            <hr class="mt-3 mb-4"/>
                            <div class="input-group">
                                <input type="text" class="form-control me-0" placeholder="@lang('messages.coupen-code')">
                            </div>
                            <a href="javascript:void(0)" class="btn-default btn-secondary mt-4 w-full">@lang('messages.apply')</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

</x-layouts.main>
