<x-layouts.main>

    <!-- start breadcrumb section -->
    <div class="breadcrumb">
        <div class="max-w-screen-2xl mx-auto px-4">
            <h2 class="mb-0 font-bold">@lang('messages.contact-us')</h2>
        </div>
    </div>
    <div class="default-padding">
        <div class="max-w-screen-2xl mx-auto px-4">
            <div class="contact-section grid lg:grid-cols-3 gap-4">
                <div class="contact-details border-2 border-light-navy relative overflow-hidden bg-white rounded-2xl md:p-10 sm:p-8 p-6">
                    <h2 class="md:text-2xl text-xl text-brown font-semibold">@lang('messages.dont-be-shy')!</h2>
                    <div class="flex items-center gap-3 mt-3 pt-3">
                        <i class="fa-solid fa-mobile-button text-md text-white w-10 h-10 rounded-full bg-green flex items-center justify-center shadow-md"></i>
                        <a href="tel:+442078709070" class="hover:text-green">@lang('messages.phone-number')</a>
                    </div>
                    <div class="flex items-center gap-3 mt-3 pt-3 border-t-2">
                        <i class="fa-solid fa-at text-md text-white w-10 h-10 rounded-full bg-green flex items-center justify-center shadow-md"></i>
                        <a href="mailto:support@nutsons.com" class="hover:text-green">@lang('messages.email')</a>
                    </div>
                    <div class="flex items-center gap-3 mt-3 pt-3 border-t-2">
                        <div>
                            <i class="fa-solid fa-map-pin text-md text-white w-10 h-10 rounded-full bg-green flex items-center justify-center shadow-md"></i>
                        </div>
                        <span>@lang('messages.contact-address')</span>
                    </div>
                    <img src="{{ asset('assets/images/peanuts_icon.png')}}" alt="img" class="absolute top-4 ltr:right-4 rtl:left-4 sm:max-w-16 max-w-12">
                    <div class="relative w-full mt-6">
                        <iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d2482.185930449883!2d-0.26711712312004343!3d51.528149509186996!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x487611eb06317715%3A0x18273f109bfec3fa!2sLaxzo%20Ltd!5e0!3m2!1sen!2sin!4v1720518032986!5m2!1sen!2sin" width="100%" height="230" style="border:0; transform: scale(1.02)" loading="lazy" referrerpolicy="no-referrer-when-downgrade"></iframe>
                    </div>
                </div>
                <div class="contact-form lg:col-span-2 border-2 border-light-navy relative overflow-hidden bg-white rounded-2xl md:p-10 sm:p-8 p-6">
                    <h2 class="md:text-2xl text-xl text-brown font-semibold mb-3">@lang('messages.send-message')</h2>
                    <form action="{{ route('contact.submit') }}" method="POST">
                        @if(session()->has('error'))
                        <div class="text-left rtl:text-right col-span-2">
                            <div class="alert alert-error bg-red-200 border-red-600 text-red-600 mb-0 py-2">
                                {{ session()->get('error') }}
                                <button type="button" aria-label="close" class="float-end" data-dismiss="alert">
                                    <i class="fa-solid fa-xmark text-red-600"></i>
                                </button>
                            </div>
                        </div>
                        @endif
                        @if(session()->has('success'))
                        <div class="text-left rtl:text-right col-span-2">
                            <div class="alert alert-success border-green text-green mb-0 py-2">
                                {{ session()->get('success') }}
                                <button type="button" aria-label="close" class="float-end" data-dismiss="alert">
                                    <i class="fa-solid fa-xmark text-green"></i>
                                </button>
                            </div>
                        </div>
                        @endif

                        @csrf
                        <div class="grid md:grid-cols-2 gap-4 mt-6">
                            <div class="col-span-2">
                                <input type="text" name="name" class="form-control" placeholder="@lang('messages.full') @lang('messages.name')">
                                @error('name')
                                <div class="error is-invalid text-red-600 mt-1">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="sm:col-span-1 col-span-2">
                                <input type="email" name="email" class="form-control" placeholder="@lang('messages.email')">
                                @error('email')
                                <div class="error is-invalid text-red-600 mt-1">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="sm:col-span-1 col-span-2">
                                <input type="number" name="contact" class="form-control" placeholder="@lang('messages.contact')">
                                @error('contact')
                                <div class="error is-invalid text-red-600 mt-1">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="col-span-2">
                                <input type="text" name="subject" class="form-control" placeholder="@lang('messages.subject')">
                                @error('subject')
                                <div class="error is-invalid text-red-600 mt-1">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="col-span-2">
                                <textarea class="form-control" name="message" placeholder="@lang('messages.message')" rows="5"></textarea>
                                @error('message')
                                <div class="error is-invalid text-red-600 mt-1">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="text-right rtl:text-left col-span-2">
                                <button type="submit" class="btn-default btn-secondary sm:w-auto w-full">@lang('messages.send-message')</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <div class="relative after:content-[''] after:absolute after:bg-light-blue after:h-3/5 after:w-full after:bottom-0 after:left-0 after:-z-10">
        <div class="max-w-screen-2xl mx-auto px-4 pb-8">
            <div class="grid md:grid-cols-8 grid-cols-8">
                <img src="{{ asset('assets/images/grandpa-brazil_icon.png')}}" alt="img" class="lg:max-w-28 sm:max-w-20 max-w-10 mx-auto drop-shadow-md hover:-translate-y-4 transition-all">
                <img src="{{ asset('assets/images/grandma-walnut_icon.png')}}" alt="img" class="lg:max-w-28 sm:max-w-20 max-w-10 mx-auto drop-shadow-md hover:-translate-y-4 transition-all">
                <img src="{{ asset('assets/images/hazel_boy.png')}}" alt="img" class="lg:max-w-28 sm:max-w-20 max-w-10 mx-auto drop-shadow-md hover:-translate-y-4 transition-all">
                <img src="{{ asset('assets/images/miz-pea_icon.png')}}" alt="img" class="lg:max-w-20 sm:max-w-14 max-w-7 mx-auto drop-shadow-md hover:-translate-y-4 transition-all">
                <img src="{{ asset('assets/images/pistachio_icon.png')}}" alt="img" class="lg:max-w-28 sm:max-w-20 max-w-10 mx-auto drop-shadow-md hover:-translate-y-4 transition-all">
                <img src="{{ asset('assets/images/walnut_icon.png')}}" alt="img" class="lg:max-w-28 sm:max-w-20 max-w-10 mx-auto drop-shadow-md hover:-translate-y-4 transition-all">
                <img src="{{ asset('assets/images/Madam_Raisins.png')}}" alt="img" class="lg:max-w-20 sm:max-w-14 max-w-7 mx-auto drop-shadow-md hover:-translate-y-4 transition-all">
                <img src="{{ asset('assets/images/uncle-cashew_icon.png')}}" alt="img" class="lg:max-w-28 sm:max-w-20 max-w-10 mx-auto drop-shadow-md hover:-translate-y-4 transition-all">
            </div>
        </div>
    </div>
</x-layouts.main>

