<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Login - Your E-commerce</title>
    <style>
        /* Reset */
        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
        }

        /* Body Styling */
        body {
            font-family: 'Arial', sans-serif;
            background-color: #FEFAE0; /* Background color */
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
            color: #333;
        }

        /* Login Container */
        .login-container {
            display: flex;
            justify-content: center;
            align-items: center;
            width: 100%;
            max-width: 450px;
            padding: 20px;
            border-radius: 15px;
            box-shadow: 0px 4px 20px rgba(0, 0, 0, 0.15);
            background: linear-gradient(to bottom right, #B2E1D7, #D6F4E2);
            position: relative;
        }

        /* Decorative Element */
        .decorative-element {
            position: absolute;
            width: 250px;
            height: 250px;
            background-color: rgba(255, 255, 255, 0.2);
            border-radius: 50%;
            top: -70px;
            right: -70px;
            z-index: 0;
            filter: blur(100px);
        }

        /* Login Card */
        .login-card {
            background-color: #ffffff;
            padding: 40px;
            border-radius: 15px;
            box-shadow: 0px 4px 20px rgba(0, 0, 0, 0.1);
            text-align: center;
            position: relative;
            z-index: 1;
        }

        /* Logo Styling */
        .logo {
            width: 120px; /* Adjust logo size as needed */
            margin-bottom: 20px;
        }

        .login-card h2 {
            color: #052D25; /* Heading color */
            margin-bottom: 10px;
            font-size: 2em;
            text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.1);
        }

        .login-card p {
            color: #666;
            font-size: 1em;
            margin-bottom: 20px;
        }

        /* Form Styling */
        form label {
            display: block;
            font-weight: bold;
            margin-bottom: 8px;
            text-align: left;
            color: #052D25; /* Label color */
        }

        form input[type="email"],
        form input[type="password"] {
            width: 100%;
            padding: 12px;
            margin-bottom: 20px;
            border: 2px solid #052D25; /* Input border color */
            border-radius: 8px;
            font-size: 1em;
            transition: border-color 0.3s ease;
        }

        form input[type="email"]:focus,
        form input[type="password"]:focus {
            border-color: #4E54C8; /* Focus border color */
            outline: none;
        }

        .login-btn {
            background-color: #052D25; /* Button color */
            color: #fff;
            padding: 12px;
            width: 100%;
            border: none;
            border-radius: 8px;
            font-size: 1.1em;
            font-weight: bold;
            cursor: pointer;
            transition: background-color 0.3s ease, transform 0.2s;
        }

        .login-btn:hover {
            background-color: #3a41c8; /* Button hover color */
            transform: translateY(-2px);
        }

        /* Footer Links */
        .form-footer {
            margin-top: 15px;
            display: flex;
            justify-content: space-between;
            font-size: 0.9em;
            color: #052D25; /* Footer link color */
        }

        .form-footer a {
            text-decoration: none;
            transition: color 0.3s ease;
        }

        .form-footer a:hover {
            color: #3a41c8; /* Hover color for links */
        }
    </style>
</head>
<body>
    <div class="login-container">
        <div class="decorative-element"></div>
        <div class="login-card">
            <img src="{{ asset('assets/images/Geology-04.png') }}" alt="Company Logo" class="logo"> <!-- Replace with your logo path -->
            <h2>Welcome Back</h2>
            <p>Log in to your account to continue shopping</p>
            <form action="#" method="POST">
                <label for="email">Email Address</label>
                <input type="email" id="email" name="email" placeholder="Enter your email" required>
                
                <label for="password">Password</label>
                <input type="password" id="password" name="password" placeholder="Enter your password" required>
                
                <button type="submit" class="login-btn">Log In</button>
                
                <div class="form-footer">
                    <a href="#">Forgot Password?</a>
                    <a href="#">Create an Account</a>
                </div>
            </form>
        </div>
    </div>
</body>
</html>