<x-layouts.main>

    <!-- start breadcrumb section -->
    <div class="breadcrumb">
        <div class="max-w-screen-2xl mx-auto px-4">
            <h2 class="mb-0 font-bold">@lang('messages.your') @lang('messages.wishlist')</h2>
        </div>
    </div>
    <div class="cart-page">
        <div class="max-w-screen-2xl mx-auto px-4 default-padding">
            <div class="grid md:grid-cols-2 grid-cols-1 gap-4">
                @foreach ($wishlistItems as $wishlistItem)
                <div class="cart-product relative justify-between rounded-lg border bg-white p-6 shadow-md sm:flex sm:justify-start">
                    <form action="{{ route('cart.store') }}" method="post">
                    @csrf
                        <div class="flex items-start sm:flex-row flex-col w-full">
                            <img src="{{ asset('assets/images/almond.png')}}" alt="product-image" class="rounded-lg px-4 py-2 bg-slate-200 w-36">
                            <div class="ml-4 sm:flex sm:w-full sm:justify-between mr-4 flex-col space-y-3">
                                <div class="sm:mt-0 mt-6">
                                    <h2 class="text-xl font-bold text-gray-900">{{ $wishlistItem->productsItem->{'product_name_'.Lang::locale()} }}</h2>
                                    <p class="mt-1 text-sm text-gray-700">
                                        {{ $wishlistItem->productsItem->{'description_'.Lang::locale()} }}
                                    </p>
                                    <p class="text-lg font-medium mt-2">
                                        ${{ $wishlistItem->productsDetailsItem->discount_price }}
                                    </p>
                                </div>
                                <div class="flex justify-between flex-wrap gap-3">
                                    <div class="flex items-center gap-3">
                                        <div class="qty-container gap-1">

                                            <button class="qty-btn-minus btn-light minus" type="button"><i class="fa fa-minus"></i></button>
                                            <input type="number" name="qty" value="1" min="1" class="input-qty"/>
                                            <button class="qty-btn-plus btn-light plus" type="button"><i class="fa fa-plus"></i></button>
                                        </div>
                                        <div>
                                            <select class="form-control w-32" name="productDetailsId">
                                                @foreach ($wishlistItem->productsItem->packagingDetail as $key => $productPackaging)
                                                    <option 
                                                        @if($wishlistItem->productsDetailsItem->weight == $productPackaging->weight) selected 
                                                        @endif 
                                                        value="{{$productPackaging->id}}">
                                                        {{$productPackaging->weight}} {{$productPackaging->mass}}
                                                    </option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                    <div class="flex items-center">

                                        <!--<a href="/product-page" class="btn-default btn-primary">@lang('messages.add-to-cart')</a>-->
                                        <input type="hidden" name="productId" value="{{ $wishlistItem->productsItem->id }}">
                                        <button class="btn-default btn-primary" name="addTocart" type="submit">@lang('messages.add-to-cart')</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                    <form method="post" action="{{ route('wishlist.destroy' , $wishlistItem->id) }}">
                    {{ csrf_field() }}
                    @method('DELETE')        
                        <button type="submit" class="absolute top-1 ltr:right-3 rtl:left-3 hover:text-green">
                            <i class="fa-solid fa-xmark text-lg"></i>
                        </button>
                    </form>
                </div>
                @endforeach
            </div>
        </div>
    </div>
</x-layouts.main>
