<?php

use App\Http\Controllers\AmazonAdsController;
use App\Http\Controllers\EbayController;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\OrderController;
use App\Http\Controllers\PaymentController;
use App\Http\Controllers\ProductController;
use App\Livewire\Admin\Channels\Add;
use App\Livewire\Admin\Dashboard;
use App\Livewire\Users;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

Route::middleware(['auth', 'isAdmin', 'web'])->prefix('admin')->group(function () {
    // Route::get('dashboard', fn (): \Illuminate\Contracts\View\View => view('admin.dashboard'))
    //     ->name('dashboard');
    Route::get('/ebay/callback', [EbayController::class, 'handleEbayCallback'])->name('ebay.callback');


    Route::get('test', [AmazonAdsController::class,'test']);
    
    Route::get('channels', Add::class)->name('channels.creat');
    Route::get('dashboard', Dashboard::class)->name('dashboard');

    Route::get('userprofile', fn(): \Illuminate\Contracts\View\View => view('admin.userprofile'))
        ->name('userprofile');

    Route::get('products', \App\Livewire\Admin\Product\Index::class)
        ->name('products.index');

    Route::get('reports', \App\Livewire\Admin\Ebay\Index::class)
        ->name('Ebay.index');
    
    Route::get('reports/downlaod/{report_id}',[ProductController::class,"downlaodReport"])
        ->name('Ebay.report.downlaod');

    Route::get('Campaigns', \App\Livewire\Admin\Ebay\Campaigns::class)
        ->name('Ebay.Campaigns');

    Route::get('Campaigns/{campid}/details', \App\Livewire\Admin\Ebay\Detail::class)
        ->name('Ebay.Campaigns.details');

    Route::get('categories', \App\Livewire\Admin\ProductCategory\Index::class)
        ->name('category.index');

    Route::get('traffic_report', \App\Livewire\Admin\Ebay\TrafficRport::class)
        ->name('Ebay.traffic_report');

    Route::get('campaign/report', \App\Livewire\Admin\AdsCampaign\CampaignReport::class)
        ->name('campaigns.report');

    Route::get('products/create', \App\Livewire\Admin\Product\Create::class)
        ->name('products.create');

    Route::get('category/create', \App\Livewire\Admin\ProductCategory\Create::class)
        ->name('Category.create');

    Route::get('products/{product}/edit', \App\Livewire\Admin\Product\Edit::class)
        ->name('products.edit');
    Route::get('category/{id}/edit', \App\Livewire\Admin\ProductCategory\Edit::class)
        ->name('category.edit');

    // Route::get('orders', fn (): \Illuminate\Contracts\View\View => view('admin.orders.index'))
    //     ->name('orders.index');

    Route::get('orders/view', fn(): \Illuminate\Contracts\View\View => view('admin.orders.view'))
        ->name('orders.view');

    // Route::get('users', fn(): \Illuminate\Contracts\View\View => view('admin.users.index'))
    //     ->name('users.index');

    Route::get('users/create', fn(): \Illuminate\Contracts\View\View => view('admin.users.create'))
        ->name('users.create');

    Route::get('users/edit', fn(): \Illuminate\Contracts\View\View => view('admin.users.edit'))
        ->name('users.edit');

    Route::get('/users', Users::class)->name('users.index');

    Route::get('/logout', function () {
        Auth::logout(); // Log the user out

        // Redirect to the login page or any desired route after logout
        return redirect('/login');
    })->name('logout');

    Route::get('/getCampaignKeywords/{campaignId}', [EbayController::class, 'getCampaignKeywords'])->name('getCampaignKeywords');
    Route::get('/getCampaignads/{campaignId}', [EbayController::class, 'getCampaignAds'])->name('getCampaignAds');
    Route::get('/getCampaignAdGroups/{campaignId}', [EbayController::class, 'getCampaignAdGroups'])->name('getCampaignAdGroups');
    Route::get('/orders', [OrderController::class, 'index'])->name('orders.index');
    Route::get('/syncReportTask', [EbayController::class, 'syncReportTask'])->name('syncReportTask');
    Route::get('/orders_details/{order_id}', [OrderController::class, 'Show'])->name('orders.view');
    Route::get('/payments', [PaymentController::class, 'showPayments'])->name('payments.index');
    Route::get('/payments_details/{payment_id}', [PaymentController::class, 'paymentDetails'])->name('payments.details');
    // Route::get('contactList', [HomeController::class, 'contactList'])->name('admin.ContactList');
    Route::get('subcategories', \App\Livewire\Admin\ProductSubCategory\Index::class)
        ->name('subcategory.index');
    Route::get('subcategory/create', \App\Livewire\Admin\ProductSubCategory\Create::class)
        ->name('subcategory.create');
    Route::get('subcategory/{id}/edit', \App\Livewire\Admin\ProductSubCategory\Edit::class)
        ->name('subcategory.edit');
});
