<?php

use App\Http\Controllers\AmazonAdsController;
use App\Http\Controllers\CartController;
use App\Http\Controllers\CheckoutController;
use App\Http\Controllers\ContactController;
use App\Http\Controllers\EbayController;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\NewsletterController;
use App\Http\Controllers\OrderController;
use App\Http\Controllers\PaymentController;
use App\Http\Controllers\ProductController;
use App\Http\Controllers\WishlistController;
use App\Livewire\Blog\BlogDetail;
use App\Livewire\Blog\Index;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

//use App\Models\Product;

// Route::view('/', 'welcome');
// Route::get('/setLocale', function(){

// })->name('setLocale');
Route::get('lang/{locale}', [\App\Http\Controllers\LocalizationController::class, 'setLocale'])->name('setLocale');
Route::get('/amazon/callback', [AmazonAdsController::class, 'handleCallback'])->name('amazon.callback');


// Route::prefix('{locale}')->group(function () {

//Route::get('/', fn (): \Illuminate\Contracts\View\View => view('pages.home',['products' => Product::all()]))
//  ->name('home');

/*Route::get('/', '\App\Http\Controllers\HomeController@index')
    ->name('home');*/
Route::get('/', [HomeController::class, 'homePage'])->name('gem.home');

Route::get('/about', fn(): \Illuminate\Contracts\View\View => view('pages.about'))
    ->name('about');
Route::post('/subscribe', [NewsletterController::class, 'subscribe'])->name('newsletter.subscribe');

Route::get('/testimonial', fn(): \Illuminate\Contracts\View\View => view('pages.testimonial'))
    ->name('testimonial');

Route::get('/contact', fn(): \Illuminate\Contracts\View\View => view('pages.contact'))
    ->name('contact');

Route::post('/contact/submit', [ContactController::class, 'submit'])->name('contact.submit');

Route::get('product/{slug}', \App\Livewire\Product\ProductDetail::class)->name('product-detail');

Route::get('/cart-page', fn(): \Illuminate\Contracts\View\View => view('pages.cart-page'))
    ->name('cart-page');

Route::resource('cart', CartController::class, [
    'except' => ['show'],
]);
Route::resource('wishlist', WishlistController::class, [
    'except' => ['show'],
]);
/*Route::group(['prefix' => 'cart'], function () {
    Route::get('/', [CartController::class, 'index'])->name('cart');


Route::group(['prefix'=>'cart'], function(){
    Route::get('/', [CartController::class , 'index'])->name('cart');

    Route::post('/submit', [CartController::class, 'submit'])->name('cart.submit');

    Route::get('/delete/{id}', [CartController::class, 'delete'])->name('cart.delete');
    Route::post('/update/{id}', [CartController::class, 'update'])->name('cart.update');
});*/

Route::group(['prefix' => 'payment'], function () {
    Route::get('/', [PaymentController::class, 'index'])->name('payment.index');
    Route::post('/pay', [PaymentController::class, 'pay'])->name('payment.pay');
    Route::get('/success', [PaymentController::class, 'success'])->name('payment.success');
    Route::get('/cancel', [PaymentController::class, 'cancel'])->name('payment.cancel');
});
/*Route::resource('payment', PaymentController::class, [
    'except' => ['show'],
]);*/
/*Route::get('/payment', fn (): \Illuminate\Contracts\View\View => view('pages.payment'))
    ->name('payment');*/

Route::get('/character-story', fn(): \Illuminate\Contracts\View\View => view('pages.character-story'))
    ->name('character-story');

Route::post('/checkout/submit', [PaymentController::class, 'submitPayment']);
Route::get('/checkout/config', [PaymentController::class, 'getConfig']);

Route::get('/blogs', Index::class)->name('blogs.index');

Route::get('/blogs-detail', BlogDetail::class)->name('blogs.blogs-detail');

Route::get('test',[EbayController::class,'test']);

// Route::view('dashboard', 'dashboard')
//     ->middleware(['auth', 'verified'])
//     ->name('dashboard');

Route::view('profile', 'profile')
    ->middleware(['auth'])
    ->name('profile');

// });
Route::post('contactus_forrm', [HomeController::class, 'contactUs_Form'])->name('contact.store');

// Route::get('test',[HomeController::class,'test']);
Route::prefix('gem')->group(function () {
    // Define all routes that should be prefixed with 'gem' here
    // Route::view('/', 'front.pages.home')->name('gem.home');
    // Route::view('/category', 'front.pages.category')->name('gem.category');
    // Route::view('/product', 'front.pages.product')->name('gem.product');
    Route::get('/product/{product_id}', [HomeController::class, 'productDiscription'])->name('gem.product');

    Route::middleware(['auth'])->group(function () {});
});

Route::resource('cart', CartController::class, [
    'except' => ['show'],
]);
Route::get('/productList', [HomeController::class, 'productList'])->name('gem.category');
Route::middleware(['auth'])->group(function () {

    //amazon ads routes
    Route::get('/amazon/redirect', [AmazonAdsController::class, 'redirectToAmazon']);
    // Route::get('/amazon/callback', [AmazonAdsController::class, 'handleAmazonCallback']);
    Route::get('/amazon/campaigns', [AmazonAdsController::class, 'listCampaigns']);
    Route::get('/getCampaignKeywords/{campaignId}', [AmazonAdsController::class, 'getCampaignKeywords'])->name("amazon.keywords");
    Route::get('/getCampaignAdGroups/{campaignId}', [AmazonAdsController::class, 'getCampaignAdsGroupList'])->name("amazon.AdsGroupList");
    Route::get('/getCampaignPerformance/{campaignId}', [AmazonAdsController::class, 'getCampaignPerformance'])->name("amazon.campignPerformance");

    Route::get('/getReport/{reportId}', [AmazonAdsController::class, 'getReport'])->name("amazon.reportStatus");
    Route::get('/getReportData', [AmazonAdsController::class, 'getReportData']);






    Route::resource('checkout', CheckoutController::class, [
        'except' => ['show'],
    ]);
    Route::get('addtocart', [CartController::class, 'store'])->name('Product.AddToCart');
    Route::get('orders', [OrderController::class, 'userOrderList'])->name('order.list');
});

Route::post('/payments', [CheckoutController::class, 'payments'])->name('payments');
Route::get('/payment_success', [CheckoutController::class, 'paymentSuccess'])->name('payments.success');
Route::get('/payments_details', [CheckoutController::class, 'payment_details'])->name('adyen.details');




/*------------- graingreen pages---------------*/
Route::get('/aboutus', fn(): \Illuminate\Contracts\View\View => view('front.pages.aboutus'))
    ->name('aboutus');

Route::get('/contactus', fn(): \Illuminate\Contracts\View\View => view('front.pages.contactus'))
    ->name('contactus');

Route::get('products/product-category', fn(): \Illuminate\Contracts\View\View => view('front.product.product-category'))
    ->name('products.product-category');

Route::get('products/{category}/product-category', [ProductController::class, 'listSubCategory'])
    ->name('products.product-category');

Route::get('products/{subcategory}/product-list', [ProductController::class, 'listProduct'])
    ->name('products.product-list');

Route::get('products/{product}/product-detail', [ProductController::class, 'productDetails'])
    ->name('products.product-detail');

// Route::get('products/product-list', fn(): \Illuminate\Contracts\View\View => view('front.product.product-list'))
//     ->name('products.product-list');

// Route::get('products/product-detail', fn(): \Illuminate\Contracts\View\View => view('front.product.product-detail'))
//     ->name('products.product-detail');

require __DIR__ . '/auth.php';
