<div class="w-full p-6 mx-auto">
    <div class="rounded-xl border dark:border-gray-700 border-gray-300 bg-whiter p-4 py-3 sm:px-6 sm:py-4 xl:px-7">
        <nav>
            <ol class="flex flex-wrap items-center gap-3">
                <li>
                    <a class="flex items-center gap-2 text-brown-light hover:text-green dark:text-white dark:hover:text-white" href="/admin/dashboard">
                        <i class="fa-solid fa-house"></i>
                        Dashboard
                    </a>
                </li>
                <li class="flex items-center gap-3">
                    <i class="fa-solid fa-arrow-right-long text-brown-light"></i>
                    Channels
                </li>
            </ol>
        </nav>
    </div>
    
    <div class="mt-12">
        <div class="relative flex flex-col bg-white dark:bg-gray-800 rounded-xl border dark:border-gray-700 border-gray-300">
            <div class="mx-4 rounded-xl bg-brown dark:bg-gray-900 text-white shadow-lg -mt-6 px-6 py-3 flex justify-between items-center">
                <p class="block text-lg font-medium leading-relaxed text-white">Channels</p>
            </div>

            <div class="p-4">
                <div class="mt-4 overflow-hidden border border-gray-300 rounded-xl">
                    <div class="w-full overflow-hidden">
                        <div class="w-full overflow-x-auto">
                            <div>
                                <!--[if BLOCK]><![endif]--><?php if(!$installedMarket): ?>
                                    <!-- Marketplace Selection -->
                                    <div class="grid grid-cols-1 md:grid-cols-3 gap-4 m-5">
                                        <!--[if BLOCK]><![endif]--><?php $__currentLoopData = $marketplaces; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $marketplace): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <div class="max-w-sm bg-white border border-gray-200 rounded-lg shadow dark:bg-gray-800 dark:border-gray-700">
                                                <div class="p-6">
                                                    <div class="flex items-center mb-4">
                                                        <div class="w-12 h-12 rounded-full bg-gray-100 flex items-center justify-center mr-3">
                                                            <img src="<?php echo e($marketplace['logo']); ?>" 
                                                                alt="<?php echo e($marketplace['name']); ?> Logo" class="max-w-full max-h-full">
                                                        </div>
                                                        <div>
                                                            <h5 class="mb-1 text-xl font-medium text-gray-900 dark:text-white"><?php echo e($marketplace['name']); ?></h5>
                                                            <span class="text-xs text-blue-600 dark:text-blue-500">Available in multiple regions</span>
                                                        </div>
                                                    </div>
                                                    <p class="mb-3 font-normal text-gray-700 dark:text-gray-400">
                                                        <?php echo e($marketplace['name']); ?> is a leading e-commerce platform offering global services.
                                                    </p>
                                                    <button wire:click="install('<?php echo e($marketplace['id']); ?>')" 
                                                            class="inline-flex items-center px-3 py-2 text-sm font-medium text-white bg-blue-700 rounded-lg hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 dark:bg-blue-600 dark:hover:bg-blue-700 dark:focus:ring-blue-800">
                                                        Install <?php echo e($marketplace['name']); ?>

                                                        <svg class="w-3.5 h-3.5 ml-2" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 14 10">
                                                            <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M1 5h12m0 0L9 1m3 4L9 9"/>
                                                        </svg>
                                                    </button>
                                                </div>
                                            </div>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?><!--[if ENDBLOCK]><![endif]-->
                                    </div>

                                <?php elseif(!$selectedMarketplace): ?>
                                    <!-- Region Selection -->
                                    <div class="bg-white p-8">
                                        <div class="flex justify-between items-center mb-8">
                                            <div class="text-2xl font-bold text-purple-800">Marketplace</div>
                                        </div>

                                        <div class="flex items-center mb-4">
                                            <img src="<?php if($installedMarket === 'amazon'): ?> 
                                                https://upload.wikimedia.org/wikipedia/commons/a/a9/Amazon_logo.svg 
                                            <?php else: ?> 
                                                https://upload.wikimedia.org/wikipedia/commons/1/1b/EBay_logo.svg 
                                            <?php endif; ?>" 
                                            alt="<?php echo e(ucfirst($installedMarket)); ?> Logo" class="h-8 mr-2">
                                            <h2 class="text-2xl font-bold"><?php echo e(ucfirst($installedMarket)); ?></h2>
                                        </div>

                                        <p class="text-gray-700 mb-8">Select your region</p>
                                        <div class="grid grid-cols-3 gap-4">
                                            <!--[if BLOCK]><![endif]--><?php $__currentLoopData = $regions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $region): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <button wire:click="selectMarketplace('<?php echo e($region['id']); ?>')">
                                                    <div class="bg-white rounded-lg border border-gray-200 p-4 flex flex-col items-center hover:bg-gray-50 transition duration-200">
                                                        <img src="https://flagcdn.com/w320/<?php echo e($region['flag_code']); ?>.png" alt="<?php echo e($region['name']); ?>" class="h-16 mb-2">
                                                        <span class="text-gray-800"><?php echo e($region['name']); ?></span>
                                                    </div>
                                                </button>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?><!--[if ENDBLOCK]><![endif]-->
                                        </div>
                                    </div>

                                <?php else: ?>
                                    <p class="text-center text-gray-600">Redirecting to authentication...</p>
                                <?php endif; ?><!--[if ENDBLOCK]><![endif]-->
                            </div>
                        </div>
                    </div>
                </div>

                <!-- Connected Accounts -->
                <div class="overflow-x-auto m-5">
                    <table class="min-w-full divide-y divide-gray-200 border border-gray-300">
                        <thead class="bg-gray-50">
                            <tr>
                                <th>#</th>
                                <th class="px-4 py-2 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Marketplace</th>
                                <th class="px-4 py-2 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Region</th>
                                <th class="px-4 py-2 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Created_at</th>
                            </tr>
                        </thead>
                        <tbody class="bg-white divide-y divide-gray-200">
                            <!--[if BLOCK]><![endif]--><?php $__empty_1 = true; $__currentLoopData = $accounts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $account): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                            <tr class="text-gray-700 dark:text-gray-400">
                                <td class="px-4 py-2"><?php echo e($loop->iteration); ?></td>
                                <td class="px-4 py-2"><?php echo e($account->marketplace_id); ?></td>
                                <td class="px-4 py-2"><?php echo e($account->region); ?></td>
                                <td class="px-4 py-2"><?php echo e(\Carbon\Carbon::parse($account->created_at)->format('d M Y')); ?></td>
                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr>
                                    <td colspan="5" class="px-4 py-2 text-center text-sm text-gray-500">No data found</td>
                                </tr>
                            <?php endif; ?><!--[if ENDBLOCK]><![endif]-->
                        </tbody>
                    </table>
                </div>

            </div>
        </div>
    </div>
</div>
<?php /**PATH D:\Dev_Project\Saleem's Project\Ebay_Report\resources\views/livewire/admin/channels/add.blade.php ENDPATH**/ ?>